Mon Jul  6 14:26:02 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/downloads.html docs/downloads.html.in: update download
	  informations after switch to git

Fri Jul  3 16:21:48 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in NEWS docs/* po/*: release of
	  libvirt-0.6.5
	* .gitignore: adding cscope files

Fri Jul  3 15:08:24 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/qemu_conf.c: patch from C.J. Adams-Collier adding support
	  for arm emulation if qemu-system-arm is present

Thu Jul  3 11:27:14 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	Patch from Cole Robinson in https://bugzilla.redhat.com/499569

	* src/security_selinux.c: Skip labelling if no src path
	present

Thu Jul  3 11:26:04 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	Patch from Tim Waugh in https://bugzilla.redhat.com/507555

	* src/security_selinux.c: Don't unnecessarily try to change a
	file context

Thu Jul  3 11:24:44 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	Patch from Dan Berrange in https://bugzilla.redhat.com/493692

	* src/security_selinux.c: Re-label shared and readonly images

Thu Jul  2 15:58:09 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/network.rng: fix the network schemas to match
	  new accepted elements, patch by Satoru SATOH
	* src/network_conf.c: fix network driver to save the domain name
	  in XML if present, patch by Satoru SATOH
	* AUTHORS: adding Satoru SATOH

Wed Jul  1 23:29:33 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/node_device.c: fix an endless loop in node device XML dump,
	  patch by Cole Robinson

Wed Jul  1 23:23:19 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/drvone.html docs/drvone.html.in: small OpenNebula driver
	  doc update by Abel Miguez Rodriguez

Wed Jul  1 16:22:38 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/drvone.html.in docs/drvone.html docs/drivers.html.in
	  docs/hvsupport.html.in docs/sitemap.html.in docs/*: added
	  documentation for OpenNebula driver by Abel Miguez Rodriguez
	  and regenerated the docs

Wed Jul  1 15:05:25 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt.c src/virterror.c: fix some missing comments in public
	  modules.
	* docs/libvirt-api.xml docs/libvirt-refs.xml
	  docs/devhelp/libvirt-libvirt.html docs/html/libvirt-libvirt.html:
	  regenerated documentation
	* po/*: updated the polish localization and regenerated

Wed Jul  1 13:18:37 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/logging.html[.in] qemud/libvirtd.conf qemud/qemud.c
	  src/logging.[ch]: cleanup the logging code and docs to remove
	  all references to log level 0, cleanup hardcoded values and add
	  a default VIR_LOG_DEFAULT value, patch by Amy Griffis

Wed Jul  1 12:38:28 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/opennebula/one_conf.c src/opennebula/one_driver.c: cleanup
	  and small update for OpenNebula driver by Abel Miguez Rodriguez

Wed Jul  1 11:38:15 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/opennebula/one_client.c, src/opennebula/one_client.h:
	Remove unused code. Ensure null termination after strncpy

Wed Jul  1 10:21:15 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_driver.c: don't destroy a pool when calling create
	  by mistake, patch by Dave Allan.

Mon Jun 29 18:01:20 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Reduce LXC capabilities
	* src/lxc_container.c: Use libcap-ng to clear capabilities,
	and also drop SYS_MODULE, SYS_TIME, AUDIT_CONTROL, and
	MAC_ADMIN, in addition to SYS_BOOT.
	* src/lxc_controller.c: Drop all capabilities once container
	has been spawned.

Mon Jun 29 12:48:20 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Use libcap-ng to clear capabilities for many child processes
	* src/Makefile.am: Link to libcap-ng in util code
	* src/qemu_conf.c: Clear capabilities when running qemu -help
	* src/qemu_driver.c: Clear capabilities when running VMs
	* src/remote_internal.c: Clear capabilities for auto-spawned
	libvirtd session daemon, and SSH tunnel client
	* src/uml_driver.c: Clear capabilities for UML VMs
	* src/util.h, src/util.c: Add virExec() flag to allow
	clearing of capabilities when spawning processes

Mon Jun 29 12:28:20 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Prepare for using libcap-ng
	* configure.in: Add check for libcap-ng
	* libvirt.spec.in: Build with libcap-ng on Fedora >= 12

Mon Jun 29 12:01:20 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Add HACKING doc to the website
	* docs/hacking.html.in, docs/sitemaps.html.in: HTML-ized
	version of HACKING
	* docs/internals.html, docs/sitemap.html, docs/api_extension.html,
	docs/news.html: Re-generate for sitemap changes

Mon Jun 29 10:51:20 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix crash in QEMU driver with bad capabilities data
	* src/capabilities.c, src/capabilities.h: Export a method
	virCapabilitiesFreeNUMAInfo()
	* src/qemu_conf.c: Don't kill the whole QEMU driver if
	populating capabilities with NUMA info fails.
	* src/qemu_driver.c: Fix missing security model data
	after capabilities refresh. Avoid leaving driver with
	NULL capabilities if refresh fails.

Fri Jun 26 22:13:16 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/parthelper.c: fix a superfluous % on printf format problem
	  raised by Matthias Bolte

Fri Jun 26 22:02:22 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/nodeinfo.c: sometimes libnuma can't handle some topologies,
	  but those failures should not completely break libvirt, patch
	  by Dan Berrange, fixes #506590

Fri Jun 26 20:11:38 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c: avoid a segfault when dumping XML with recent
	  xen versions, patch by Sascha, fixes #503254

Fri Jun 26 18:15:08 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt_private.syms src/parthelper.c src/storage_backend_disk.c
	  src/storage_conf.c src/storage_conf.h: allow to create storage
	  volumes on disk backend, patches by Henrik Persson
	* AUTHORS: add Henrik Persson

Fri Jun 26 17:06:18 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/Makefile.am src/libvirt.c src/libvirt_private.syms src/logging.c
	  src/logging.h src/util.c src/libvirt_debug.syms: big cleanup of
	  the debug configuration option and code by Amy Griffis

Fri Jun 26 16:07:54 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/node_device.c src/node_device_hal.h src/node_device_hal_linux.c:
	  fix bogus WWN in NPIV support, patch by David Allan

Thu Jun 25 17:12:09 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_conf.c: fix reading of storage pool definitions at startup
	  patch by Cole Robinson

Thu Jun 25 16:57:40 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/uml_driver.c: fix UML driver logging macros, patch by Amy
	  Griffis
	* AUTHORS: adding Amy Griffis

Thu Jun 25 16:50:54 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/node_device_conf.c: fix a leak, patch by Dave Allan

Thu Jun 25 15:46:11 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: fix a domain state problem after
	  migration, patch  by Federico Simoncelli, fixes #507537
	* src/domain_conf.c:  fix a transcient domain state problem after
	  destroy, patch  by Federico Simoncelli, fixes #507304
	* AUTHORS: add Federico Simoncelli and Javier Fontan

Thu Jun 25 10:32:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix broken dominfo command when no security driver is implemented
	* src/libvirt.c: Clarify semantics of return value for
	virDomainGetSecurityLabel and virNodeGetSecurityModel
	* src/remote_internal.c src/qemu_driver.c: memset seclabel
	to zero
	* src/virsh.c: Check VIR_ERR_NO_SUPPORT when querying security
	labels in dominfo command.

Wed Jun 24 19:40:43 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: update a lot of translations, and regenerate the po* files

Wed Jun 24 19:28:16 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in src/Makefile.am
	  src/opennebula/one_client.[ch] src/opennebula/one_conf.h
	  src/opennebula/one_driver.[ch] : Finish the integration of OpenNebula,
	  avoid dependancy on OpenNebula libraries, require xmlrpc-c-devel
	  and build it by default, based on patch by Javier Fontan and DanB
	  suggestions

Wed Jun 24 18:15:56 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/opennebula/one_conf.c src/opennebula/one_driver.c: fix One
	  driver compilation issues, patch by Javier Fontan and remove
	  some tabs in format strings

Mon Jun 22 12:40:11 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/libvirt_private.syms src/storage_conf.c src/storage_conf.h
	src/storage_driver.c src/test.c:
	Refactor storage XML parsing to be consistent with domain/network conf.

Mon Jun 22 12:38:19 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Activate virtual networks initialized in custom test driver.

Mon Jun 22 12:35:34 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/util.c: Fix segfault if storage pool has no type attribute
	(possibly others)

Mon Jun 22 12:33:37 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Fix memory reporting for inactive domains
	in the qemu driver.

Mon Jun 22 12:31:38 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_fs.c src/storage_driver.c:
	Fix raw storage volume creation for allocation < capacity.

Mon Jun 22 11:09:18 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Fix domain ID after redefining a running VM

Mon Jun 22 12:27:39 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/conf.[ch]: restrict VMX syntax parsing types, patch by Matthias
	  Bolte

Mon Jun 22 12:14:48 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_driver.c: cleanup when creating a storage pool fails,
	  patch by Henrik Persson

Fri Jun 19 14:32:41 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c src/conf.c src/conf.h src/qemu_conf.c src/xen_unified.c
	  src/xm_internal.c tests/conftest.c tests/xmconfigtest.c: extend
	  the configuration parser for VMX syntax, patch by Matthias Bolte

Thu Jun 18 14:56:24 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Fix socket path for remote SSH
	tunnels to honour read-only flag

Wed Jun 17 10:31:35 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/node_device.[ch] src/storage_backend.[ch]: fixes a
	  module dependency problem, patch by Dave Allan

Tue Jun 16 14:30:05 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c
	tests/qemuxml2argvdata/qemuxml2argv-hostdev-usb-product.args
	tests/qemuxml2argvdata/qemuxml2argv-hostdev-usb-product.xml:
	Allow USB hostdev product to be 0x0000

Tue Jun 16 11:43:17 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_fs.c: Fix FS volume creation with backing stores.

Tue Jun 16 11:33:54 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c src/domain_conf.h src/libvirt_private.syms
	src/lxc_driver.c src/qemu_conf.c src/qemu_driver.c:
	Set default emulator in domain_conf.*, rather than the driver.

Tue Jun 16 11:18:00 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/capabilities.c src/capabilities.h src/libvirt_private.syms
	src/lxc_conf.c src/qemu_conf.c: Add virCapabilities*EmulatorRequired.

Tue Jun 16 11:16:17 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_conf.c src/qemu_conf.h tests/qemuhelptest.c
	tests/qemuxml2argvtest.c:   Check that '-drive format=' is supported

Tue Jun 16 10:04:32 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* tests/.cvsignore tests/.hgignore tests/.gitignore:
	Add qemuhelptest to .*ignore files

Tue Jun 16 10:00:50 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_conf.c: Fix qemu command flags fetching

Tue Jun 16 10:30:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xen_internal.c: Add new variant of availheap sysctl
	for ABI changes in Xen

Mon Jun 15 18:15:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix build on non-Linux targets
	* src/nodeinfo.c: s/nodeError/nodeReportError/

Mon Jun 15 15:58:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix build from tar.gz
	* src/Makefile.am: Add missing node_device_hal.h to list of
	distributed files

Mon Jun 15 12:05:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/util.c: Fix bogus initialization in virFindFileInPath

Fri Jun 12 14:16:42 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Remove use of getuid()==0 for privilege checks
	* qemud/qemud.c, qemud/qemud.h, src/driver.h, src/libvirt.c,
	src/libvirt_internal.h, src/lxc_driver.c, src/network_driver.c,
	src/node_device_devkit.c, src/node_device_hal.c,
	src/qemu_conf.h, src/qemu_driver.c, src/remote_internal.c,
	src/storage_driver.c, src/uml_conf.h, src/uml_driver.c,
	src/xen_internal.c, src/xen_unified.c: Remove all use of
	getuid()/geteuid() to determine if privileged. Replace with
	'privileged' flag provided by libvirtd, or direct access
	checks.

Fri Jun 12 13:36:42 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Include OS driver name (if any) in device XML
	* src/node_device.c: Refresh OS driver when generating XML,
	and include impl for Linux sysfs
	* src/noe_device_conf.c, src/node_device_conf.h: Add field
	for OS driver name to config
	* src/node_device_hal.c: Record sysfs path to be used for
	driver name fetching later.

Fri Jun 12 13:06:42 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Improve error reporting for virConnectOpen URIs
	* src/lxc_driver.c, src/openvz_driver.c, src/qemu_driver.c,
	src/uml_driver.c, src/xen_unified.c: Always return ACCEPT
	or ERROR for URIs without hostname set, but with the driver's
	matching URI scheme. ie never decline a correct URI
	* src/xend_internal.c: Default port to 8000 if not given
	in the http:// URI.
	* src/remote_internal.c: Accept all URIs not handled by an
	earlier driver.
	* src/virterror.c: Improve error message text for
	VIR_ERR_NO_CONNECT code

Fri Jun 12 12:26:42 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix re-detection of transient VMs after libvirtd restart
	* src/domain_conf.c, src/domain_conf.h, src/libvirt_private.syms:
	Extend virDomainLoadAllConfigs to allow for loading of live
	state info from XML files. Add APIs to format/parse state info
	from virDomainObjPtr to XML.
	* src/lxc_driver.c, src/uml_driver.c: Adapt for API change in
	virDomainLoadAllConfigs.
	* src/qemu_driver.c, src/qemu_conf.c, src/qemu_conf.h: Remove
	all code for loading live state files, and use standard APIs
	from domain_conf.h.
	* src/security.h, src/security_selinux.c: Add API for reserving
	an existing in-use MCS context from a running VM detected at
	daemon startup.

Thu Jun 11 17:33:43 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/remote.c: fixing a typo pointed out by Runa Bhattacharjee

Thu Jun 11 16:22:22 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/node_device_hal.c src/node_device_conf.[ch]: add support
	  for serial number in HAL storage backend, patch by Dave Allan
	* docs/schemas/nodedev.rng,
	tests/nodedevschemadata/storage_serial_3600c0ff000d7a2a5d463ff4902000000.xml:
	  update the schemas and add a test case, also by Dave Allan

Thu Jun 11 15:18:44 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/qemu_conf.[ch]: make qemuParseHelpStr() available
	to tests

	* tests/qemuhelptest.c, tests/qemuhelpdata/*: add tests
	for 'qemu -help' parsing.

Thu Jun 11 15:17:12 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/qemu_conf.c: detect newer qemu-kvm versions

Thu Jun 11 15:15:02 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/qemu_conf.c: re-factor qemu version parsing.

Thu Jun 11 15:14:37 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in src/libvirt_private.syms src/storage_backend_fs.c
	  src/util.c src/util.h: find and use kvm-img, qemu-img or qcow-create
	  dynamically at runtime, patch by Doug Goldstein
	* AUTHORS: add Doug Goldstein

Tue Jun  9 15:21:17 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/formatdomain.html docs/formatdomain.html.in: typo fix
	  by Garry Dolley

Tue Jun  9 12:39:24 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	API extension docs (Dave Allen)
	* docs/internals.html.in, docs/api_extension.html.in,
	docs/sitemap.html.in: Start new section on libvirt internal
	development & add doc about public API extensions
	* docs/api_extension/*patch: Example patch files
	* docs/*.html: Re-generate for updated sitemap

Thu Jun  4 15:54:24 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/xm_internals.c: the memory shrinking on device removal
	  didn't copy the right amount of memory, patch by Daniel Berrange
	  fixes #497051

Wed Jun  3 15:32:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/vbox/vbox_tmpl.c: Add NUMA memory APIs

Wed Jun  3 15:44:55 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/network_driver.c: forbid set Autostart on transcient networks

Wed Jun  3 14:30:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/vbox/vbox_tmpl.c: Switch to positional struct initializers
	instead of named initializes, to match preferred style

Wed Jun  3 14:29:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_driver.c: Implement capabilities and nodeinfo APIs

Wed Jun  3 14:28:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Generic shared impls of all NUMA apis
	* src/libvirt_private.syms: Add all nodeinfo.c APIs
	* src/lxc_conf.c, src/openvz_conf, src/qemu_conf.c,
	src/vbox/vbox_tmpl.c, src/uml_conf.c: Update for
	changed API names in nodeinfo.h
	* src/nodeinfo.c, src/nodeinfo.h: Add generic impls of
	the virNodeGetCellsFreeMemory & virNodeGetFreeMemory APis
	* src/openvz_driver.c: Use nodeGetInfo() directly in driver
	* src/qemu_driver.c, src/uml_driver.c: Remove NUMA APis impls
	in favour of generic impl in nodeinfo.c

Wed Jun  3 14:12:47 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/openvz_conf.c src/virsh.c: various typo or english fixups
	  raised by Runa Bhattacharjee

Wed Jun  3 12:19:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix HAL driver restart thread safety
	* src/node_device_hal.c: Only clear & recreate device objects,
	not entire driver struct.
	* src/node_device.c: Remove overly verbose logging of mutex
	operations.

Wed Jun  3 12:03:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Support networking in UML driver
	* src/bridge.c: Add new brDeleteTap function. Allow brAddTap
	to create a persistent tap devices.
	* src/bridge.h, src/libvirt_bridge.syms: Add brDeleteTap
	* src/domain_conf.c: Fix missing 'break' in network XML formatter
	* src/uml_conf.c, src/uml_conf.h, src/uml_driver.c: Add support
	for bridge, network, mcast and user mode network interfaces

Wed Jun  3 11:53:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc User Mode Linux startup/shutdown bugs
	* src/util.c: Make virKillProcess refuse to kill PID==1 too
	* src/uml_driver.c: Increment retries counter when starting
	guest. Check for monitor command failure. Use unique source
	socket per domain for talking to monitor.  Use virKillProcess
	for killing guests. Fix guest cleanup when getting inotify

Wed Jun  3 11:32:52 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c: Honour LIBVIRT_LOG_FILTERS/OUTPUTS env variables
	when initializing logging.

Tue Jun  2 17:05:52 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/Makefile.am src/node_device.[ch] src/node_device_conf.[ch]
	  src/node_device_hal.[ch] src/node_device_hal_linux.c
	  src/qemu_driver.c src/remote_internal.c src/storage_backend.c
	  src/virsh.c src/xen_unified.c tests/nodedevxml2xmltest.c
	  po/POTFILES.in: implementation for node device create and destroy
	  in NPIV support, patch by David Allan

Fri May 29 18:37:17 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in NEWS docs/* po/*: release of
	  libvirt-0.6.4
	* src/libvirt.c src/virterror.c: some comments cleanups

Fri May 29 15:34:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c: Set free'd variables to NULL to avoid potential
	double-free() scenario when client unexpectedly closes connection

Fri May 29 15:26:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Win32 portability fixes
	* docs/libvirt-api.xml, docs/libvirt-refs.xml,
	docs/devhelp/libvirt-libvirt.html, docs/devhelp/libvirt-virterror.html,
	docs/html/libvirt-libvirt.html, docs/html/libvirt-virterror.html:
	Regenerate docs from new API docs
	* include/libvirt/libvirt.h, include/libvirt/libvirt.h.in,
	qemud/remote.c, qemud/remote_protocol.c, qemud/remote_protocol.h,
	qemud/remote_protocol.x, src/datatypes.c, src/datatypes.h,
	src/driver.h, src/libvirt.c, src/remote_internal.c: Change
	all variable and field names from 'interface' to 'iface' to
	avoid clash with Win32 COM object name
	* tests/testutils.c: Disable regex code if not avaialble
	* qemud/Makefile.am: Fix BUILT_SOURCES on non-libvirtd builds

Fri May 29 16:25:32 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/lxc_container.c: fix a portability issue if PR_CAPBSET_DROP
	  not defined.

Fri May 29 10:16:13 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/network_driver.c src/network_conf.c src/network_conf.h:
	Fix regression defining colliding networks at daemon startup.

Fri May 29 10:13:55 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/network_driver.c: networkDestroy: Report error if network
	is inactive

Fri May 29 10:10:00 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: qemu_driver: Fix another domain startup error
	reporting race.

Fri May 29 10:01:19 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c : qemuDomainLookupByUUID: print correct UUID
	string on failed lookup.

Fri May 29 10:00:01 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c : virsh: Use consistent spacing for net-list

Fri May 29 15:29:32 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/qemu_conf.c docs/schemas/domain.rng
	  tests/capabilityschemadata/caps-qemu-kvm.xml: PPC Qemu Machine Type
	  changed from g3bw to g3beige some time ago, patch by Thomas Baker

Fri May 29 14:26:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix regression with network interface parsing
	* src/domain_conf.c: Add missing 'break' statement in network
	parser

Fri May 29 14:26:10 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/storagevol.rng docs/formatstorage.html[.in]
	  tests/storagevolschemadata/vol-qcow2.xml: fix storage volume
	  inconsistencies in schema and document, patch by Ryota Ozaki

Fri May 29 14:07:13 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: update of many localizations, regenerate the po

Thu May 28 14:20:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix misc bugs in ARGV -> XML convertor
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Fill
	in autogenerated MAC adress and UUID when converting ARGV
	into XML. Avoid crash if net device vlan isn't specified.
	Cope with quoting of argument values
	* tests/qemuargv2xmltest.c: Initialize random number generator
	and pass in capabilities when parsing ARGV

Thu May 28 14:13:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Avoid broken networking with new QEMU/KVM >= 86
	* src/qemu_conf.c: Remove ifname= and script= args to QEMU
	when passing a TAP device file handle.

Thu May 28 14:11:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix misc syntax check failures with OpenNebula driver
	* src/opennebula/one_conf.c, src/opennebula/one_conf.h,
	src/opennebula/one_driver.c, src/opennebula/one_driver.h: Kill
	trailing whitespace, automatic re-indent of all code, added
	missing translation marking
	* Makefile.maint: Add oneError() as a function with translatable
	strings.
	* po/POTFILES.in: Add one_conf.c, one_driver.c

Thu May 28 13:27:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/logging.c: Include function name & line number in all
	logging levels.

Thu May 28 12:00:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix python domain events example & binding.
	* examples/domain-events/events-python/event-test.py: Fix
	broken handling of timers
	* python/libvir.c: Take reference on virDomainPtr object
	before wrapping it to avoid double-free.

Tue May 26 13:09:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix error location logging
	* src/virterror.c, src/virterror_internal.h: Re-factor error
	reporting APIs to ensure correct source location info is
	passed through to eventual virLogMessage call.

Tue May 26 11:25:30 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* tests/Makefile.am: Add ocaml intermediate files to CLEANFILES

Mon May 25 13:52:30 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/opennebula/one_conf.[ch] src/opennebula/one_driver.[ch]:
	  the OpenNebula driver
	* configure.in include/libvirt/virterror.h qemud/Makefile.am
	  qemud/qemud.c src/Makefile.am src/domain_conf.[ch] src/driver.h
	  src/libvirt.c src/virterror.c: integration of the OpenNebula
	  driver in the libvirt infrastructure
	* AUTHORS: add Abel Miguez Rodriguez

Mon May 25 11:42:15 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* examples/domain-events/events-c/event-test.c: fixed the example
	  code for event handling, patch by Pritesh Kothari

Thu May 21 15:22:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Test case for QEMU driver ARGV -> XML conversion
	* tests/qemuargv2xmltest.c: Add test case for ARGV -> XML
	conversion in QEMU driver
	* tests/qemuxml2argvdata/qemuxml2argv-bootloader.args,
	tests/qemuxml2argvdata/qemuxml2argv-bootloader.xml: Fix QEMU
	binary to be xenner, not qemu-kvm
	* tests/qemuxml2argvdata/qemuxml2argv-disk-cdrom-empty.xml: Remove
	trailing blank line
	* tests/qemuxml2argvdata/qemuxml2argv-hostdev-pci-address.xml:
	Switch to unmanaged PCI device for tests
	* tests/testutils.c, tests/testutils.h: Add API for stripping
	lines matching a pattern.
	* .hgignore, tests/.cvsignore, tests/.gitignore: Ignore new
	test case binary

Thu May 21 15:20:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* docs/drvqemu.html[.in], docs/drvxen.html[.in]: Add docs on
	use of new domain XML conversions

Thu May 21 15:16:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c, src/qemu_conf.c, src/qemu_conf.h: Add new
	APIs for converting from QEMU argv into domain XML, and use for
	domain XML conversion APIs.

Thu May 21 15:15:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.h, src/vbox/vbox_tmp.c: Fix typo s/ES97/AC97/

Thu May 21 14:59:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Basic domain XML conversions
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Wire up
	API for conversion from XML to native argv
	* src/xen_unified.c, src/xen_unified.h: Wire up API for domain
	XML conversions to & from native

Thu May 21 14:48:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Remote protocol support for domain XML conversion APIs
	* qemud/remote.c: Handlers for new RPC messages
	* qemud/remote_dispatch_*.h, qemud/remote_protocol.c,
	qemud/remote_protocol.h: Re-generate for new RPC calls
	* qemud/remote_protocol.x: Add domain XML conversion APIs
	* src/remote_internal.c: Client for domain XML conversion
	APIs


Thu May 21 14:32:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Public APIs for domain XML conversions.
	* docs/devhelp/libvirt-libvirt.html, docs/devhelp/libvirt-virterror.html,
	docs/html/libvirt-libvirt.html, docs/html/libvirt-virterror.html,
	docs/libvirt-api.xml, docs/libvirt-refs.xml: Regenerate with new public
	APIs
	* include/libvirt/libvirt.h, include/libvirt/libvirt.h.in,
	src/driver.h, src/libvirt.c, src/libvirt_public.syms: Add
	virConnectDomainXMLFromNative and virConnectDomainXMLToNative
	* src/lxc_driver.c, src/openvz_driver.c, src/qemu_driver.c,
	src/remote_internal.c, src/test.c, src/uml_driver.c,
	src/xen_unified.c: Stub out new API entry points
	* src/virsh.c: Add domxml-to-native and domxml-from-native commands

Thu May 21 11:52:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* python/generator.py, python/libvirt_wrap.h, python/types.c: Add
	rules for generating virInterface APIs in python

Thu May 21 10:01:43 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/formatstorage.html[.in]: fix a error in format type example
	  pointed out by Ryota Ozaki

Wed May 20 16:23:10 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in include/libvirt/libvirt.h[.in]
	  include/libvirt/virterror.h qemud/remote.c
	  qemud/remote_dispatch_args.h qemud/remote_dispatch_prototypes.h
	  qemud/remote_dispatch_ret.h qemud/remote_dispatch_table.h
	  qemud/remote_protocol.[chx] src/Makefile.am src/datatypes.c
	  src/datatypes.h src/driver.h src/libvirt.c src/remote_internal.c
	  src/virterror.c src/libvirt_private.syms src/libvirt_public.syms:
	  Add the Interface config APIs and remote stubs for those, patch
	  by Laine Stump
	* AUTHORS: add Laine

Wed May 20 15:35:35 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c src/console.c src/network_driver.c
	  src/node_device_conf.c src/node_device_hal.c src/storage_conf.c
	  src/util.c: cleanup of some direct stderr logging

Wed May 20 15:33:27 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/pci.c: small portability patch

Wed May 20 09:10:28 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/lxc_driver.c: fix a couple of error code, patch by
	  Amy Griffis

Tue May 19 09:39:01 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_fs.c: VolumeCreateXMLFrom FS storage
	backend implementation.

Tue May 19 09:36:48 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend.h src/storage_driver.c: Storage driver
	implementation for CreateXMLFrom

Tue May 19 09:26:53 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/node_device_hal.c: Fix node device media insert/eject
	detection.

Tue May 19 09:24:54 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/node_device_hal.c: Fix a possible deadlock in HAL nodedev
	driver.

Tue May 19 09:22:43 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* Makefile.am: Fix rpm build: add 'mylibtool' to EXTRADIST.

Tue May 19 09:20:54 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* qemud/Makefile.am: Generate some config files at build time.

Tue May 19 09:16:37 EDT 2009 Cole Robinson <crobinso@redhat.com>

	Add documentation for <sound> device XML format.
	* docs/formatdomain.html docs/formatdomain.html.in

Tue May 19 09:14:12 EDT 2009 Cole Robinson <crobinso@redhat.com>

	Use virAsprintf, rather than VIR_ALLOC + strcpy + strcat
	* qemud/remote.c src/remote_internal.c src/storage_backend.c
	  src/storage_backend_fs.c src/storage_backend_logical.c
	  src/test.c

Tue May 19 09:04:05 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c: Don't validate disk type in virsh attach-disk

Tue May 19 09:00:43 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* python/libvir.py: Don't overwrite legitimate python import error.

Tue May 19 12:04:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix misc locking bugs identified by lock checker
	* src/test.c: Add missing driver lock calls in testOpen()
	* src/uml_driver.c: Remove bogus driver unlock call in
	umlDomainStart. Ensure driver lock is held for the duration
	of umlDomainSetAutostart.
	* src/network_driver.c: Ensure driver lock is held for the
	duration of networkStart, networkDestroy and networkSetAutostart
	* src/storage_driver.c: Ensure driver lock is held for the
	duration of storagePoolRefresh, and storagePoolSetAutostart.
	Ensure driver is locked before re-obtaining pool lock in
	storageVolumeCreateXML.
	* src/qemu_driver.c: Ensure lock is held when removing domain
	event callbacks in qemudClose(). Drop driver lock before calling
	qemudAutostartConfigs, since that will obtain a lock when calling
	virConnectClose. Hold lock across duration of suspend, resume,
	start, get security label, device attach and device detach
	operations.

Tue May 19 11:10:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Add an optional OCaml+CIL mutex lock checker
	* .hgignore, src/.cvsignore, src/.gitignore, tests/.gitignore,
	tests/.cvsignore: Ignore binary files from ocaml build. Ignore
	.i and .s files from gcc -save-temps
	* configure.in: Add --enable-test-locking arg to turn on build
	of OCaml/CIL mutex locking test
	* src/Makefile.am: Add $(LOCK_CHECKING_CFLAGS) used when lock
	checking tests are enabled.
	* tests/Makefile.am, tests/object-locking.ml: Add OCaml/CIL
	program for validating mutex locking correctness

Mon May 18 16:10:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c: Declare support for migration in capabilities

Fri May 15 15:59:08 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/vbox/vbox_driver.c src/vbox/vbox_tmpl.c: last patch for
	  hostonly networks support in vbox driver, patch by Pritesh Kothari

Fri May 15 15:44:01 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/vbox/vbox_tmpl.c: implement vbox vrdp/sdl/gui support,
	  patches by Pritesh Kothari

Fri May 15 11:41:46 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/domain.rng src/domain_conf.[ch] src/qemu_driver.c:
	  extend the generic code for the RDP and desktop extensions of
	  the graphic tag needed for vbox, patch by Pritesh Kothari

Thu May 14 12:29:41 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c: remove [] around cpumaps for recent xend
	  patch by Tatsuro Enokura

Wed May 13 13:37:02 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c: Fix a few 'used uninitialized' warnings.

Wed May 13 18:06:17 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/buf.c: avoid an XML attribute escaping bug #499791

Wed May 13 12:34:06 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_container.c: Replace sys/capability.h with
	linux/capability.h, to avoid unneccessary dependancy
	on the libcap package.

Tue May 12 16:39:06 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* tests/eventtest.c: Use safewrite instead of write
	* po/POTFILES.in: Add src/vbox/vbox_driver.c

Tue May 12 16:25:59 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_fs.c: Break out FS volume build routines to
	their own functions.

Tue May 12 16:16:09 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c: Virsh commands vol-clone and vol-create-from

Tue May 12 16:14:43 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Test driver implementation of
	virStorageVolCreateXMLFrom

Tue May 12 16:11:14 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* qemud/remote.c qemud/remote_dispatch_args.h
	  qemud/remote_dispatch_prototypes.h qemud/remote_distpatch_ret.h
	  qemud/remote_dispatch_table.h qemud/remote_protocol.c
	  qemud/remote_protocol.h qemud/remote_protocol.x
	  src/remote_internal.c:
	  Remote support for virStorageVolCreateXMLFrom

Tue May 12 16:00:49 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* include/libvirt/libvirt.h include/libvirt/libvirt.c
	  src/driver.h src/libvirt.c src/libvirt_public.syms:
	  Public API definition for virStorageVolCreateXMLFrom
	* docs/devhelp/libvirt-libvirt.html
	  docs/devhelp/libvirt-virterror.html
	  docs/html/libvirt-libvirt.html docs/html/libvirt-virterror.html
	  docs/libvirt-api.xml docs/libvirt-refs.xml:
	  Regenerate API documentation.

Tue May 12 15:58:28 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend.c: Document a function
	* src/storage_backend_fs.c: Don't squash file probe errors.

Tue May 12 17:45:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* .hgignore, tests/.cvsignore, tests/.gitignore: Ignore
	new eventtest binary.
	* tests/Makefile.am, tests/eventtest.c, tests/testutils.h: Add
	test case for exercising the event loop

Tue May 12 17:43:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix watch/timer event deletion
	* qemud/event.c: Change handling of deleted watches/timers
	to ensure correct dispatch of callbacks when deleted flag
	is set

Tue May 12 17:42:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/event.c: Start watch/timer IDs from 1 to avoid problem
	with accidental uninitialized variables at 0. Fix interrupting
	of main thread when updating/deleting watches/timers.

Tue May 12 16:38:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, qemud/qemud.h, qemud/event.c: Remove use
	of qemudSetNonBock/SetCloseExec in favour of virSetNonBlock
	and virSetCloseExec.

Tue May 12 16:38:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Allow for quieter build with 'make -s'
	* configure.in: Use 'mylibtool' wrapper around 'libtool'
	* mylibtool: Quiet version of libtool just printing build
	target name without flags.

Tue May 12 16:35:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Improve driver open URI handling
	* src/vbox/vbox_driver.c: Register dummy no-op driver if
	the virtualbox libraries are not avialable
	* src/vbox/vbox_tmpl.c: Return fatal error if open fails
	for a URI we expect to handle

Tue May 12 17:25:52 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/network_driver.c: enable bridges which are not up, i.e.
	  without an IP address, patch by Ludwig Nussel

Mon May 11 16:25:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/datatypes.c: Change hash destructors to call the internal
	virUnrefXXX methods instead of public virXXXFree methods (Laine
	Stump)

Mon May 11 16:25:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_container.c: Fix unused variable warning

Mon May 11 16:15:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix QEMU ARGV detection with kvm >= 85
	* src/qemu_conf.c: Increase limit on QEMU -help output size.
	Improve error reporting when handling help output
	* src/qemu_driver.c: Don't overwrite errors when extracting
	QEMU versio ninfo

Mon May 11 15:55:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/virsh.c: Report detailed error if initial connection open
	attempt fails

Mon May 11 16:03:37 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/lxc_container.c: drop LXC CAP_SYS_BOOT capability to avoid
	  reboot from inside containers, patch by Ryota Ozaki

Mon May 11 09:51:00 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c : Check that QEMU is still alive while
	reading startup output.

Mon May 11 09:44:40 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/util.[ch] : Add pidfile argument to __virExec
	* src/proxy_internal.c src/qemu_driver.c src/uml_driver.c
	src/remote_driver.c: Adjust virExecDaemonize calls accordingly.
	* src/qemu_conf.c : No longer pass -pidfile argument to qemu
	* tests/qemuxml2argvdata/*.args : Remove qemu -pidfile argument.

Mon May 11 09:35:26 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Report qemu log data if we fail to daemonize.

Mon May 11 09:29:52 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/libvirt_private.syms src/util.[ch]: Add a helper function
	virExecDaemonize
	* src/proxy_internal.c src/qemu_driver.c src/uml_driver.c
	src/remote_driver.c: Use the new helper.

Mon May 11 11:54:53 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/vbox/vbox_tmpl.c: "Host only" and "Internal" network support
	  for vbox, patch by Pritesh Kothari

Mon May 11 11:47:51 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.[ch] docs/schemas/domain.rng: add support
	  for internal network in the generic part of the code, and
	  update the Relax-NG grammar accordingly, patch by Pritesh Kothari

Fri May  8 11:24:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/cgroup.c: Create cgroups mode 755, not 655 (Ryota Ozaki)

Fri May  8 11:22:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix /dev/ population to use char devices (Ryota Ozaki)
	* src/lxc_controller.c: Add /dev/ptmx to allow cgroup resources
	* src/lxc_container.c: Create dev nodes as char devices, not
	plain files

Fri May  8 12:15:05 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/vbox/vbox_tmpl.c (virDrvOpen): return VIR_DRV_OPEN_DECLINED
	  instead of VIR_DRV_OPEN_ERROR when vbox can't be found so other
	  hypervisors can be probed. Patch by Pritesh Kothari.

Fri May  8 12:09:12 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/vbox/vbox_tmpl.c (vboxUninitialize): fix crash when init fails
	  early (i.e. due to vbox not being installed)

Fri May  8 11:10:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Make name & UUID uniqueness checking in
	define, create & restore functions more robust. Throw error
	in destory operation, if guest isn't running

Fri May  8 11:07:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c: Enable migrate/save/restore for QEMU
	0.10.0 or later releases

Fri May  8 11:05:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/driver.c: Log dlopen related errors at higher log level
	so important messages are visible by default

Fri May  8 10:56:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* include/libvirt/virterror.h, src/virterror.c: Add new error
	code VIR_ERR_OPERATION_INVALID for operations that are not
	applicable at this time (eg, pause on an inactive guest)
	* src/qemu_driver.c, src/xen_internal.c, src/xend_internal.c:
	Use new error code where relevant.

Thu May  7 09:31:22 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/libvirtd.init.in: improve the LSB init header for the
	  init.d file, patch by Frederik Himpe

Thu May  7 09:26:50 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/util.c (virFileWritePid): check for NULL pointers
	  to avoid bogus pid files
	  (virFileReadPid): likewise
	  (virFileDeletePid): likewise

Thu May  7 09:24:47 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.c src/domain_conf.h: parse and save multiple
	  graphics elements instead of one, patch by Pritesh Kothari
	* src/qemu_conf.c src/qemu_driver.c: adapt the qemu/kvm driver for
	  the new structures, patch by Pritesh Kothari
	* src/xend_internal.c src/xm_internal.c: same thing for Xen drivers

Thu May  7 09:16:05 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/lxc_controller.c (main): don't crash when called without
	arguments

Wed May  6 16:55:02 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/qemu_driver.c: fix handling of <hostdev managed='yes'>

Wed May  6 10:19:36 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c : Refresh QEMU driver capabilities for each
	getCapabilities call.

Wed May  6 15:42:08 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/vbox/vbox_driver.c src/vbox/vbox_tmpl.c: changes in
	  VirtualBox driver version detection and move informations
	  from a global variable into a driver structure, patch by Pritesh
	  Kothari.

Wed May  6 15:27:04 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: add a couple of missing directories

Wed May  6 15:22:08 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/vbox/vbox_XPCOMCGlue.[ch]: improve VirtualBox path detection
	  patch by Pritesh Kothari

Tue May  5 10:20:27 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Don't throw away StartVM errors when
	migrating/restoring in qemu driver.

Tue May  5 10:19:14 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Small cleanups in test driver VolCreateXML

Tue May  5 10:18:15 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_driver.c: Remove some debug code from storage_driver.c

Tue May  5 10:16:56 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/libvirt.c: Use proper error code in virStorageVolCreateXML

Mon May  4 11:44:09 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_fs.c: Fix a comment typo in storage_backend_fs.c

Mon May  4 11:42:01 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/util.c: virExec: Delay daemonizing as long as possible.

Mon May  4 11:40:27 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/util.c: Add some documentation to __virExec and virExec

Tue Apr 28 11:54:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix check for -Wformat-security which depends on -Wformat
	* m4/compiler-flags.m4: Set previously verified compiler flags
	when checking new flags
	* srv/virsh.c: Fix three non-critical format string bugs

Fri Apr 24 15:55:56 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* NEWS configure.in libvirt.spec.in docs/*: release of 0.6.3
	* po/*: regenerated
	* src/libvirt.c src/virterror.c: fixed some function comments

Fri Apr 24 14:07:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Add virNodeDeviceCreateXML / virNodeDeviceDestroy boilerplate
	public API and remote protocol impl
	* include/libvirt/libvirt.h, include/libvirt/libvirt.h.in,
	 src/libvirt_public.syms: Public API definition of new
	virNodeDeviceCreateXML and virNodeDeviceDestroy methods
	* qemud/remote.c: Dispatch code for new APIs
	* qemud/remote_dispatch_args.h, qemud/remote_dispatch_prototypes.h,
	qemud/remote_dispatch_ret.h, qemud/remote_dispatch_table.h:
	Re-generate stubs for dispatcher
	* qemud/remote_protocol.x: Define wire protocol for node
	device create / destroy APIs
	* qemud/remote_protocol.c, qemud/remote_protocol.h:
	Re-generate based off protocol additions
	* src/driver.h: Define internal driver API contract for
	new public APIs
	* src/libvirt.c: Wire up public API to driver API for
	virNodeDeviceCreateXML/virNodeDeviceDestroy
	* src/remote_internal.c: Client for new node device methods

Fri Apr 24 13:19:47 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_private.syms: Add virDomainHostdevDefFree needed
	by Xen driver when built as a module.

Fri Apr 24 13:17:47 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix network config in XM driver
	* src/xm_internal.c: Fix setting of bridge & script parameters
	in VIF config
	* src/xend_internal.h, src/xend_internal.c: Export the
	default bridge script name to XM driver
	* tests/xmconfigdata/*: Update to take account of script=
	setting in VIF config

Fri Apr 24 12:06:47 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: updated a could of locale, regenerated
	* docs/libvirt-api.xml docs/libvirt-refs.xml: regenerated too

Wed Apr 22 15:28:03 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/network_driver.c: Explicit check for NULL, to avoid
	compiler complaining about "assignment treated as truth value
	in conditional".

Wed Apr 22 15:27:03 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Use private /dev/pts instance for containers (needs 'newinstance'
	mount flag for devpts since 2.6.29 kernels), fallback to shared
	instance if not supported
	* src/domain_conf.h, src/domain_conf.c: Add a convenient
	routine virDomainGetRootFilesystem()
	* src/libvirt_private.sym: export virDomainGetRootFilesystem
	to drivers
	* src/util.c, src/util.h: Add virFileOpenTtyAt() to allow
	alternate path to /dev/ptmx to be given
	* src/lxc_controller.c: Attempt to setup a private /dev/pts
	instance for the container's stdio I/O
	* src/lxc_container.h, src/lxc_container.c: Pull in the
	private /dev/pts instance setup by controller, and create
	a symlink for /dev/ptmx.

Tue Apr 21 20:14:03 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Remove pidfile when domain shuts down and
	cleanup stale pidfile before domain startup.

Tue Apr 21 14:39:03 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* po/POTFILES.in: Add vbox_tmpl.c file
	* src/vbox/vbox_tmpl.c: Adjust domain IDs to start from 1
	instead of 0, refuse domain ID 0.

Tue Apr 21 20:58:50 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/network_conf.c src/network_conf.h: add dynamic bridge names
	  support, patch by Soren Hansen
	* AUTHORS: add Soren

Tue Apr 21 17:08:57 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c: let xend try vcpu pinning operation even
	  if the domain is not running, patch by Takahashi Tomohiro

Tue Apr 21 15:38:29 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/drvvbox.html.in docs/drvvbox.html: tiny fixes to VirtualBox
	  docs

Tue Apr 21 14:22:03 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/drvvbox.html.in docs/hvsupport.html.in docs/drivers.html.in
	  docs/sitemap.html.in docs/*.html: VirtualBox Documentation by
	  Pritesh Kothari

Mon Apr 20 14:25:41 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/lxc_container.c src/lxc_container.h: cope with kernels
	  where CLONE_NEWUSER is not supported, patch by Serge Hallyn

Mon Apr 20 12:54:02 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* docs/virsh.pod, virsh.1: fix typo reported by Robert P. J. Day

Mon Apr 20 11:24:23 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: merge in a lot of localization updates and regenerate

Mon Apr 20 11:06:20 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/bridge.c: fix a compilation breakage raised by Anton Protopopov

Sun Apr 19 17:46:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* mingw32-libvirt.spec.in: Added new virt-xml-validate tool
	missed from previous commit

Sun Apr 19 17:36:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* autobuild.sh, mingw32-libvirt.spec.in: Disable vbox driver
	for Win32 builds

Sun Apr 19 17:36:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.am: Add another vbox file to EXTRA_DIST

Sun Apr 19 16:49:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/virterror.c: Add missing 'break' in error code string
	formatter.

Sun Apr 19 16:29:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Improve error reporting for lookup failures on inactive domains
	* src/qemu_driver.c: Do all domain lookups based on UUID and
	use correct error code for missing domains.

Sun Apr 19 16:19:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix 2 domain ID handling bugs in remote driver
	* src/remote_internal.c: Add virDomainCreate(), do a lookup
	to find the ID of newly created domain. Reset ID to -1 after
	doing a destroy operation on a domain

Sun Apr 19 16:14:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c: Switch over todo domain lookup based
	on UUID in virDomainAssignDef

Sun Apr 19 16:14:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* docs/libvirt-api.xml, docs/libvirt-refs.xml,
	docs/devhelp/libvirt-libvirt.html, docs/devhelp/libvirt-virterror.html,
	docs/html/libvirt-libvirt.html, docs/html/libvirt-virterror.html:
	Regenerate API docs to pull in latest VBox error code definitions

Sun Apr 19 16:12:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.am: Add 2 missing vbox files to EXTRA_DIST

Sun Apr 19 16:00:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Add command line tool for validating XML and improve POD docs
	for virsh
	* Makefile.am, configure.in: Add tools/ sub-directory
	* docs/virsh.pod, docs/Makefile.am, virsh.1: Fix misc errors
	in POD formating, and improve licensing/copyright/bugs section
	* libvirt.spec.in: Add virt-xml-validate tool & man page
	* tools/virt-xml-validate.in, tools/Makefile.am: Add tool for
	validating XML files against schemas
	* .hgignore, tools/.gitignore, tools/.cvsignore, m4/.gitignore:
	Update to ignore more generated files

Sun Apr 19 15:44:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c, src/qemu_conf.h: Pass in virDomainDefPtr to
	qemudBuildCommandLine, instead of virDomainObjPtr
	* src/qemu_driver.c, tests/qemuxml2argvtest.c: Update for above
	API change.

Fri Apr 17 21:10:28 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt_private.syms src/storage_backend.h
	  src/storage_backend_fs.c src/storage_conf.h src/storage_driver.c:
	  drop the pool lock when allocating fs volumes, patch by Cole Robinson

Fri Apr 17 18:05:52 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in include/libvirt/virterror.h src/Makefile.am
	  src/domain_conf.[ch] src/driver.h src/virterror.c src/vbox/README
	  src/vbox/vbox_CAPI_v2_2.h src/vbox/vbox_V2_2.c
	  src/vbox/vbox_XPCOMCGlue.[ch] src/vbox/vbox_driver.[ch]
	  src/vbox/vbox_tmpl.c: integration of the VirtualBox support
	  patches by Pritesh Kothari

Fri Apr 17 17:32:16 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt.c: fix the doc of virNodeGetFreeMemory to say bytes
	* docs/drvlxc.html.in docs/drvlxc.html: fix command used in examples

Thu Apr 16 17:48:30 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c (qemudMonitorCommandExtra): don't log monitor
	  output to domain log file. It's logged via the logging system
	  already.
	  (qemudDomainGetMemoryBalloon, qemudDomainSave,
	   qemudDomainChangeEjectableMedia, qemudDomainAttachPciDiskDevice,
	   qemudDomainAttachUsbMassstorageDevice, qemudDomainAttachHostDevice,
	   qemudDomainDetachPciDiskDevice, qemudDomainBlockStats,
	   qemudDomainMemoryPeek, qemudDomainMigratePerform): prefix monitor
	   debug output with vm name.

Thu Apr 16 16:48:51 CEST 2009 Guido Günther <agx@sigxcpu.org>

	* src/qemud.c (remoteReadConfigFile): don't hardcode buffer for
	  getgrnam_r to 1024 bytes and increase it on ERANGE.

Thu Apr 16 15:20:02 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/qemu_conf.c: pass "format=" to qemu -drive rather
	than "fmt="

	* tests/qemuxml2argvdata/*: fix test cases.

Thu Apr 16 14:05:28 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/lxc_container.c: syntax-check fixes

Wed Apr 15 22:40:50 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/Makefile.am docs/api.html docs/api.html.in docs/archdomain.html
	 docs/archnetwork.html docs/archnode.html docs/archstorage.html
	 docs/goals.html docs/intro.html
	 docs/libvirt-daemon-arch.fig docs/libvirt-daemon-arch.png
	 docs/libvirt-driver-arch.fig docs/libvirt-driver-arch.png
	 docs/libvirt-object-model.fig docs/libvirt-object-model.png
	 docs/page.xsl docs/sitemap.html docs/sitemap.html.in:
	 adding a new api page, extending the stylesheet to allow references
	 and including images from Dan Berrange

Wed Apr 15 22:08:12 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/virsh.c: fix for virsh ttyconsole return value bug #495954

Wed Apr 15 21:59:09 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* drvlxc.html.in drvlxc.html: some examples from Serge Hallyn

Wed Apr 15 11:52:15 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/xm_internal.c: fix a crash on vcpupin to inactive Xen domains,
	  as raised by Takahashi Tomohiro

Wed Apr 15 11:33:33 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/lxc_driver.c: adds the getHostname method to the lxc driver
	  patch by Dan Smith

Tue Apr 14 10:46:44 PDT 2009 Dan Smith <danms@us.ibm.com>

	* src/veth.c: Fix veth off-by-one error
	  patch by Serge Hallyn
	* src/lxc_container.c: Stop rootless containers from messing with
	  system mounts.  Also, make pivot_root code more robust.
	  patch by Serge Hallyn

Tue Apr 14 14:46:29 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: fix build on RHEL and Centos 5.x, patch
	  by Joseph Shraibman, fixes #495610

Tue Apr  7 14:48:35 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_scsi.[ch]: add SCSI storage rescan support,
	  patch by David Allan

Fri Apr  3 16:47:22 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in NEWS docs/*: release of 0.6.2
	* po/*: Gujarati and Polish updates, rebuild
	* AUTHORS: add one missing

Fri Apr  3 10:16:55 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend.c src/storage_backend_scsi.c:
	Don't lose file format info on volume refresh.

Fri Apr  3 10:15:01 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_driver.c: Refresh volume alloc/capacity when dumping XML.

Fri Apr  3 10:13:38 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Fix test driver domain restore return value.

Fri Apr  3 10:02:57 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend.c: Fix sparse volume allocation reporting.

Fri Apr  3 15:07:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix crash in svirt verification, and incorrect cleanup in
	VM failure paths.
	* src/domain_conf.c: Don't extract 'model' from seclabel unless
	requesting 'live' config, or if its a static label. Add missing
	error report
	* src/qemu_driver.c: Fix cleanup in auto-reconnect to running VMs.
	Fix cleanup of resources if starting a new VM fails
	* src/security.c: Fix crash if no seclabel model is defined in
	the virSecuriyDriverVerify method
	* src/security_selinux.c: Fix error message typo & fix whitespace

Fri Apr  3 15:03:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/virsh.c: Add --console arg for create & start commands
	to auto-attach to console. Print info about escape key for
	console. Refuse to connect to remote consoles.

Fri Apr  3 13:41:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc NUMA memory fixes
	* qemud/remote.c: Fix check of error status in the helper
	remoteDispatchNodeGetCellsFreeMemory
	* src/qemu_driver.c: Report error if requested start cell
	is out of range. Fix return value if NUMA is not available
	* src/virsh.c: Convert memory to KB for freecell command.
	Check return value of virNodeGetFreeMemory

Fri Apr  3 11:55:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Support PCI passthrough in Xen driver
	* src/pci.c: Refactor to support Xen's pci-back.ko too
	* src/xen_unified.c: Implement node device reattach/detach
	reset APIs
	* src/xend_internal.c: Handle creation of VMs with PCI
	devices
	* src/xm_internal.c: serialization of PCI device config
	* tests/sexpr2xmltest.c, tests/xmconfigtest.c,
	tests/xml2sexprtest.c: Add tests for PCI devices
	* tests/sexpr2xmldata/sexpr2xml-pci-devs.sexpr,
	tests/sexpr2xmldata/sexpr2xml-pci-devs.xml,
	tests/xmconfigdata/test-pci-devs.cfg,
	tests/xmconfigdata/test-pci-devs.xml,
	tests/xml2sexprdata/xml2sexpr-pci-devs.sexpr,
	tests/xml2sexprdata/xml2sexpr-pci-devs.xml: Add data
	files for PCI testing


Fri Apr  3 11:55:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Improve error reporting/ verification of security labels
	(Dan Walsh)
	* src/domain_conf.c: Improve error reporting for parsing of
	seclabel XML
	* src/libvirt_private.syms: Export virSecurityDriverVerify
	* src/qemu_driver.c: Verify seclabel when creating or
	defining a new domain
	* src/security.c, src/security.h, src/security_linux.c: Add
	functions for verifying security labels
	* tests/.gitignore: Ignore seclabeltest
	* tests/Makefile.am, tests/seclabeltest.c: Add test for
	security driver

Thu Apr  2 19:41:00 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Mingw portability fixes
	* src/util.c: Fix virFileResolveLink for Win32 platform.
	Fix offset usage in safezero for mmap() and write() impls
	* configure.in: Add check for readlink()

Thu Apr  2 15:18:00 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/domain.rng: some missing disk bus values and cleanups

Thu Apr  2 14:00:14 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* docs/*: start cleanup/revamp of architecture docs

Thu Apr  2 11:52:59 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: updated brazilian, spanish, polish and simplified chinese
	  translations, and regenerated

Wed Apr  1 16:50:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	SCSI HBA storage pool implementation (Dave Allan)
	* configure.in: Add flag for SCSI storage pool support
	* po/POTFILES.in: Add storage_backend_scsi.c
	* src/Makefile.am: Add new SCSI storage backend
	* src/storage_backend.c: Support for SCSI pool type
	* src/storage_backend_iscsi.c: Refactor to re-use logic from
	SCSI pool backend
	* src/storage_backend_scsi.c, src/storage_backend_scsi.h:
	Generic pool for Linux SCSI HBAs (or things which look
	like SCSI HBAs)
	* src/storage_conf.c, src/storage_conf.h: Add logic for
	SCSI storage pool XML parsing options

Wed Apr  1 11:40:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* configure.in: Check for libsasl.so as well as libsasl2.so
	since former is used on some OS platforms that aren't Linux

Wed Apr  1 11:38:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* python/generator.py: Clear internal reference to underlying
	virConnectPtr object after calling virConnectClose()

Wed Apr  1 11:37:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* python/generator.py: Fix generation of networkCreateXML
	and storagePoolCreateXML to avoid clash with createXML()
	method

Wed Apr  1 11:36:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix localtime handling for new XenD
	* src/xend_internal.c: Update SEXPR for new location of
	(localtime 1) field.
	* src/xm_internal.c: Read localtime=1 param for PV guests
	too
	* tests/xml2sexprtest.c, tests/sexpr2xmltest.c: Add testing
	of new (localtime 1) handling
	* tests/sexpr2xmldata/sexpr2xml-pv-localtime.sexpr,
	tests/sexpr2xmldata/sexpr2xml-pv-localtime.xml,
	tests/xml2sexprdata/xml2sexpr-fv-localtime.sexpr,
	tests/xml2sexprdata/xml2sexpr-pv-localtime.sexpr,
	tests/xml2sexprdata/xml2sexpr-pv-localtime.xml: Data files
	for extended tests

Wed Apr  1 11:27:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc fixes uncovered from OOM testing
	* src/datatypes.c: Switch to virReportErrorHelper for error
	reporting, so source line/file/function info is correct
	* src/domain_conf.c: Check for failure in virXPathNodeSet()
	* src/noeinfo.c: Translate error strings
	* src/xend_internal.c: Check for OOM failure after generating
	SEXPR buffer
	* tests/sexpr2xmltest.c: Don't unref a NULL connection object.
	Reset error object between tests. Free capabilities on exit
	* tests/testutils.c: Fix crash in OOM testing for non-SMP
	usage
	* tests/xml2sexprtest.c: Reset error object between tests

Wed Apr  1 11:22:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Sanitise symlink resolving
	* src/libvirt_private.syms: Add virFileResolveLink
	* src/util.c, src/util.h: Add convenient virFileResolveLink
	for reading symlink destination safely
	* src/storage_backend_disk.c, src/security_selinux.c: Switch
	over to calling virFileResolveLink

Wed Apr  1 11:18:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc memory handling fixes
	* src/node_device.c: Don't strdup() a NULL parent device name
	* src/qemu_conf.c: Don't try to access() a NULL alternative
	binary name
	* src/storage_conf.c: Don't free mode string while its still
	in use

Wed Apr  1 11:16:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xm_internal.c: Add support for vifname= parameter in
	VIF config
	* tests/xmconfigtest.c: Add test for vifname= handling
	* tests/xmconfigdata/test-paravirt-net-vifname.cfg,
	tests/xmconfigdata/test-paravirt-net-vifname.xml: Data file
	for new test

Wed Apr  1 10:58:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Improve error reporting in SEXPR generation
	* src/xm_internal.c, src/xend_internal.c: Avoid overwriting
	previously set error message. Clarify message when network
	lookup fails

Wed Apr  1 10:55:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/node_device.c: Fix error message for missing node device
	during lookup by name

Wed Apr  1 10:54:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Fix URI check in migration

Wed Apr  1 10:50:22 BST 2009 Daniel P. Berrange <berrange@redhat.com>

	Add a tree view of node devices
	* src/remote_internal.c: Fix memory leak in virNodeDeviceGetParent() impl
	* src/virsh.c: Add --tree flag to nodedev-list command

Tue Mar 31 17:40:00 CEST 2009 Chris Lalancette <clalance@redhat.com>
	* src/lxc_driver.c, src/openvz_driver.c, src/qemu_driver.c,
	src/remote_internal.c, src/test.c, src/uml_driver.c, src/xen_unified.c,
	src/driver.h, src/libvirt.c, src/proxy_internal.c, src/xen_inotify.c,
	src/xen_internal.c, src/xen_unified.h, src/xend_internal.c,
	src/xm_internal.c, src/xs_internal.c: Convert all drivers to use
	old-style struct initializers; this makes a handy built-in TODO list
	for each driver.  Also rip out the internal getURI method; it was never
	used by any of the drivers, and was buggy to boot.

Tue Mar 31 14:44:16 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: better modularization of the spec file,
	  patch by Ryota Ozaki

Tue Mar 31 14:25:18 CEST 2009 Daniel Veillard <veillard@redhat.com>

	* src/util.c: fix virRun() to prevent zombies on pipe errors,
	  patch by Ryota Ozaki

Fri Mar 27 11:44:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Don't try to query balloon if guest
	isn't running

Fri Mar 27 11:44:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Support memory ballooning in QEMU
	* src/qemu_conf.c: Fix initial QEMU startup memory allocation
	to be based on 'max memory'
	* src/qemu_driver.c: Balloon down allocation to 'memory'
	setting at startup. Implement virDomainSetMemory() for running
	guests via memory balloon. Report mem current usage by querying
	memory balloon.

Tue Mar 24 11:14:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/capabilities.c, file src/capabilities.h,
	src/domain_conf.c, src/xm_internal.c: Prefer native arch
	when auto-filling guest architecture. Match on domain type
	when auto-filling architecture (Soren Hansen)

Tue Mar 24 10:51:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.maint: Include 'CHECK: ' prefix when printing
	name of each syntax-check rule that is run

Tue Mar 24 10:51:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c, src/openvz_conf.h, src/openvz_driver.c: Add
	support for a non-template filesystem root. (Florian Vichot)

Mon Mar 23 17:33:17 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/virsh.c: fix missing authentication when command are issued
	  from the shell, patch by Matthias Bolte

Fri Mar 20 21:43:57 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/util.c: flag unused parameters, by Maximilian Wilhelm

Fri Mar 20 13:16:01 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt_private.syms src/storage_backend_fs.c src/util.c
	  src/util.h: use posix_fallocate() on supported systems to
	  allocate diskspace faster, patches by Amit Shah

Fri Mar 20 11:41:40 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix test breakage on x86_64 from previous change
	* tests/qemuxml2argvdata/qemuxml2argv-migrate.args,
	tests/qemuxml2argvdata/qemuxml2argv-migrate.xml,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v1.args,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v1.xml,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v2.args,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v2.xml: Switch
	to base 'qemu' emulator to avoid arch-dependant options
	needed by 'qemu-kvm' emulator.

Fri Mar 20 11:21:40 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Make use of emulator binaries more flexible
	* src/qemu_conf.h: Add flag for -no-kvm option
	* src/qemu_conf.c: Allow i686 on x86_64 for KVM guests using
	-cpu flag. Allow qemu-system-x86_64 to be used for 32-bit
	guests. Allow KVM binary to be used for non-KVM guests using
	-no-kvm flag

Thu Mar 19 15:25:40 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/domain.rng: extend definition for security attributes

Tue Mar 17 11:35:58 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix labelling of shared/readonly devices (Dan Walsh)
	* src/qemu_driver.c, src/security.h: Disk label commands
	take virDomainDiskDefPtr instead of virDomainDefPtr
	* src/security_selinux.c: Do not relabel shared or readonly
	disk images with MCS label.

Tue Mar 17 11:58:58 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/remote_internal.c: remove file descriptors leak

Mon Mar 16 13:17:05 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/libvirt.c: Don't allow readonly connections to dump secure xml.

Mon Mar 16 13:15:11 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Initialize security driver after config parsing

Mon Mar 16 13:12:59 EDT 2009 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Fix test driver 'save' deadlock

Mon Mar 16 13:52:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Support SASL auth for VNC server.
	* qemud/libvirtd_qemu.aug, qemud/test_libvirtd_qemu.aug: Add
	support for VNC sasl config options
	* src/qemu.conf: Example VNC sasl config options
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Add
	ability to set SASL authentication on VNC servers
	* tests/qemuxml2argvtest.c: Test for VNC SASL and TLS security
	options
	* tests/qemuxml2argvdata/qemuxml2argv-graphics-vnc-sasl.args,
	tests/qemuxml2argvdata/qemuxml2argv-graphics-vnc-sasl.xml,
	tests/qemuxml2argvdata/qemuxml2argv-graphics-vnc-tls.args,
	tests/qemuxml2argvdata/qemuxml2argv-graphics-vnc-tls.xml: Data
	files for tests

Mon Mar 16 11:44:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Avoid deadlock in virDomainSetVcpus
	driver impl

Mon Mar 16 10:55:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix subsystem lookup for older HAL releases
	* src/node_device_hal.c: Check for linux.subsystem property

Mon Mar 16 10:45:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Add ac97 to test case & RNG schema (Pritesh Kothari)
	* docs/schemas/domain.rng: Add ac97 as valid soundcard
	* tests/qemuxml2argvdata/qemuxml2argv-sound.args,
	tests/qemuxml2argvdata/qemuxml2argv-sound.xml: Extend test to
	cover ac97 soundcard.

Mon Mar 16 11:40:00 CET 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c src/cgroup.c src/uml_driver.c src/util.c: close
	  some potential FILE * leaks

Mon Mar 16 10:35:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/event.c: Fix dispatch of FD events when one or more
	handles has been marked as deleted

Mon Mar 16 10:30:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/remote.c: Don't allocate cpumaps arg if maplength is
	0, and fix size of cpumaps allocation

Mon Mar 16 10:30:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_driver.c: Don't free storage volume in error
	path, since it may still be referenced elsewhere

Mon Mar 16 10:29:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Avoid harmless warning message
	* src/qemu_driver.c, src/uml_driver.c: Don't try to close a
	NULL virConnectPtr object.

Thu Mar 12 21:13:40 CET 2009 Daniel Veillard <veilard@redhat.com>

	* src/storage_conf.c: fix storage pool mode parsing, and refactoring
	  patch by Ryota Ozaki

Wed Mar 11 14:42:24 CET 2009 Daniel Veillard <veilard@redhat.com>

	* src/xs_internal.c: fix xen events handling problem (Dan Berrange)

Tue Mar 10 12:03:37 CET 2009 Daniel Veillard <veilard@redhat.com>

	* src/xend_internal.c: fix an allocation problem in
	  xenDaemonDomainLookupByName_ids

Tue Mar 10 10:29:46 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xend_internal.c: Fix tap vs vbd type for block detach
	(Cole Robinson / Takahashi Tomohiro)

Fri Mar  6 15:42:46 CET 2009 Daniel Veillard <veilard@redhat.com>

	* src/cgroup.c src/cgroup.h src/lxc_driver.c: allows to get
	  CPU usage of a lxc using cpuacct subsystem of cgroups, patch
	  by Ryota Ozaki

Wed Mar  4 14:11:15 CET 2009 Daniel Veillard <veilard@redhat.com>

	* NEWS configure.in libvirt.spec.in doc/* include/libvirt/libvirt.h:
	  release of 0.6.1
	* po/*: rebuilt
	* AUTHORS: updated to list new contributors

Wed Mar  4 12:37:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix misc failures in test suite & make test cases more robust
	to future changes
	* src/virsh.c: Add a new --print-xml option to pool-define-as
	and pool-create-as, to allow printing of generated XML doc.
	* tests/Makefile.am: Fix setting of CONFIG_HEADER variable
	* tests/daemon-conf: Don't diff entire of libvirtd stdout,
	just grep for the diagnostic we care about, to avoid breaking
	everytime libvirtd prints new unrelated diagnostics
	* tests/libvirtd-fail: Check status of libvirtd when run with
	bogus config file to detect failure, rather than relying on
	diff of unpredictable stdout logs
	* tests/libvirtd-net-persist: Remove test which breaks if
	QEMU driver can't be started, and conflicts with running
	session daemon
	* tests/libvirtd-pool: Use new --print-xml option to virsh
	to directly test XML generation, rather than indirectly
	checking via the QEMU driver

Tue Mar  3 19:31:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt.c: Fix return status s/-2/-1/ for virNodeGetSecurityModel
	and virDomainGetSecurityLabel()
	* src/remote_driver.c:Add missing mutex lock/unlock calls for
	virNodeGetSecurityModel and virDomainGetSecurityLabel drivers

Tue Mar  3 16:55:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Mingw32 portability fixes
	* src/pci.c: Use lseek+read/write instead of pread/pwrite
	to avoid mingw compile break
	* test/nodedevxml2xmltest.c: Don't link to QEMU driver, since
	its not required and breaks build when QEMU is turned off

Tue Mar  3 16:43:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Explicitly track static declared vs dynamically generated
	security labels for VMs
	* src/domain_conf.c, src/domain_conf.h: Add type='static|dynamic'
	for <seclabel> to determine whether to auto-generate labels
	* src/qemu_driver.c: Only generate security labels for type=dynamic

Tue Mar  3 14:58:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc sVirt bug fixes
	* src/qemu_driver.c: Don't raise error - let callee do it
	* src/security.h: Pass virCOnnectPtr when generating label
	* src/security_selinux.c: Fix STREQ logic bugs, and use
	VIR_ALLOC, and report detailed errors.

Tue Mar 3 15:58:55 +0100 2009 Jim Meyering <meyering@redhat.com>

	config: fix a typo
	* src/qemu_conf.c (CHECK_TYPE): Fix typo:
	s/security_river/security_driver/

Tue Mar  3 15:35:02 CET 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: update italian, polish and brazilian translations, regenerate

Tue Mar  3 12:01:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	QEMU security driver usage for sVirt support (James Morris, Dan Walsh
	& Daniel Berrange)
	* src/qemu.conf: Add security_driver config option
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c,
	src/util.c: Use a security driver (if available) when
	running virtual machines

Tue Mar  3 11:31:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/iptables.c, src/qemu_conf.c, src/qemu_driver.c,
	src/uuid.c: Replace qemudLogging with calls to logging.h
	APIs

Tue Mar 3 12:22:51 +0100 2009 Jim Meyering <meyering@redhat.com>

	avoid file descriptor leak when fd == 0
	* src/pci.c (pciGetDevice): Initialize dev->fd to -1, not 0.
	(pciFreeDevice): Close fd also when it is 0.

Tue Mar 3 12:22:51 +0100 2009 Jim Meyering <meyering@redhat.com>

	don't leak a file descriptor on failed pciGetDevice call
	* src/pci.c (pciIterDevices): Always close dir handle.

Tue Mar 3 12:22:51 +0100 2009 Jim Meyering <meyering@redhat.com>

	update .gitignore and .hgignore files

Tue Mar  3 10:01:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	SELinux security driver for sVirt support (James Morris, Dan Walsh & Daniel
	Berrange)
	* configure.in: Check for selinux_virtual_domain_context_path() and
	selinux_virtual_image_context_path() methods in libselinux.so
	* po/POTFILES.in: add src/security_selinux.c
	* src/Makefile.am, src/security.c, src/security_selinux.c,
	src/security_selinux.h: Add SELinux impl of security driver API

Tue Mar  3 09:55:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	virsh additions for sVirt support (James Morris & Dan Walsh)
	* src/virsh.c: Include security model / label information
	in the 'dominfo' output

Tue Mar  3 09:40:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Core internal driver stub for sVirt support (James Morris & Dan Walsh)
	* Makefile.maint: Add virSecurityReportError as a msggen
	function
	* docs/schemas/capability.rng: Add <secmodel> element
	* docs/schemas/domain.rng: Add <seclabel> element
	* include/libvirt/virterror.h, src/virterror.c: Add
	VIR_FROM_SECURITY and VIR_ERR_NO_SECURITY_MODEL
	* po/POTFILES.in: Add src/security.c
	* src/Makefile.am: Build security driver into libvirt.so
	* src/capabilities.c, src/capabilities.h: Handling of
	<secmodel> element / data
	* src/domain_conf.c, src/domain_conf.h: Handling of
	<seclabel> element / data
	* src/libvirt_private.syms: Add virXPathStringLimit and
	virSecurity* methods
	* src/security.c, src/security.h: Add internal driver
	stub impl
	* src/storage_backend.c: TODO item about seclabel
	* src/xml.c, src/xml.h: Add virXPathStringLimit

Tue Mar  3 09:25:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Remote protocol / RPC API for sVirt support (James Morris & Dan Walsh)
	* qemud/remote.c: Handle new RPC calls
	* qemud/remote_protocol.x: Add definitions for new RPC calls
	* src/remote_internal.c: Implement virDomainGetSecurityLabel()
	and virNodeGetSecurityModel() driver methods
	* qemud/remote_dispatch_args.h, qemud/remote_dispatch_prototypes.h,
	qemud/remote_dispatch_ret.h, qemud/remote_dispatch_table.h,
	qemud/remote_protocol.c, qemud/remote_protocol.h: Regenerate

Tue Mar  3 09:12:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Internal driver API for sVirt support (James Morris & Dan Walsh)
	* src/driver.h: Internal typedefs for virNodeGetSecurityModel()
	and virDomainGetSecurityLabel() driver entry points
	* src/libvirt.c: Implement entry point for new public APIs
	virNodeGetSecurityModel() and virDomainGetSecurityLabel()
	* src/lxc_driver.c, src/openvz_driver.c, src/qemu_driver.c,
	src/test.c, src/uml_driver.c: Update for new driver entry
	points
	* python/generator.py: temporarily blacklist non-generated
	virNodeGetSecurityModel() and virDomainGetSecurityLabel()

Tue Mar  3 09:10:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Public API for sVirt support (James Morris & Dan Walsh)
	* include/libvirt/libvirt.h.in, src/libvirt_public.syms: added
	virNodeGetSecurityModel() and virDomainGetSecurityLabel() APIs
	* include/libvirt/libvirt.h: Regenerated

Tue Mar  3 08:55:13 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Don't try to detach & reset PCI devices while running test
	suite for XML-> ARGV conversion.
	* src/qemu_driver.c: Add qemuPrepareHostDevices() helper to
	detach and reset PCI devices.
	* src/qemu_conf.c: Don't detach & reset PCI devices while
	building the command line argv

Tue Mar  3 09:24:13 CET 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c: fix qemu+tls handshake negotiation, patch by
	  Chris Lalancette

Mon Mar 2 20:24:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* python/.cvsignore: Ignore generated.stamp
	* examples/hellolibvirt/.cvsignore: Ignore autotools generated
	files

Mon Mar 2 20:21:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c: Always reset PCI devices before starting guests.
	Add todo item for non-managed PCI devs

Mon Mar 2 20:18:00 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_private.syms: Export virUnrefConnect and
	virCapabilitiesGenerateMac to drivers

Mon Mar 2 21:00:00 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: further isolate a test that runs libvirtd
	* tests/daemon-conf: Specify a non-default socket directory.
	Specify test-specific log directory and pid file, too.

Mon Mar 2 21:00:00 +0100 2009 Jim Meyering <meyering@redhat.com>

	add two tests
	* tests/libvirtd-pool: New file.
	Exercise the new unix_sock_dir option
	* tests/libvirtd-fail: New file.
	* tests/Makefile.am (test_scripts): Add libvirtd-fail and libvirtd-pool.

Mon Mar 2 20:01:55 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: fix an error that made us skip the daemon-conf test
	* tests/Makefile.am (CONFIG_HEADER): Correct definition.

Mon Mar 2 19:32:18 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: test for a recent fix
	* tests/libvirtd-net-persist: New file.  Test for today's
	"Mark 'defined' networks as persistent" fix.
	* tests/Makefile.am (test_scripts): Add it.

Mon Mar 2 19:32:18 +0100 2009 Jim Meyering <meyering@redhat.com>

	virsh: tweak a format string to avoid emitting trailing space
	* src/virsh.c (cmdNetworkList): Change format not to right-pad
	with spaces, as that would have required a trailing blank in
	an expected output file.

Mon Mar 2 12:52:16 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/network_conf.c: Fix bridge generation loop counter.

Mon Mar 2 12:38:08 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/node_device_hal.c: Recognize ejectable media in hostdev hal driver.

Mon Mar 2 12:37:04 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c src/domain_conf.h src/libvirt_private.syms
	  src/qemu_driver.c:
	  Better error reporting from qemu AttachDevice

Mon Mar 2 12:34:25 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/bridge.c src/bridge.h src/libvirt_private.syms src/network_conf.c
	  src/network_conf.h src/network_driver.c:
	  Generate network bridge names if none passed at define/create time.

Mon Mar 2 12:30:08 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c src/domain_conf.h src/qemu_driver.c:
	Remove redundant monitor watch variable (s/monitor_watch/monitorWatch/)

Mon Mar 2 12:25:58 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/network_driver.c src/network_conf.c: Mark 'defined' networks
	  as persistent.

Mon Mar  2 17:35:09 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/schemas/domain.rng src/domain_conf.c src/domain_conf.h
	  src/qemu_conf.c
	  tests/qemuxml2argvdata/qemuxml2argv-hostdev-pci-address.xml
	  tests/qemuxml2argvdata/qemuxml2argv-hostdev-usb-address.xml
	  tests/qemuxml2argvdata/qemuxml2argv-hostdev-usb-product.xml:
	  adds a new <hostdev managed='(yes|no)'> property
	  to host devices indicating whether or not we should
	  automatically dettach/reset, patch by Mark McLoughlin

Mon Mar  2 17:31:48 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: add qemu dettach/reattach/reset implementation
	  patch by Mark McLoughlin.

Mon Mar  2 17:28:42 CET 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/remote.c qemud/remote_dispatch_args.h
	  qemud/remote_dispatch_prototypes.h qemud/remote_dispatch_table.h
	  qemud/remote_protocol.c qemud/remote_protocol.h
	  qemud/remote_protocol.x src/remote_internal.c: Implement
	  attach/reattach/reset in the remote driver, patch by Mark
	  McLoughlin.

Mon Mar  2 17:26:48 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/virsh.c: add 3 new commands for node device detach,
	  reattach and reset, patch by Mark McLoughlin.

Mon Mar  2 17:19:23 CET 2009 Daniel Veillard <veillard@redhat.com>

	* include/libvirt/libvirt.h include/libvirt/libvirt.h.in
	  src/driver.h src/libvirt.c src/libvirt_public.syms
	  src/lxc_driver.c src/openvz_driver.c src/qemu_driver.c
	  src/test.c src/uml_driver.c: add the public APIs for
	  virNodeDeviceDettach virNodeDeviceReAttach and virNodeDeviceReset
	  and extends the driver structure accordingly, patch by Mark
	  McLoughlin.

Mon Mar  2 17:07:44 CET 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in po/POTFILES.in src/Makefile.am src/libvirt_private.syms
	  src/pci.c src/pci.h: Add implementations of dettach, reattach and
	  reset for PCI devices, patch by Mark McLoughlin

Mon Mar  2 12:12:11 CET 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c src/node_device_hal.c: activate DBus multithreading
	  to avoid random crashes in the daemon, patch by Daniel Berrange

Mon Mar 2 10:16:04 +0100 2009 Jim Meyering <meyering@redhat.com>

	correct a typo in a diagnostic
	* src/storage_conf.c (virStorageVolDefParsePerms): Correct a typo:
	s/owner/group/.  Patch by Ryota Ozaki.

	plug two config-parsing leaks
	* src/storage_conf.c (virStoragePoolDefParsePerms): Free mode string.
	(virStorageVolDefParsePerms): Likewise.
	Patch by Ryota Ozaki.
	* AUTHORS: Update.

	don't dereference uninitialized pointer
	* src/storage_conf.c (virStoragePoolDefParsePerms): Initialize
	"ptr" to NULL.

Fri Feb 27 17:15:00 CET 2009 Chris Lalancette <clalance@redhat.com>

	* src/qemu_driver.c: If there is a failure during offline migrate,
	make sure to resume the guest.

Fri Feb 27 15:27:31 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/libvirt-api.xml docs/libvirt-refs.xml
	  docs/devhelp/libvirt-virterror.html docs/html/libvirt-virterror.html:
	  regenerated the APIs and documentation.
	* po/*: updated the polish translation, regenerated.

Thu Feb 26 16:01:04 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_private.syms, src/util.c, src/util.h: Add new
	virExecWithHook function to allow passing of a callback to run
	between fork() & exec()

Thu Feb 26 17:13:09 CET 2009 Daniel Veillard <veillard@redhat.com>

	* Makefile.am configure.in examples/hellolibvirt/Makefile.am
	  examples/hellolibvirt/hellolibvirt.c: new trivial example program
	  by David Allan

Thu Feb 26 16:05:04 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/remote_internal.c: fix autostart of session daemon, patch
	  by Dan Berrange

Thu Feb 26 15:35:40 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_fs.c: fix compile-error when configured without
	qemu-img

Thu Feb 26 14:43:48 CET 2009 Daniel Veillard <veillard@redhat.com>

	* python/Makefile.am: avoid a parallel make issue #472702
	  provided by Michael Marineau

Wed Feb 25 21:00:46 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/formatnetwork.html docs/formatnetwork.html.in: patch from
	  Charles Duffy documenting static host IP assignments.

Tue Feb 24 14:55:28 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* tests/nodedevxml2xmltest.c: Add a test to check node
	device XML parsing by first parsing the XML, then
	re-formatting as XML and finally comparing the resulting
	XML to the original XML.

	* tests/nodedevschemadata/*.xml: strip trailing newlines.

	* tests/Makefile.am, tests/.*ignore: adminstrivia

Tue Feb 24 14:54:05 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	*  src/libvirt_private.syms, src/node_device_conf.[ch]:
	Add virNodeDeviceDefParseString(), a function for
	parsing node device XML descriptions.

Tue Feb 24 14:52:58 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/xml.[ch]: Add virXPathULongLong()

Tue Feb 24 14:52:44 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/xml.[ch]: Add virXPathLongHex() and virXPathULongHex()

Tue Feb 24 14:51:32 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* docs/formatdomain.html: fix a typo in hostdev docs

Sun Feb 22 11:18:20 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/network_driver.c: networkEnableIpForwarding() now
	returns zero for success

Sun Feb 22 11:06:39 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* docs/formatdomain.html: commit auto-generated change as
	a result of earlier s/clock sync/clock offset/

Thu Feb 19 09:14:56 CET 2009 Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c (qemudReadMonitorOutput, qemudReadLogOutput):
	(s)size_t type cleanup

Tue Feb 17 20:40:51 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Remove the _actually_ incorrect
	ATTRIBUTE_UNUSED (Patch by Maximilian Wilhelm)

Tue Feb 17 15:44:38 +0100 2009 Jim Meyering <meyering@redhat.com>

	fix build failure due to invalid generated Makefile
	* qemud/Makefile.am (libvirtd_LDADD): Unindent "if HAVE_*" directives.
	Reported by Daniel Schwager.

Tue Feb 17 09:49:49 EST 2009 Cole Robinson <crobinso@redhat.com>

	* qemud/qemud.c : Fix daemon TCP listen cleanup

Tue Feb 17 09:47:05 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c : Remove incorrect ATTRIBUTE_UNUSED usage.

Tue Feb 17 11:41:10 +0100 2009 Maximilian Wilhelm <max@rfc2324.org>

	Build fix for 'driver.c' when building with loadable modules
	The 'asprintf' -> 'virAsprintf' transition made in
	[9e5d9950] "use virAsprintf instead of asprintf" introducted
	a build error for 'driver.c' as 'util.h' has to be included.

	Signed-off-by: Maximilian Wilhelm <max@rfc2324.org>

Tue Feb 17 11:32:01 +0100 2009 Jim Meyering <meyering@redhat.com>

	Avoid link failure when configured --with-driver-modules
	* qemud/Makefile.am (WITH_DRIVER_MODULES): Link with libvirt_driver.la
	and libvirt_util.la.  Indent for readability.

Tue Feb 17 11:30:23 +0100 2009 Maximilian Wilhelm <max@rfc2324.org>

	Work around 'virGetVersion' build problem
	The 'getVer' fix introducted in 02a72b42 [Allow remote://hostname/
	style URIs for automatic driver probe...] breaks compiling libvirt
	with loadable module support.  Work around this to get it building again.

Tue Feb 17 11:25:22 +0100 2009 Jim Meyering <meyering@redhat.com>

	avoid compiler warning about unused parameter
	* src/bridge.c (brProbeVnetHdr)
	[IFF_VNET_HDR && TUNGETFEATURES && TUNGETIFF]: Use a "(void)" case
	to mark the parameter as unused.  Reported by Maximilian Wilhelm in
	http://thread.gmane.org/gmane.comp.emulators.libvirt/11918/focus=11917

Tue Feb 17 11:21:00 +0100 2009 Jim Meyering <meyering@redhat.com>

	don't fail daemon-conf test when configured --without-qemu
	* tests/Makefile.am (TESTS_ENVIRONMENT): Define CONFIG_HEADER.
	* tests/daemon-conf: Use test-lib.sh.
	Skip this test when configured --without-qemu.

Tue Feb 17 11:21:00 +0100 2009 Jim Meyering <meyering@redhat.com>

	accommodate configuring --without-lxc --without-qemu
	* configure.in: Enable internal WITH_BRIDGE support not just for LXC or
	QEMU, but also for --with-network.  Russell Haering reported that
	compilation failed when configured with --without-lxc --without-qemu.
	Details: http://thread.gmane.org/gmane.comp.emulators.libvirt/11928
	* src/bridge.h: Use #if WITH_BRIDGE, rather than currently-equivalent
	"#if defined(WITH_QEMU) || defined(WITH_LXC)"

Tue Feb 17 11:18:39 +0100 2009 Jim Meyering <meyering@redhat.com>

	doc: fix typo in formatdomain's clock offset specification
	* docs/formatdomain.html.in: s/clock sync/clock offset/
	Patch by Jesse Lauren Farinacci <jieryn@gmail.com>.

Tue Feb 10 11:14:07 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix I/O errors in libvirtd daemon, and hang/crash in remote
	client upon I/O error.
	* qemud/event.c: Treat POLLNVAL as VIR_EVENT_HANDLE_ERROR
	* src/domain_conf.c: Initialize monitor FD to -1
	* src/remote_internal.c: Remove call object from waitDispatch
	queue upon I/O failure, since call is about to free it.

Mon Feb 16 17:59:04 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c, src/Makefile.am: Don't pass flags to DumpXML
	in *-edit virsh commands

Mon Feb 16 17:55:50 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_logical.c: Remove erroneous lvm volume
	format check for backing store.

Mon Feb 16 17:53:24 EST 2009 Cole Robinson <crobinso@redhat.com>

	* python/generator.py: Skip bindings for virSaveLastError and
	virFreeError

Fri Feb 13 19:04:57 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/libvirt_private.syms, src/util.[ch]: add
	virFileWriteStr()

	* src/network_driver.c: use it here

Fri Feb 13 19:04:45 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/xml.c: fix some error strings

Fri Feb 13 19:04:22 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/xml.h: kill some non-existent functions

Fri Feb 13 19:03:58 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* docs/virsh.pod: update bugzilla link

Fri Feb 13 19:03:30 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* qemud/qemud.c: fix gcc-4.4 warnings

Fri Feb 13 19:03:25 GMT 2009 Mark McLoughlin <markmc@redhat.com>

	* src/bridge.c: fix gcc-4.4 warnings

Fri Feb 13 16:50:35 GMT 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: xend in 3.3 grew a couple of new options
	for the migration method. As they're ignored on older xend
	versions, always pass them.

Fri Feb 13 19:09:54 +0100 2009 Jim Meyering <meyering@redhat.com>

	test:///default driver: don't dereference NULL "def"
	* src/test.c (testNetworkCreate, testNetworkDefine): Since "def" is
	set to NULL immediately after any vir*AssignDef call (to indicate we
	no longer own it and to ensure no clean-up path mistakenly frees it),
	dereference via net->def->, not def->.

Fri Feb 13 12:31:03 CET 2009 Guido Günther <agx@sigxcpu.org>

	usleep to wait for domain logfile to fill up
	* src/qemu_driver.c (qemudReadLogOutput): New function to read from
	domain log file.
	(qemudWaitForMonitor): Use it.
	(qemudOpenMonitor): Pass timout in seconds.
	(qemudReadMonitorOutput): Convert timout to milliseconds.

Wed Feb 11 21:30:47 CET 2009 Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c (qemudStartVMDaemon): fix return status when
	domain didn't show up

Mon Feb 9 17:26:07 +0100 2009 Jim Meyering <meyering@redhat.com>

	libvirtd: new config-file option: unix_sock_dir
	Before this change, the unix socket directory was hard-coded
	to be e.g., /var/run/libvirt for euid==0 and ~/.libvirt otherwise.
	With this change, you may now specify that directory in libvirtd's
	config file via a line like this: unix_sock_dir = "/var/run/libvirt".
	This is essential for running tests that do not impinge on any
	existing libvirtd process, and in running tests in parallel.
	* qemud/libvirtd.conf (unix_sock_dir): Add comment and example.
	* qemud/qemud.h (struct qemud_server) [logDir]: Change type
	from char[PATH_MAX] to char*.
	* qemud/qemud.c (unix_sock_dir): New global
	(remoteReadConfigFile): Set the global.
	(qemudInitPaths): Use the global, unix_sock_dir, if non-NULL.
	One minor improvement: unlink both sockets or none, never
	just one of them.
	(qemudCleanup): Free logDir.
	(main): Use the new global rather than hard-coding "/run/libvirt".
	* qemud/libvirtd.aug (sock_acl_entry): Add "unix_sock_dir".

Mon Feb 9 10:13:28 +0100 2009 Jim Meyering <meyering@redhat.com>

	don't print uninitialized in debug diagnostic
	* qemud/mdns.c (libvirtd_mdns_timeout_new): Don't use local, t,
	uninitialized.

Mon Feb 9 16:25:52 +0100 2009 Jim Meyering <meyering@redhat.com>

	avoid two test failures induced by today's error-reporting changes
	* tests/cpuset: Adjust expected diagnostic to match new behavior.
	* tests/undefine: Likewise.

Mon Feb  9 14:19:02 GMT 2009 John Levon <john.levon@sun.com>

	* src/virsh.c: rather than verbosely printing every error, save
	the last error and report that only if the entire command fails.

Mon Feb  9 14:07:51 GMT 2009 John Levon <john.levon@sun.com>

	* include/libvirt/virterror.h:
	* src/libvirt_public.syms:
	* src/virterror.c: introduce virSaveLastError(), virFreeError()

Mon Feb  9 10:21:33 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/virsh.c: Limit readonly history to 500 to avoid unbounded
	growth in memory usage (Jim Paris)

Sat Feb  7 21:46:06 CET 2009 Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c (qemudStartVMDaemon, qemudDomainSuspend,
	qemudDomainResume, qemudDomainAttachDevice, qemudDomainDetachDevice):
	Don't ignore errors to save domain status.
	(qemudShutdownVMDaemon): Warn if we fail to remove the status file.

Fri Feb  6 14:43:10 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix 100% CPU bound loop when libvirtd --timeout is used
	* qemud/event.c: Don't assume pthread_t is equivalent to an
	int, explicitly track whether event loop is active with a
	flag independantly of the threadLeader variable
	* qemud/qemud.c: Don't register/unregister shutdown timer
	on each loop. Register once, and activate/deactivate when
	required

Thu Feb  5 19:28:10 GMT 2009 John Levon <john.levon@sun.com>

	* src/domain_conf.c: Check the last error, not the last
	connection error, which may not have been set.

Thu Feb  5 18:08:39 GMT 2009 John Levon <john.levon@sun.com>

	* src/xs_internal.c: Use virMacAddrCompare() for
	case-insensitive comparison

Thu Feb  5 17:19:24 GMT 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: report error for some xend operations on
	shutdown domain

Thu Feb  5 16:53:37 GMT 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: robustify sexpr parser for NICs

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	syntax-check: enable prohibit_nonreentrant
	* .x-sc_prohibit_nonreentrant: Add src/console.c and virterror.c.
	* Makefile.cfg (local-checks-to-skip): Don't exempt
	sc_prohibit_nonreentrant.
	* Makefile.nonreentrant: Don't exempt strerror.

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	remove remainder of offending strerror uses
	* qemud/qemud.c (GET_CONF_STR): Use virStrerror, not strerror.
	* qemud/remote.c (remoteDispatchDomainBlockPeek): Likewise.
	(remoteDispatchDomainMemoryPeek, remoteDispatchAuthSaslInit): Likewise.
	(remoteDispatchAuthPolkit): Likewise.
	* src/lxc_container.c (lxcContainerAvailable): Likewise.
	* src/network_driver.c (networkStartNetworkDaemon): Likewise.
	(networkShutdownNetworkDaemon): Likewise.
	* src/qemu_conf.c (qemudExtractVersion, qemudNetworkIfaceConnect):
	* src/storage_conf.c (virStoragePoolLoadAllConfigs): Likewise.
	* src/storage_driver.c (storagePoolUndefine): Likewise.
	* src/uml_driver.c (umlStartup, umlStartVMDaemon): Likewise.
	* src/util.c (virFileReadAll): Likewise.
	* src/uuid.c (virUUIDGenerate): Likewise.
	* src/xen_internal.c (get_cpu_flags): Likewise.

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	don't include raw errno in diagnostics
	* src/uml_driver.c (umlStartVMDaemon): Don't print raw errno value.
	* qemud/remote.c (remoteDispatchAuthSaslInit): Likewise.

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	qemud.c: use virStrerror, not strerror

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	iptables.c: Use virStrerror, not strerror.
	* src/iptables.c: Include "virterror_internal.h".
	Use virStrerror, not strerror.
	* src/iptables.c (notifyRulesUpdated): Use %s rather than
	string-concatenation that made sc_unmarked_diagnostics report
	a false-positive.

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	use virReportOOMError rather than more verbose equivalent
	* src/qemu_driver.c (qemudDomainSave, qemudDomainRestore)
	(qemudDomainAttachPciDiskDevice)
	(qemudDomainAttachUsbMassstorageDevice):

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	qemu_driver.c: s/strerror/virStrerror.../
	Perform most changs automatically, with this:
	perl -pi -e 's/\bstrerror *\((.+?)\)/virStrerror($1, ebuf, sizeof ebuf)/'
	Then, declare ebuf, as needed

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	remove duplicate *SetCloseExec and *SetNonBlock functions
	* src/qemu_driver.c: Use virSetCloseExec and virSetNonBlock,
	rather than qemuSet* functions.  Suggested by Daniel P. Berrange.
	* src/util.c (virSetCloseExec): Publicize.
	* src/util.h (virSetCloseExec): Declare
	* src/libvirt_private.syms: Add virSetCloseExec.

Thu Feb 5 17:03:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	qemu_driver.c: use virReportSystemError in place of some qemudLog uses
	...thus eliminating many uses of strerror.
	(kvmGetMaxVCPUs): Rather than merely warning, diagnose an error
	and return -1 upon failure to open KVM_DEVICE.  Suggested by
	Daniel P. Berrange.

Thu Feb 5 17:03:34 +0100 2009 Jim Meyering <meyering@redhat.com>

	publicize virStrerror
	* src/virterror.c (virStrerror): Remove "static".
	* src/virterror_internal.h (virStrerror): Declare it.
	* src/libvirt_private.syms: Add virStrerror;

Thu Feb 5 17:00:17 +0100 2009 Jim Meyering <meyering@redhat.com>

	remove useless code
	* src/bridge.c (brAddTap): Remove redundant errno=ENOMEM assignment
	after failed strdup.
	* src/cgroup.c (virCgroupFree): Remove redundant *group=NULL assignment
	after VIR_FREE(*group).
	* src/lxc_driver.c (lxcShutdown): Likewise.
	* src/xen_unified.c (xenUnifiedClose): Likewise.
	* src/xm_internal.c (xenXMDomainConfigFormat): Rewrite disk-
	and net-config-setting code to be clearer.

Wed Feb 4 22:22:34 +0100 2009 Jim Meyering <meyering@redhat.com>

	lxc_container: Don't dereference NULL upon failure
	* src/lxc_container.c (lxcContainerPivotRoot): Free and zero
	oldroot *after* printing the diagnostic, both for virFileMakePath
	and pivot_root failure.

Tue Feb  3 14:06:06 +0100 2009 Jim Meyering <meyering@redhat.com>

	avoid a format-related warning
	* src/qemu_driver.c (qemudStartVMDaemon): Use "%s".

Tue Feb  3 14:06:06 +0100 2009 Jim Meyering <meyering@redhat.com>

	build: enable redundant-const check
	* Makefile.cfg (local-checks-to-skip): Remove sc_redundant_const.
	* src/lxc_controller.c: Remove redundant "const"(s).
	* src/storage_backend_fs.c: Likewise.
	* src/util.h: Likewise.
	* src/xen_internal.c: Likewise.
	* tests/qparamtest.c: Likewise.

Tue Feb  3 14:06:06 +0100 2009 Jim Meyering <meyering@redhat.com>

	syntax-check: enable more checks
	* Makefile.cfg (local-checks-to-skip): Don't skip sc_m4_quote_check.
	Don't skip sc_prohibit_nonreentrant.
	* Makefile.nonreentrant (NON_REENTRANT): Comment out until we've
	remove all remaining uses of strerror.

Tue Feb  3 14:06:05 +0100 2009 Jim Meyering <meyering@redhat.com>

	cleanup: remove useless if-before-VIR_FREE
	* Makefile.cfg (useless_free_options): Also check for VIR_FREE.
	* src/iptables.c (iptRulesFree): Remove useless if-before-VIR_FREE.
	* src/remote_internal.c (remoteAuthSASL): Likewise.
	* src/test.c (testOpenFromFile): Likewise.

Mon Feb  2 21:33:57 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: diagnose more open failures
	* tests/qemuxml2argvtest.c: Revert the change,
	"tests: diagnose open failure" of 2009-01-30.
	* tests/testutils.c (virtTestLoadFile): Diagnose failure here.

Mon Feb  2 18:33:19 GMT 2009 John Levon <john.levon@sun.com>

	* src/libvirt.c: fix more printf("%s", NULL) cases

Sat Jan 31 14:45:58 CET 2009 Guido Günther<agx@sigxcpu.org>

	* src/remote_internal.c (doRemoteOpen): Don't hardcode ssh port 22,
	use VIR_FREE, initialize pointers to NULL not 0.

Sat Jan 31 11:43:21 CET 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in docs/* NEWS: release of 0.6.0
	* po/*: regenerated and updated brazilian and polish localizations

Sat Jan 31 10:09:08 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/news.html*: update with infos for 0.6.0
	* docs/*: regenerated some data too

Fri Jan 30 22:57:34 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: diagnose open failure
	* tests/qemuxml2argvtest.c (testCompareXMLToArgvFiles): Diagnose
	failure to open an input file.

Fri Jan 30 21:50:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c: Fix empty decl in enum declaration

Fri Jan 30 21:44:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* tests/qemuxml2argvdata/qemuxml2argv-disk-drive-shared.args,
	tests/qemuxml2argvdata/qemuxml2argv-disk-drive-shared.xml: Added
	two missing test data files from previous commit

Fri Jan 30 20:55:57 +0100 2009 Jim Meyering <meyering@redhat.com>

	fix qemud version reporting when qemu is not installed
	* src/qemu_conf.c (uname_normalize): New function, factored out of...
	(qemudBuildCommandLine): ...here.  Use the new function.
	(qemudExtractVersion): Use it here, rather than hard-coding "i686".

Fri Jan 30 17:16:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c: Fix ifname= handling for type=ethernet
	networking config to avoid literal (null)
	* tests/qemuxml2argvtest.c, tests/qemuxml2xmltest.c,
	tests/qemuxml2argvdata/: Add test case for ethernet
	interface config

Fri Jan 30 17:12:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Support <driver cache='none|writeback|writethrough'/> cache
	control options
	* src/domain_conf.c, src/domain_conf.h: Add supported for
	disk caching mode options
	* src/qemu_conf.c, src/qemu_conf.h: Detect supported cache
	mode options for -drive and use them when launching QEMU
	* docs/schemas/domain.rng: Document cache mode options
	* tests/qemuxml2argvtest.c: Validate cache mode processing
	* tests/qemuxml2argvdata/: Data files for cache mode options

Fri Jan 30 17:12:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix crash when using bogus arch type
	* src/capabilities.c, src/capabilities.h: Add method to query
	for supported arch+ostype combo
	* src/domain_conf.c: Validate requested arch+ostype against
	supported capabilities
	* src/qemu_conf.c: Sanity check to avoid deferencing NULL
	machine type

Fri Jan 30 16:58:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc QEMU driver startup fixes
	* src/domain_conf.c: Add initialization of monitor_watch
	* src/qemud_driver.c: Fix infinite loop when QEMU quits on
	startup. Fix watch removal if watch isn't added. Fix use
	of VNC password from global driver config. Avoid zombies
	from daemonizing QEMU. Fix memory leak in monitorpath

Fri Jan 30 16:51:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_driver.c: Avoid probing for LXC until we know we're
	going to try opening the connection. Disable when using valgrind

Fri Jan 30 16:48:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_conf.c: Fix leak of volume objects when free'ing
	pool object

Fri Jan 30 16:46:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/remote.c: Fix memory leak after sending a libvirt
	error message back to client

Fri Jan 30 15:34:42 GMT 2009 John Levon <john.levon@sun.com>

	* src/libvirt.c: Fix yet another printf("%s", NULL) case

	* src/util.c: Fix getpwuid_r() usage

	* src/virsh.c: Fix virsh migrateuri handling

Thu Jan 29 23:01:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc Xen driver crash/bug fixes
	* src/remote_internal.c: Re-factor startup of secondary driver
	activation to fix missing initialization & crash.  Fix memory
	leak in error reporting
	* src/xen_unified.c: Don't activate inotify driver if non-root
	* src/xend_internal.c: Don't report errors when probing for
	XenD TCP port if unprivileged, allow caller to do it. Fix bad
	return values in open method
	* src/xs_internal.c: Fix double free

Thu Jan 29 17:22:53 GMT 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: Fix xend XML generation when CPU pinning
	is used

Thu Jan 29 19:05:00 +0100 2009 Jim Meyering <meyering@redhat.com>

	maint: sync from coreutils
	* .x-sc_prohibit_have_config_h: Renamed from...
	* .x-sc_no_have_config_h: ... this.
	* .x-sc_prohibit_HAVE_MBRTOWC: New file.

Thu Jan 29 17:40:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Support VNC password setting for QEMU driver
	* qemud/Makefile.am: Add missing test of libvirt_qemud.aug file
	* qemud/libvirtd_qemu.aug: Add suport for VNC password config
	* qemud/test_libvirtd.aug: Add logging params test
	* qemud/test_libvirtd_qemu.aug: Remove bogus logging params,
	and add VNC password test
	* src/qemu.conf: Include example VNC password config
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Support
	setting a VNC password on a per-VM basis, or from QEMU driver
	global config file.
	* src/uml_driver.c: Fix initialization of inotifyWatch param
	to avoid bogus watch unregister later
	* src/virsh.c: Add --security-info and --inative flags to
	dumpxml command. Ensure edit command uses SECURE & INACTIVE
	flags when changing config


Thu Jan 29 17:24:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Fix save/restore for new KVM releases
	* src/domain_conf.h, src/lxc_driver.c, src/uml_driver.c:
	Remove unused stdin_fd field from virDomainObjPtr
	* src/qemu_conf.c, src/qemu_driver.c: Support new
	migration options for save & restore, and fix deadlock
	in save code.
	* src/qemu_conf.h: Add more QEMU argv flags to various
	migration options & describe existing flags
	* src/util.c: Close original stdin file handle after
	duping it onto STDIN_FILENO
	* tests/qemuxml2argvtest.c: Test for various migrate
	syntax options
	* tests/qemuxml2argvdata/qemuxml2argv-migrate.args,
	tests/qemuxml2argvdata/qemuxml2argv-migrate.xml,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v1.args,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v1.xml,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v2.args,
	tests/qemuxml2argvdata/qemuxml2argv-restore-v2.xml: Data
	files for testing migrate syntax options

Thu Jan 29 17:15:18 GMT 2009 John Levon <john.levon@sun.com>

	* src/libvirt.c: fix another printf("%s", NULL) case

Thu Jan 29 09:03:17 PST 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: correctly enable floppies for HVM guests.
	Refuse to directly attach disks that won't work via
	device_create.

Thu Jan 29 16:41:07 GMT 2009 John Levon <john.levon@sun.com>

	* src/util.c: allow strtol replacements for libvirt proxy

	* src/xend_internal.c: fix VNC port reporting when vncunused
	is set

	* tests/sexpr2xmldata/sexpr2xml-fv-autoport.sexpr:
	* tests/sexpr2xmldata/sexpr2xml-fv-autoport.xml:
	* tests/sexpr2xmltest.c: add a test

Thu Jan 29 13:07:05 +0100 2009 Jim Meyering <meyering@redhat.com>

	* Makefile.cfg: disable some new checks

Thu Jan 29 13:07:05 +0100 2009 Jim Meyering <meyering@redhat.com>

	* Makefile.maint: sync from coreutils

Thu Jan 29 13:07:05 +0100 2009 Jim Meyering <meyering@redhat.com>

	prohibit new uses of VIR_ERR_NO_MEMORY
	* Makefile.maint (sc_prohibit_VIR_ERR_NO_MEMORY): New rule.
	* .x-sc_prohibit_VIR_ERR_NO_MEMORY: New file: exceptions.

Thu Jan 29 13:06:51 +0100 2009 Jim Meyering <meyering@redhat.com>

	error-reporting calls using VIR_ERR_NO_MEMORY: use virReportOOMError instead
	* src/uml_conf.c (VIR_FROM_THIS): Define to VIR_FROM_UML.
	* src/xs_internal.c (VIR_FROM_THIS): Define to VIR_FROM_XEN.
	* src/xml.c (VIR_FROM_THIS): Define to VIR_FROM_XML.
	* src/stats_linux.c (VIR_FROM_THIS): Define to VIR_FROM_STATS_LINUX.
	* src/datatypes.c (VIR_FROM_THIS): Define to VIR_FROM_NONE.
	* src/lxc_conf.c (VIR_FROM_THIS): Define to VIR_FROM_LXC.
	* src/libvirt.c (VIR_FROM_THIS): Define to VIR_FROM_NONE.
	* src/node_device_conf.c (VIR_FROM_THIS): Define to VIR_FROM_NODEDEV.
	* src/openvz_conf.c (VIR_FROM_THIS): Define to VIR_FROM_OPENVZ.
	* src/openvz_driver.c (VIR_FROM_THIS): Define to VIR_FROM_OPENVZ.
	* src/conf.c (VIR_FROM_THIS): Define to VIR_FROM_CONF.
	Note: this loses config_filename:config_lineno diagnostics,
	but that's ok.
	* src/node_device.c (VIR_FROM_THIS): Define to VIR_FROM_NODEDEV.
	* src/sexpr.c (VIR_FROM_THIS): Define to VIR_FROM_SEXPR.
	* po/POTFILES.in: remove src/sexpr.c and src/lxc_conf.c

Thu Jan 29 12:44:15 CET 2009 Guido Günther <agx@sigxcpu.org>

	* src/virsh.c (main): don't abort when setlocale() fails

Wed Jan 28 22:05:11 GMT 2009 Daniel P.Berrange <berrange@redhat.com>

	* src/remote_internal.c: Fix typo, and tweak variable decl

Wed Jan 28 21:55:11 GMT 2009 Daniel P.Berrange <berrange@redhat.com>

	* src/remote_internal.c: Stop reading data off wire once
	a single complete message is available.

Wed Jan 28 21:53:11 GMT 2009 Daniel P.Berrange <berrange@redhat.com>

	Fix bogus valgrind memory leak warnings
	* tests/testutils.c: Clear global error upon exit
	* tests/.valgrind.supp: Ignore memory from thread local
	error storage

Wed Jan 28 21:33:11 GMT 2009 Daniel P.Berrange <berrange@redhat.com>

	Fix RPC portability to Solaris
	* configure.in: s/RPCGEN/HAVE_RPCGEN/ for automake
	conditional
	* qemud/Makefile.am: Move rpcgen rules into explicit
	rpcgen target to be manually invoked
	* qemud/remote_protocol.c, qemud/remote_protocol.h: Update
	with portability fixes
	* qemud/rpcgen_fix.pl: Replace quad_t types / functions
	with uint64_t ones and avoid GET_LONG in favour of GET_INT32

Wed Jan 28 15:45:11 +0100 2009 Jim Meyering <meyering@redhat.com>

	remote_internal.c: fix typo that would mistakenly report OOM
	* src/remote_internal.c (addrToString): Report VIR_ERR_UNKNOWN_HOST,
	not VIR_ERR_NO_MEMORY.

Wed Jan 28 15:45:11 +0100 2009 Jim Meyering <meyering@redhat.com>

	qparams.c: Use virReportOOMError(NULL), not qparam_report_oom()
	* src/qparams.c (VIR_FROM_THIS): Define to VIR_FROM_NONE.
	(qparam_report_oom): Remove definition.
	Replace all uses.

Wed Jan 28 14:24:45 GMT 2009 John Levon <john.levon@sun.com>

	* src/xend_internal.c: fix mis-use of PF_UNIX as a protocol

Wed Jan 28 14:27:11 +0100 2009 Jim Meyering <meyering@redhat.com>

	libvirt_proxy: avoid potential buffer overflow
	* proxy/libvirt_proxy.c (proxyReadClientSocket): Ensure that
	we've read an entire virProxyPacket before dereferencing "req".
	Analysis and patch by "Rasputin" <rasputin@email.ru>.  Details in
	<http://thread.gmane.org/gmane.comp.emulators.libvirt/11459>.

Wed Jan 28 14:53:37 +0100 2009 Jim Meyering <meyering@redhat.com>

	* po/POTFILES.in: Add src/lxc_conf.c

Wed Jan 28 13:31:12 GMT 2009 John Levon <john.levon@sun.com>

	* docs/examples/index.py: remove reference to non-existent *.res
	* docs/examples/Makefile.am: regenerate

Wed Jan 28 12:08:26 +0100 2009 Jim Meyering <meyering@redhat.com>

	avoid printf format-mismatch warnings
	* qemud/qemud.c (qemudClientReadBuf, qemudClientWriteBuf):
	Use %lld and a (long long int) cast to print a ssize_t value.

Tue Jan 27 18:17:07 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Support Copy-on-Write storage volumes
	* docs/formatstorage.html.in: Add notes about backingStore
	XML for storage volumes wanting copy-on-write (eg qcow,
	LVM snapshots).
	* src/libvirt_private.syms: Add virStorageVolFormatFileSystemTypeFromString
	* src/storage_backend.c, src/storage_backend.h: Refactor the
	virStorageBackendUpdateVolInfo* methods to allow re-use for
	backingStore files
	* src/storage_backend_fs.c: Extract backing store data out of
	Cow, QCow, QCow2, and VMDK file formats. Allow creation of volumes
	with a backing store
	* src/storage_backend_logical.c: Extract information about master
	volume for snapshots, and allow creation of snapshots.
	* src/storage_backend_iscsi.c: Adapt to storage_backend.h changes
	* src/storage_conf.h, src/storage_conf.c: Support new backingStore
	XML element for COW file data

Tue Jan 27 16:27:07 +0100 2009 Jim Meyering <meyering@redhat.com>

	* POTFILES.in: update: remove src/lxc_conf.c; Add src/bridge.c.

Tue Jan 27 15:18:16 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Add RNG schemas for all XML file formats used in API.
	* configure.in: Add docs/schema/Makefile.in to output files
	* libvirt.spec.in, mingw32-libvirt.spec.in: Package RNG schemas
	from $datadir/libvirt/schemas
	* docs/Makefile.am, docs/libvirt.rng, docs/network.rng: Remove
	RNGs schemas
	* docs/schemas/Makefile.am: Install RNG schemas to $datadir/libvirt
	* docs/schemas/capability.rng: Schema for host capability XML
	* docs/schemas/domain.rng: Schema for host capability XML
	* docs/schemas/network.rng: Schema for guest domain XML
	* docs/schemas/nodedev.rng: Schema for virtual network XML
	* docs/schemas/storagepool.rng: Schema for storage pool XML
	* docs/schemas/storagevol.rng: Schema for storage volume XML
	* tests/Makefile.am, capabilityschematest, networkschematest,
	nodedevschematest, storagepoolschematest, storagevolschematest:
	New test cases to validate example XML files against schemeas.
	* tests/capabilityschemadata/*.xml, tests/nodedevschemadata/*.xml,
	tests/storagepoolschemadata/*.xml, tests/storagevolschemadata/*.xml:
	New datafiles for schema validation tests.

Tue Jan 27 14:28:16 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* docs/index.html.in: Add link to libvirt-qpid & UML driver info
	* docs/drvopenvz.html.in, docs/drvqemu.html.in, docs/drvtest.html.in,
	docs/drvuml.html.in docs/drvxen.html.in: Add examples of local and
	remote URI formats. Also re-generate equiv .html files

Tue Jan 27 13:25:16 +0100 2009 Jim Meyering <meyering@redhat.com>

	virterror.c: don't read beyond end of buffer upon OOM
	* src/virterror.c (virReportSystemErrorFull): Fix typo in
	my previous change.  Patch by Daniel P. Berrange.

Tue Jan 27 10:48:12 IST 2009 Mark McLoughlin <markmc@redhat.com>

	kvm/virtio: Set IFF_VNET_HDR when setting up tap fds

	IFF_VNET_HDR is a tun/tap flag that allows you to send and receive
	large (i.e. GSO) packets and packets with partial checksums. Setting
	the flag means that every packet is proceeded by the same header which
	virtio uses to communicate GSO/csum metadata.

	By enabling this flag on the tap fds we create, we greatly increase
	the achievable throughput with virtio_net.

	However, we need to be careful to only set the flag when a) QEMU has
	support for this ABI and b) the value of the flag is queryable using
	the TUNGETIFF ioctl.

	It's nearly five months since kvm-74 - the first KVM release with this
	feature - was released. Up until now, we've not added libvirt support
	because there is no clean way to detect support for this in QEMU at
	runtime. A brief attempt to add a "info capabilities" monitor command
	to QEMU floundered. Perfect is the enemy of good enough. Probing the
	KVM version will suffice for now.

	* src/qemu_conf.[ch] (qemudExtractVersionInfo): detect the KVM version,
	set QEMUD_CMD_FLAG_VNET_HDR if we have kvm-74 or newer
	(qemudBuildCommandLine): if qemu support VNET_HDR and this is a
	virtio interface, then use it

	* src/bridge.[ch] (brProbeVnetHdr): only enable IFF_VNET_HDR if
	the kernel bits are available
	(brAddTap): add a @vnet_hdr arg, set IFF_VNET_HDR

Tue Jan 27 11:53:32 +0100 2009 Jim Meyering <meyering@redhat.com>
	and Daniel P. Berrange <berrange@redhat.com>

	fix errors in virReportSystemErrorFull
	* src/virterror.c (virStrerror): New function.
	(virReportSystemErrorFull): Don't leak "combined".
	In fact, don't even attempt allocation.
	Do include the result of formatted print in final diagnostic.

Tue Jan 27 10:38:09 +0100 2009 Jim Meyering <meyering@redhat.com>

	use gnulib's stpcpy module
	* bootstrap (modules): Add stpcpy, and pull in gnulib bits:
	* gnulib/lib/stpcpy.c: New file.
	* gnulib/m4/stpcpy.m4: New file.
	* gnulib/lib/Makefile.am: Update.
	* gnulib/m4/gnulib-cache.m4: Update.
	* gnulib/m4/gnulib-comp.m4: Update.

Tue Jan 27 10:38:09 +0100 2009 Jim Meyering <meyering@redhat.com>

	update from gnulib

Mon Jan 26 20:40:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	build: avoid format warnings
	* src/proxy_internal.c (xenProxyCommand): Mark a diagnostic.
	* src/xen_unified.c (xenUnifiedOpen, xenUnifiedAddDomainInfo):
	Fix unmarked diagnostics by removing the diagnostic altogether:
	replace each xenUnifiedError(...,VIR_ERR_NO_MEMORY call with a
	call to virReportOOMError.

Mon Jan 26 14:44:22 +0100 2009 Jim Meyering <meyering@redhat.com>

	* src/virterror.c (virErrorMsg): Correct indentation.

Fri Jan 23 11:07:42 PST 2009 John Levon <john.levon@sun.com>

	* src/xs_internal.c: fix recursive lock hang

Fri Jan 23 16:20:03 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.c: Support driver format for setting disk
	file types
	* tests/qemuxml2argvtest.c, tests/qemuxml2xmltest.c,
	tests/qemuxml2argvdata/qemuxml2argv-disk-drive-fmt-qcow.args,
	tests/qemuxml2argvdata/qemuxml2argv-disk-drive-fmt-qcow.xml:
	Add tests for <driver name='qemu' type='qcow2'/>

Fri Jan 23 17:13:47 +0100 2009 Jim Meyering <meyering@redhat.com>

	.cvsignore: Add explicit list of generated files.
	* .hgignore: Regenerate.
	* m4/.gitignore: Regenerate.

Fri Jan 23 14:22:03 +0100 2009 Jim Meyering <meyering@redhat.com>

	fix comment typo: s/contains/continues/
	* src/libvirt.c (virStorageVolFree): Correct typo in comment.

	qemud: don't dereference NULL on failed virGetUserDirectory
	* qemud/qemud.c (qemudInitPaths): Return right away,
	upon virGetUserDirectory failure.

Fri Jan 23 14:30:59 +0100 2009 Jim Meyering <meyering@redhat.com>

	m4: update from gnulib to avoid warnings from cutting-edge autoconf
	* gnulib/m4/errno_h.m4
	* gnulib/m4/gnulib-comp.m4
	* gnulib/m4/multiarch.m4

Fri Jan 23 14:30:59 +0100 2009 Jim Meyering <meyering@redhat.com>

	correct and tighten up .*ignore files
	* .cvsignore: Don't ignore *.orig or *.rej.  They're not build products.
	Don't ignore the entire m4 directory.
	* Makefile.maint (sync-vcs-ignore-files): Correct quoting.
	Use sed rather than a for loop.
	Search only version-controled files (for reproducibility)
	* gnulib/lib/netinet/.cvsignore: Append missing newline-at-EOF,
	so that the use of sed doesn't mistakenly concatenate lines.
	* gnulib/lib/sys/.cvsignore: Likewise.
	* m4/.cvsignore: Ignore acinclude.m4 and aclocal.m4, not *.m4.
	* .hgignore: Regenerate.
	* all .gitignore files: Regenerate.

Fri Jan 23 12:44:44 +0100 2009 Jim Meyering <meyering@redhat.com>

	maint: update list of error function names and adapt
	* Makefile.maint (msg_gen_function): Update list.
	Remove some now-unused names, add some new ones.
	* src/hash.c (virHashError): Remove unused definition.
	* src/openvz_conf.h (openvzLog): Likewise.
	* src/xen_unified.c: Mark newly-exposed diagnostics for translation.

Thu Jan 22 17:42:37 PST 2009 John Levon <john.levon@sun.com>

	* src/domain_conf.c, src/domain_conf.h, src/xend_internal.c,
	src/xm_internal.c: parse IP address for bridge interfaces

	* tests/sexpr2xmltest.c, tests/xml2sexprtest.c,
	tests/sexpr2xmldata/sexpr2xml-bridge-ipaddr.sexpr,
	tests/sexpr2xmldata/sexpr2xml-bridge-ipaddr.xml,
	tests/xml2sexprdata/xml2sexpr-bridge-ipaddr.sexpr,
	tests/xml2sexprdata/xml2sexpr-bridge-ipaddr.xml: add tests

Thu Jan 21 19:44:12 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Use the GNULIB random_r function
	* Makefile.maint: print 4 lines of context when complaining
	about prohibited POSIX apis
	* src/libvirt.c: Initialize random number generator
	* src/util.c, src/util.h: Generate API for random number gen
	* src/uuid.: Use generic random number generator API

Thu Jan 21 19:41:12 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Remove use of non-reentrant POSIX api calls
	* configure.in: Check for  strtok_r getmntent_r getgrnam_r getpwuid_r
	* proxy/libvirt_proxy.c: Remove initialize of obsolete fields
	* qemud/qemud.c: Use virGetUserDirectory instead of getpwuid()
	* src/libvirt_private.syms, src/util.c, src/util.h: Add a generic
	virGetUserDirectory call around getpwuid()
	* src/lxc_container.c, src/storage_backend_fs.c: Use getmntent_r()
	* src/network_driver.c, src/qemu_driver.c, src/storage_driver.c,
	src/remote_internal.c, src/uml_driver.c: Use virGetUserDirectory()
	* src/openvz_driver.c: Use strtok_r()
	* src/xen_unified.c, src/xen_unified.h, src/xend_internal.c:
	Replace gethostname() with getaddrinfo()

Thu Jan 22 20:17:35 +0100 2009 Jim Meyering <meyering@redhat.com>

	xm_internal.c: fix locking bug: s/Lock/Unlock/
	* src/xm_internal.c (xenXMDomainDefineXML): Release lock, (don't
	try to acquire it) upon failure, just before returning.

Thu Jan 22 10:35:03 PST 2009 John Levon <john.levon@sun.com>

	* gnulib/tests/.cvsignore: add test-random_r
	* Makefile.maint: generate .hgignore

	* gnulib/tests/.gitignore, .hgignore, m4/.gitignore: regenerate

Thu Jan 22 10:30:21 PST 2009 John Levon <john.levon@sun.com>

	* src/libvirt_private.syms: Remove non-existent
	virNetworkSaveConfigXML from linker script

Thu Jan 22 09:51:29 PST 2009 John Levon <john.levon@sun.com>

	* src/domain_conf.h, src/domain_conf.c, src/xend_internal.c,
	src/xm_internal.c: Support script for bridge interface type

	* tests/sexpr2xmldata/sexpr2xml-curmem.xml,
	tests/sexpr2xmldata/sexpr2xml-disk-block-shareable.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-localtime.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-parallel-tcp.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-file.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-null.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-pipe.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-pty.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-stdio.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-tcp-telnet.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-tcp.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-udp.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-serial-unix.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-sound-all.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-sound.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-usbmouse.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-usbtablet.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-utc.xml,
	tests/sexpr2xmldata/sexpr2xml-fv-v2.xml,
	tests/sexpr2xmldata/sexpr2xml-fv.xml,
	tests/sexpr2xmldata/sexpr2xml-net-bridged.xml,
	tests/sexpr2xmldata/sexpr2xml-net-e1000.xml: update tests

Thu Jan 22 18:18:12 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Missing test case fix up from Xen threadsafety changes
	* tests/sexpr2xmltest.c, tests/Makefile.am: Pass a real
	connection object into the xenDaemonParseSxprString()
	method, since it needs to use the priv object.

Thu Jan 22 09:23:53 PST 2009 John Levon <john.levon@sun.com>

	Least privilege support for Solaris
	* qemud/qemud.c: init privs and refuse non-privileged
	connections
	* src/remote_internal.c: don't attempt user daemon instance on
	Solaris
	* src/xen_internal.c, src/xen_internal.h, src/xen_unified.c,
	src/xend_internal.c, src/xs_internal.c: replace UID checks
	with privilege checks. Refuse to load the Xen driver unless
	we're libvirtd

Wed Jan 21 18:10:12 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Make Xen driver threadsafe
	* src/proxy_internal.c, src/xen_inotify.c, src/xen_internal.c,
	src/xen_unified.c, src/xen_unified.h, src/xend_internal.c,
	src/xm_internal.c, src/xs_internal.c, src/xs_internal.h: Add
	mutex locking of shared state

Wed Jan 21 10:48:12 IST 2009 Mark McLoughlin <markmc@redhat.com>

	If you un-install libvirt and re-install it, you get a warning
	from the post-install script:

	  Installing     : libvirt
	  ln: creating symbolic link `/etc/libvirt/qemu/networks/autostart/default.xml': File exists

	See https://bugzilla.redhat.com/462011

	* libvirt.spec.in: don't create networks/default.xml if it
	already exists.

Tue Jan 20 22:39:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Properly handle daemon restarts with storage driver
	* src/storage_backend_iscsi.c: Detect if already logged into
	an iSCSI target
	* src/storage_driver.c: Don't shutdown storage when daemon
	shuts down

Tue Jan 20 22:25:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Allow virtual networks to survive a daemon restart
	* libvirt.spec.in: Add conditional to allow disabling of network
	and remove mkdir of state directories now created in Makefile.am
	rules
	* src/bridge.c, src/bridge.h: Add a brHasBridge() method
	* src/libvirt_bridge.syms: Add brHasBridge
	* src/libvirt_private.syms: Add virNetworkConfigFile and
	virNetworkSaveConfigXML
	* src/network_conf.c, src/network_conf.h, src/network_driver.c:
	Write out state file containing live XML. Allow dnsmasq to
	store a PID file. Put dnsmasq in background. Remove obsolete
	dhcp-leasefile option which was a no-op

Tue Jan 20 22:12:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c, src/domain_conf.h: Support ac97 soundcard
	model
	* src/xend_internal.c: Remove unused APis and restrict the
	'all' device conversion to just sb16 + es1370
	* tests/sexpr2xmldata/sexpr2xml-fv-sound-all.xml: Revert earlier
	mistaken change which added pcspk device

Tue Jan 20 22:06:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* python/libvir.c, python/libvir.py: Use global thread
	local error variable for all exceptions.

Tue Jan 20 13:35:36 PST 2009 John Levon <john.levon@sun.com>

	* qemud/qemud.c: respect LIBVIRT_DEBUG when logging to syslog

Tue Jan 20 22:32:44 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/logging.c: fix openlog() ident lifetime for Solaris

Tue Jan 20 21:02:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Refresh GNULIB, adding new random_r module
	* bootstrap: Add random_r module
	* gnulib/lib/random_r.c, gnulib/m4/random_r.m4,
	gnulib/tests/test-random_r.c: New random_r module
	* gnulib/lib/.cvsignore, gnulib/lib/.gitignore, gnulib/lib/Makefile.am,
	gnulib/lib/arpa_inet.in.h, gnulib/lib/fseeko.c, gnulib/lib/gettimeofday.c,
	gnulib/lib/ioctl.c, gnulib/lib/poll.c, gnulib/lib/stdint.in.h,
	gnulib/lib/stdio.in.h, gnulib/lib/strerror.c, gnulib/lib/sys_stat.in.h,
	gnulib/lib/unistd.in.h, gnulib/lib/wchar.in.h: Refresh source
	* gnulib/m4/alloca.m4, gnulib/m4/codeset.m4, gnulib/m4/errno_h.m4,
	gnulib/m4/getaddrinfo.m4, gnulib/m4/gethostname.m4, gnulib/m4/getline.m4,
	gnulib/m4/getpass.m4, gnulib/m4/gettext.m4, gnulib/m4/gettimeofday.m4,
	gnulib/m4/gnulib-cache.m4, gnulib/m4/gnulib-common.m4,
	gnulib/m4/gnulib-comp.m4, gnulib/m4/iconv.m4, gnulib/m4/inet_ntop.m4,
	gnulib/m4/inet_pton.m4,	 gnulib/m4/intldir.m4, gnulib/m4/intlmacosx.m4,
	gnulib/m4/intmax.m4, gnulib/m4/intmax_t.m4, gnulib/m4/inttypes-pri.m4,
	gnulib/m4/inttypes_h.m4, gnulib/m4/lcmessage.m4, gnulib/m4/lib-ld.m4,
	gnulib/m4/lib-link.m4, gnulib/m4/lock.m4, gnulib/m4/longlong.m4,
	gnulib/m4/lstat.m4, gnulib/m4/malloc.m4, gnulib/m4/nls.m4,
	gnulib/m4/physmem.m4, gnulib/m4/po.m4, gnulib/m4/poll.m4,
	gnulib/m4/printf-posix.m4, gnulib/m4/printf.m4, gnulib/m4/progtest.m4,
	gnulib/m4/realloc.m4, gnulib/m4/sockets.m4, gnulib/m4/sockpfaf.m4,
	gnulib/m4/stdbool.m4, gnulib/m4/stdint.m4, gnulib/m4/stdint_h.m4,
	gnulib/m4/stdio_h.m4, gnulib/m4/strdup.m4, gnulib/m4/strndup.m4,
	gnulib/m4/strnlen.m4, gnulib/m4/strsep.m4, gnulib/m4/threadlib.m4,
	gnulib/m4/uintmax_t.m4, gnulib/m4/unistd_h.m4, gnulib/m4/vasnprintf.m4,
	gnulib/m4/wchar_t.m4, gnulib/m4/wint_t.m4, gnulib/tests/Makefile.am,
	 gnulib/tests/test-unistd.c: Refresh macros

Tue Jan 20 20:22:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Support domain events in test driver
	* tests/read-bufsiz: Set $srcdir & $abs_srcdir if running
	standalone

Tue Jan 20 19:49:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* .x-sc_prohibit_nonreentrant: Blacklist some places where
	use of non-threadsafe APIs are not neccessary to check
	* Makefile.am, Makefile.maint, Makefile.nonreentrant: Add
	check for non-reentrant safe API calls
	* Makefile.cfg: Temporarily disable non-reentrant check

Tue Jan 20 20:28:07 +0100 2009 Jim Meyering <meyering@redhat.com>

	don't ignore write failure
	* src/network_driver.c (networkEnableIpForwarding): This function
	would always return 1 (success).  Now it returns 0 upon write or
	close failure, being careful to preserve any errno from a write failure.
	Add comments.

Tue Jan 20 19:26:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, qemud/qemud.h: Dynamic spawn/cleanup threads
	for processing RPC calls as number of clients changes

Tue Jan 20 19:24:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, qemud/qemud.h, qemud/remote.c: Allow the
	processing of multiple concurrent RPC calls per client
	connection.
	* qemud/libvirtd.conf, qemud/libvirtd.aug,
	qemud/test_libvirtd.aug: Add config param for controlling
	number of requests per client.

Tue Jan 20 18:16:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xm_internal.c: Fix 2 misleading comments & potential
	NULL deference

Tue Jan 20 17:46:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Remove a use of strerror() in error
	reporting missed earlier

Tue Jan 20 17:33:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xen_inotify.c, src/xen_unified.c, src/xen_unified.h,
	src/xm_internal.c, src/xm_internal.h: Move statically
	declared data from XM driver into xenUnifiedPrivatePtr

Tue Jan 20 18:26:24 CET 2009 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: try to autodetect when rhel5 option should be
	  passed to configure

Tue Jan 20 17:15:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/xen_inotify.c, src/xen_unified.h, src/xs_internal.c:
	Move statically declared data into xenUnifiedPrivatePtr
	struct

Tue Jan 20 16:59:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Make error reporting threadsafe by avoiding strerror()
	* autobuild.sh: Set mingw compile warnings to fail compile
	* configure.in: Check for strerror_r
	* po/POTFILES.in: Add src/xen_unified.c
	* src/virterror.c, src/virterror_internal.h,
	src/libvirt_private.syms: Add virReportSystemErrorFull and
	virReportOOMErrorFull convenience functions
	* src/domain_conf.c, src/lxc_container.c, src/lxc_controller.c,
	src/lxc_driver.c, src/network_conf.c, src/network_driver.c,
	src/nodeinfo.c, src/qemu_driver.c, src/remote_internal.c,
	src/storage_backend.c, src/storage_backend_disk.c,
	src/storage_backend_fs.c, src/storage_backend_iscsi.c,
	src/storage_backend_logical.c, src/storage_conf.c,
	src/storage_driver.c, src/test.c, src/uml_driver.c,
	src/util.c, src/xen_inotify.c, src/xen_internal.c,
	src/xen_unified.c, src/xend_internal.c, src/xm_internal.c:
	Remove use of strerror when reporting errors, in favour
	of virReportSystemError() and virReportOOMError()

Tue Jan 20 17:17:11 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: remove a warning when printing a file offset

Tue Jan 20 16:36:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Make RPC call dispatch threaded
	* src/libvirt_private.syms, src/util.h, src/util.c: Add
	a general virSetNonBlock() helper with portability to
	Win32
	* src/remote_internal.c: Re-factor I/O to allow RPC calls
	from multiple threads to be handled concurrently.

Tue Jan 20 17:08:20 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.h src/lxc_driver.c src/uml_driver.c: virDomainObj
	  doesn't need stdout and stderr fields anymore, patch from
	  Guido Günther

Tue Jan 20 16:48:00 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.h src/qemu_driver.c: use monitor fd for QEmu/KVM
	  domain shutdown and read saved vm status on libvirtd startup,
	  last 2 patches from Guido Günther finishing up the surviving the
	  libvirt daemon restart

Tue Jan 20 16:35:24 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/apibuild.py: fix the parser with another Win32 keyword
	* po/*: updated a couple of translations and regenerated

Tue Jan 20 14:50:58 CET 2009 Jim Meyering <meyering@redhat.com>

	fix "make syntax-check" failures
	* ChangeLog: Start with TAB, not 8 spaces.
	* src/virterror.c: Remove trailing spaces.

Tue Jan 20 12:25:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* configure.ac: Fix alignment of configuration summary output

Tue Jan 20 12:08:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* include/libvirt/libvirt.h, include/libvirt/libvirt.h.in,
	src/libvirt.c, src/libvirt_public.syms: Add new ref counting
	APIs for public objects: virConnectRef, virDomainRef,
	virNetworkRef, virStoragePoolRef, virStorageVolRef,
	virNodeDeviceRef

Tue Jan 20 12:03:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* tests/cpuset, tests/read-bufsiz, tests/start, tests/undefine,
	tests/vcpupin: Switch order of expected vs actual data in diff
	comparison, so output on failure makes sense.

Tue Jan 20 12:01:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Thread local error handling
	* src/datatypes.c: Don't reference global error object directly
	now that it is thread-local. Avoid passing 'conn' arg to error
	routines if we just determined that the pointer is invalid
	* src/datatypes.h: Add note about rules for locking when using
	virConnectPtr members
	* src/libvirt.c: Initialize error handling routines at startup.
	Adapt driver API methods to reset last error upon entry, and
	copy the global thread local error to the per-connection error
	upon exit
	* src/virterror.c, src/virterror_internal.h: Store the global
	error object in a thread local variable. Provide a API to copy
	the global error into a per-connection error object. Add an
	initialization routine to setup the thread local

Tue Jan 20 11:43:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Disable event watch when doing an
	RPC call to avoid bogus event loop wakeups which would
	block on a lock

Tue Jan 20 11:28:53 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Add locking to all public API entry
	points

Mon Jan 19 22:50:53 CET 2009 Guido Günther <agx@sigxcpu.org>

	daemonize qemu processes
	* src/qemu_driver.c (qemudStartVMDaemon): virExec qemu/kvm via
	  VIR_EXEC_DAEMON
	  (qemudShutdownVMDaemon): use virKillProcess, don't waitpid

Mon Jan 19 21:54:25 CET 2009 Guido Günther <agx@sigxcpu.org>

	save domstate as string in status file
	* src/domain_conf.c (virDomainState): add VIR_ENUM_IMPL
	* src/domain_conf.h (virDomainState): add VIR_ENUM_DECL
	* src/qemu_conf.c (qemudDomainStatusParseFile): parse state as string
	  (qemudDomainStatusFormat): write as string
	* src/libvirt_private.syms (virDomainStateTypeToString,
	  virDomainStateTypeFromString): add sympbols

Mon Jan 19 20:58:34 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/xen_internal.c src/xend_internal.c: Relax NUMA checking
	  for RHEL-5 and change the detection stategy for default Xen
	  accesses, patch by Markus Armbruster

Mon Jan 19 20:47:18 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c src/xm_internal.c: fix paravirt framebuffer
	  handling since it was backoprted for RHEL-5, patch by Markus
	  Armbruster

Mon Jan 19 19:10:08 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c src/xm_internal.c: fix fully virt network
	  device configuration for Xen on RHEL-5, patch by Markus Armbruster

Mon Jan 19 18:31:56 CET 2009 Daniel Veillard <veillard@redhat.com>

	* configure.in: add a --with-rhel5-api configure option
	  for the Xen specific version of RHEL-5, patch by Markus Armbruster

Mon Jan 19 16:18:46 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/xm_internal.c: two bug fixes coming from RHEL package
	  posted by Markus Armbruster
	* AUTHORS: adding Markus

Fri Jan 16 18:44:08 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: virsh-all and virsh-synopsis were not being run
	* tests/Makefile.am (test_scripts): Add two missing backslashes.

	tests: exercise a bug that could make virsh and libvirtd segfault
	* tests/define-dev-segfault: New file.
	* tests/Makefile.am (test_scripts): Add define-dev-segfault.

Fri Jan 16 11:48:41 EST 2009 Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c: Fix segfault with console device back compat.

Thu Jan 15 20:12:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Fix bug when fork isn't available (Win32)

Thu Jan 15 20:06:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Reduce number of exit paths in APIs

Thu Jan 15 20:03:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Remove use of macros for accessing
	private data fields

Thu Jan 15 20:02:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Fix private data field access in
	several methods

Thu Jan 15 19:54:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	Provide a generic internal API for threads support
	* src/Makefile.am, src/threads.c, src/threads.h: Generic internal API for threads
	* src/threads-pthread.c, src/threads-pthread.h: UNIX pthreads impl
	* src/threads-win32.c, src/threads-win32.h: Win32 threads impl
	* src/internal.h: Remove unnneccessary pthreads macros
	* src/libvirt_private.syms: Add symbols for internal threads API
	* po/POTFILES.in: Add node_device_conf.c
	* proxy/Makefile.am: Add threads.c to build
	* qemud/qemud.c, qemud/qemud.h, qemud/remote.c, src/datatypes.c,
	src/datatypes.h, src/domain_conf.c, src/domain_conf.h,
	src/libvirt.c, src/logging.c, src/lxc_conf.h, src/lxc_driver.c,
	src/network_conf.c, src/network_conf.h, src/network_driver.c,
	src/node_device.c, src/node_device_conf.c, src/node_device_conf.h,
	src/node_device_devkit.c, src/node_device_hal.c, src/openvz_conf.c,
	src/openvz_conf.h, src/openvz_driver.c, src/qemu_conf.h,
	src/qemu_driver.c, src/storage_conf.c, src/storage_conf.h,
	src/storage_driver.c, src/test.c, src/uml_conf.h, src/uml_driver.c:
	Switch over to internal threads API instead of pthreads

Thu Jan 15 19:39:19 GMT 2009  Daniel P. Berrange <berrange@redhat.com>

	* src/util.c: Implement virKill() for Win32 platform

Thu Jan 15 17:29:19 GMT 2009  John Levon  <levon@movementarian.org>

	* src/internal.h:
	* src/libvirt.c: Avoid passing NULL to printf %s specifier

Thu Jan 15 15:11:35 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xend_internal.c: Improve xend_get error message

Thu Jan 15 01:31:45 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xen_internal.c: implement capabilities parsing for Solaris

Thu Jan 15 01:22:32 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xs_internal.c: Fix xs_unwatch() to correctly pass the
	token

Thu Jan 15 01:19:02 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xen_unified.c:
	* src/xs_internal.c: Fix activeDomainList handling

Thu Jan 15 01:16:05 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xen_unified.c: Fix ref-counting for Xen driver event
	registration

Wed Jan 14 17:30:54 GMT 2009  John Levon  <levon@movementarian.org>

	* docs/devhelp/Makefile.am: Fix devhelp build dependencies

Wed Jan 14 17:25:38 GMT 2009  John Levon  <levon@movementarian.org>

	* docs/devhelp/Makefile.am: Let devhelp build in a separate objdir.

Wed Jan 14 16:21:47 GMT 2009  John Levon  <levon@movementarian.org>

	* docs/Makefile.am:
	* docs/examples/Makefile.am:
	* docs/examples/index.py: remove references to non-existent
	files

Wed Jan 14 16:17:20 GMT 2009  John Levon  <levon@movementarian.org>

	* src/xend_internal.c: Add a ':cdrom' marker for PV as well as
	HVM devices.

Wed Jan 14 15:13:17 GMT 2009  John Levon  <levon@movementarian.org>

	* acinclude.m4:
	* m4/compiler-flags.m4: Some compilers (including GCC) don't set
	the return value consistently if an erroneous option is passed on
	the command line. Account for that.

Tue Jan 13 13:21:13 +0100 2009 Jim Meyering <meyering@redhat.com>

	qemud.c: fix error in yesterday's change: s/X_OK/R_OK/
	* qemud/qemud.c (main): Fix error s/X_OK/R_OK/ reported by
	Daniel Berrange.

Tue Jan 13 11:44:32 +0100 2009 Jim Meyering <meyering@redhat.com>

	* HACKING: Clarify "bool" vs. XDR/wire-format.

Mon Jan 12 22:07:57 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/index.html docs/index.html.in docs/relatedlinks.html
	  docs/relatedlinks.html.in: fix the QEmu links

Mon Jan 12 19:16:00 +0000 2009 Richard W.M. Jones <rjones@redhat.com>

	Fix invocation of rpcgen.
	* qemud/Makefile.am: Fix invocation of rpcgen, and make sure
	we run the right one.

Mon Jan 12 18:55:16 +0100 2009 Jim Meyering <meyering@redhat.com>

	tests: quiet virsh-all
	* tests/virsh-all: For now, ignore diagnostics and exit status,
	when running all virsh commands.

Mon Jan 12 18:55:16 +0100 2009 Jim Meyering <meyering@redhat.com>

	diagnose "libvirtd --config=no-such-file"
	* qemud/qemud.c (remoteReadConfigFile): Don't return 0 (success)
	when the config file is unreadable or nonexistent
	Return -1, not 0, upon virConfReadFile failure.
	(main): If remote_config_file is not specified via --config(-f),
	use the default config file only if it exists.  Otherwise,
	use /dev/null.
	* src/conf.c (virConfReadFile): Don't diagnose virFileReadAll
	failure, since it already does that.

Mon Jan 12 18:55:15 +0100 2009 Jim Meyering <meyering@redhat.com>

	fix non-srcdir build failure
	* qemud/Makefile.am (check-local): Prefix use of test_libvirtd.aug
	with $(srcdir)/.  Add quotes around $(AUGPARSE), in case it expands
	to something unusual.

Mon Jan 12 16:07:32 CET 2009 Daniel Veillard <veillard@redhat.com>

	* docs/formatdomain.html.in docs/libvirt.rng docs/formatdomain.html:
	  document the new PCI passthrough format
	* tests/qemuxml2argvtest.c tests/qemuxml2xmltest.c
	  tests/qemuxml2argvdata/qemuxml2argv-hostdev-pci-address.args
	  tests/qemuxml2argvdata/qemuxml2argv-hostdev-pci-address.xml:
	  and add a regression test for it.

Sun Jan 11 12:18:38 CET 2009 Guido Günther<agx@sigxcpu.org>

	* src/qemu_driver.c (qemudLogFD): use snprintf instead of emulating it

Sun Jan 11 12:16:44 CET 2009 Guido Günther <agx@sigxcpu.org>

	split out opening of the qemu logfile
	* src/qemu_driver.c (qemudLogFD): new function
	  (qemudStartVMDaemon): call qemudLogFD

Fri Jan  9 18:29:11 GMT 2009  John Levon  <levon@movementarian.org>

	* src/logging.h: fix non-debug compile

Thu Jan  8 20:28:06 GMT 2009  John Levon  <levon@movementarian.org>

	Fixups after gnulib refresh
	* configure.in: search -lnsl for xdr functions
	* qemud/Makefile.am: link in $(LIBSOCKET)
	* tests/Makefile.am: link in $(LIBSOCKET)

Thu Jan  8 20:47:26 CET 2009 Guido Günther <agx@sigxcpu.org>

	add missing flags argument
	* src/xend_internal.c (xenDaemonAttachDevice, xenDaemonDetachDevice):
	  Add missing flags argument
	* src/xm_internal.c (xenXMDomainDefineXML, xenXMDomainAttachDevice,
	  xenXMDomainDetachDevice): Likewise
	* tests/xmconfigtest.c (testCompareParseXML): Likewise
	* tests/xml2sexprtest.c (testCompareFiles): Likewise

Thu Jan  8 14:41:55 CET 2009 Guido Günther <agx@sigxcpu.org>

	pass flags argument to all virDomain*DefParse* functions
	* src/domain_conf.c (virDomainDiskDefParseXML,
	  virDomainFSDefParseXML, virDomainNetDefParseXML,
	  virDomainChrDefParseXML, virDomainSoundDefParseXML,
	  virDomainHostdevSubsysUsbDefParseXML, virDomainHostdevDefParseXML,
	  virDomainDefParseString): Add and pass on flags argument
	* src/domain_conf.h (virDomainDeviceDefParse,
	  virDomainDefParseString): Add flags argument
	* src/lxc_driver.c (lxcDomainDefine): Pass VIR_DOMAIN_XML_INACTIVE
	* src/openvz_driver.c (openvzDomainDefineXML): Likewise
	* src/qemu_driver.c (qemudDomainCreate, qemudDomainRestore,
	  qemudDomainDefine, qemudDomainAttachDevice): Likewise
	* src/test.c (testOpenDefault, testDomainCreateXML, testDomainRestore,
	  testDomainDefineXML): Likewise
	* src/uml_driver.c (umlDomainCreate, umlDomainDefine): Likewise
	* src/xend_internal.c (xenDaemonCreateXML, xenDaemonDomainCreateXML):
	  Likewise
	* tests/qemuxml2xmltest.c (testCompareXMLToXMLFiles): Likewise

Thu Jan  8 09:48:04 CET 2009 Daniel P. Berrange <berrange@redhat.com>

	poll: don't return uninitialized
	* gnulib/lib/poll.c (poll) [WIN32_NATIVE]: Initialize "rc".
	[sync from gnulib also adjusts cpp indentation to reflect nesting.]

Wed Jan  7 17:12:33 +0100 2009 Jim Meyering <meyering@redhat.com>

	add more files pulled in via yesterday's gnulib upgrade
	* gnulib/m4/multiarch.m4: New file.
	* gnulib/m4/hostent.m4: New file.
	* gnulib/m4/servent.m4: New file.
	* .x-sc_prohibit_gethostby: Exempt all gnulib/m4/* files, so
	hostent.m4's uses of gethostbyname and gethostbyaddr do not
	trigger a "make syntax-check" failure.

	bootstrap: pull in gnulib's ioctl module
	* bootstrap: Invoke gnulib-tool with its --no-vc-files
	option, since we version-control the files it imports.
	This tells it not to mark imported files as cvs-ignored.
	(modules): Add ioctl.
	* gnulib/lib/ioctl.c: New file.
	* gnulib/lib/sys_ioctl.in.h: New file.
	* gnulib/tests/sys_ioctl.in.h: Removed.
	* gnulib/tests/ioctl.c: Removed.
	* gnulib/lib/Makefile.am: Update.
	* gnulib/m4/gnulib-cache.m4: Likewise.
	* gnulib/m4/gnulib-comp.m4: Likewise.
	* gnulib/tests/Makefile.am: Likewise.
	* gnulib/lib/.cvsignore: Ignore sys_ioctl.h.
	* gnulib/lib/.gitignore: Regenerate.

	ignore generated libvirtd.logrotate.
	* qemud/.cvsignore: Add libvirtd.logrotate.
	* qemud/.gitignore: Regenerate.

Wed Jan  7 13:54:05 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.c src/qemu_conf.c: implement PCI passthrough
	  for recent KVM versions in a similar way to USB, patch by
	  Jason Krieg. Some cleanups and reformating too.

Wed Jan  7 11:54:06 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/openvz_driver.c: fix the mac addresses generation for
	  OpenVZ veth devices, patch by Evgeniy Sokolov

Wed Jan  7 11:38:04 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/libvirt_private.syms src/qemu_driver.c src/test.c
	  src/uml_driver.c src/util.c src/util.h src/xen_unified.c:
	  unify hostname lookup using virGetHostname convenience function,
	  patch by David Lutterkort

Tue Jan  6 20:38:23 +0100 2009 Jim Meyering <meyering@redhat.com>

	update from gnulib; use its time_r module for localtime_r on mingw
	* bootstrap (modules): Add time_r.
	* gnulib/m4/time_h.m4: New file.
	* gnulib/m4/time_r.m4: New file.
	* gnulib/lib/time_r.c: New file.
	* gnulib/tests/test-time.c: New file.
	* gnulib/lib/time.in.h: New file.
	* gnulib/lib/Makefile.am: Update.
	* gnulib/lib/fseeko.c: Likewise.
	* gnulib/lib/lstat.c: Likewise.
	* gnulib/lib/netdb.in.h: Likewise.
	* gnulib/lib/stdint.in.h: Likewise.
	* gnulib/lib/stdlib.in.h: Likewise.
	* gnulib/lib/sys_select.in.h: Likewise.
	* gnulib/lib/sys_stat.in.h: Likewise.
	* gnulib/lib/sys_time.in.h: Likewise.
	* gnulib/lib/unistd.in.h: Likewise.
	* gnulib/lib/wchar.in.h: Likewise.
	* gnulib/m4/codeset.m4: Likewise.
	* gnulib/m4/errno_h.m4: Likewise.
	* gnulib/m4/extensions.m4: Likewise.
	* gnulib/m4/getaddrinfo.m4: Likewise.
	* gnulib/m4/gettext.m4: Likewise.
	* gnulib/m4/glibc2.m4: Likewise.
	* gnulib/m4/glibc21.m4: Likewise.
	* gnulib/m4/gnulib-cache.m4: Likewise.
	* gnulib/m4/gnulib-comp.m4: Likewise.
	* gnulib/m4/iconv.m4: Likewise.
	* gnulib/m4/include_next.m4: Likewise.
	* gnulib/m4/intdiv0.m4: Likewise.
	* gnulib/m4/intlmacosx.m4: Likewise.
	* gnulib/m4/intmax.m4: Likewise.
	* gnulib/m4/inttypes-pri.m4: Likewise.
	* gnulib/m4/inttypes_h.m4: Likewise.
	* gnulib/m4/lcmessage.m4: Likewise.
	* gnulib/m4/lib-link.m4: Likewise.
	* gnulib/m4/lstat.m4: Likewise.
	* gnulib/m4/netdb_h.m4: Likewise.
	* gnulib/m4/nls.m4: Likewise.
	* gnulib/m4/po.m4: Likewise.
	* gnulib/m4/printf-posix.m4: Likewise.
	* gnulib/m4/printf.m4: Likewise.
	* gnulib/m4/progtest.m4: Likewise.
	* gnulib/m4/size_max.m4: Likewise.
	* gnulib/m4/sockets.m4: Likewise.
	* gnulib/m4/stdint.m4: Likewise.
	* gnulib/m4/stdint_h.m4: Likewise.
	* gnulib/m4/sys_ioctl_h.m4: Likewise.
	* gnulib/m4/threadlib.m4: Likewise.
	* gnulib/m4/uintmax_t.m4: Likewise.
	* gnulib/m4/visibility.m4: Likewise.
	* gnulib/m4/wchar.m4: Likewise.
	* gnulib/m4/wchar_t.m4: Likewise.
	* gnulib/m4/wint_t.m4: Likewise.
	* gnulib/m4/xsize.m4: Likewise.
	* gnulib/tests/Makefile.am: Likewise.
	* gnulib/tests/sockets.h: Likewise.
	* gnulib/tests/.cvsignore: Likewise.
	* gnulib/tests/.gitignore: Likewise.
	* tests/.gitignore: Likewise.
	* docs/examples/.gitignore: Likewise.
	* gnulib/lib/.cvsignore: Likewise.
	* gnulib/lib/.gitignore: Likewise.

	remove files associated with obsolete strpbrk module
	* gnulib/lib/strpbrk.c: Remove file.
	* gnulib/m4/strpbrk.m4: Remove file.

Tue Jan  6 17:52:22 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	Misc windows / mingw portability fixes
	* src/logging.c: Add include of unistd.h for close() prototype
	* src/logging.h: Add a VIR_ prefix on logging macros to
	avoid clash with Windows.h symbols for ERROR()
	* tests/nodeinfotest.c: Annotate unused attribute
	* src/test.c: Annotate unused attributes when missing
	pthreads
	* qemud/remote.c, qemud/qemud.c: Use VIR_ prefix on
	logging macro calls
	* qemud/remote_protocol.c, qemud/rpcgen_fix.pl: Add cast
	to workaround odd portablexdr XDR_INLINE return type

Tue Jan  6 18:44:34 CET 2009 Guido Günther <agx@sigxcpu.org>

	add virKillProcess
	* src/util.[ch] (virKillProcess): new function
	* src/libvirt_private.syms: add symbol

Tue Jan  6 18:14:31 CET 2009 Guido Günther <agx@sigxcpu.org>

	trivial cleanups
	* src/qemu_driver.c (qemudGetMaxVCPUs): we have kvmGetMaxVCPUs(), so
	  the comment can go
	* src/qemu_driver.c (qemudDomainDetachDevice): fix error message
	* AUTHORS: fix spelling and suggest UTF-8 encoding
	* docs/apps.html.in: minor typo

Tue Jan  6 18:12:38 CET 2009 Guido Günther <agx@sigxcpu.org>

	* .gitignore: ignore generated TAGS files

Tue Jan  6 17:18:10 CET 2009 Daniel Veillard <veillard@redhat.com>

	* AUTHORS: John Levon is now a commiter

Tue Jan  6 16:21:24 CET 2009 Jim Meyering <meyering@redhat.com>

	fix "make dist" (from scratch) failure
	* src/Makefile.am (EXTRA_DIST): Don't distribute libvirt_sym.version,
	now that it's been removed.  Spotted by Daniel Veillard.

	dist: distribute all libvirt_*.syms files, ...
	* src/Makefile.am (EXTRA_DIST): Distribute all libvirt_*.syms files,
	not just those that happen to be selected at configure time.

Tue Jan  6 10:47:33 CET 2009 Jim Meyering <meyering@redhat.com>

	avoid syntax-check (po-check) failure due to FP match on gettext.m4
	* Makefile.maint (po-check): Exclude .m4 files.

Tue Jan  6 10:45:04 CET 2009 Daniel Veillard <veillard@redhat.com>

	* qemud/remote.c: fix compilation without SASL, patch by John Levon

Tue Jan  6 09:46:43 CET 2009 Daniel Veillard <veillard@redhat.com>

	* po/*: updated polish and brazilian translations, regenerated
	  files, pushed new pot to translators

Tue Jan  6 09:42:34 CET 2009 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_fs.c: Make mntent.h specific to the FS storage
	  backend, patch by John Levon

Mon Jan  5 2009 14:53:48 CET John Levon <john.levon@sun.com>

	split up linker script, as described below and in
	  http://thread.gmane.org/gmane.comp.emulators.libvirt/10728

	split version script into multiple files
	* src/Makefile.am (PRIVSYMFILES): Define.
	(EXTRA_DIST): Append $(PRIVSYMFILES).
	(libvirt.syms): New rule.
	Reflect renaming: s/libvirt_sym.version/libvirt.syms/.
	(BUILT_SOURCES): Depend on libvirt.syms.
	* configure.in: Define ENABLE_DEBUG as an automake conditional.
	(AC_OUTPUT): Remove src/libvirt_sym.version.
	* src/.cvsignore: s/libvirt_sym.version/libvirt.syms/.
	* src/.gitignore: Regenerate.
	* src/libvirt_public.syms: Renamed from src/libvirt_sym.version.in.
	* src/libvirt_debug.syms: New file.
	* src/libvirt_private.syms: New file.

	Move --with-driver-modules symbols into a separate sym file
	* src/Makefile.am (PRIVSYMFILES): Append libvirt_driver_modules.syms.
	* src/libvirt_private.syms: Move virDriverLoadModule into...
	* src/libvirt_driver_modules.syms: ... this new file.

	Move bridge symbols into a separate syms file
	* configure.in: Provide a new --with-bridge option.
	* src/Makefile.am (PRIVSYMFILES) [WITH_BRIDGE]: Append
	libvirt_bridge.syms.
	* src/bridge.c: Test WITH_BRIDGE rather than particular drivers.
	* src/libvirt_private.syms: Move bridge-related symbols into...
	* src/libvirt_bridge.syms: ...this new file.

	migrate linux-specific symbol names into their own sym file
	* configure.in (WITH_LINUX): New automake conditional.
	* src/Makefile.am (PRIVSYMFILES) [WITH_LINUX]: Append libvirt_linux.syms.
	* src/libvirt_private.syms: Move two symbol names into...
	* src/libvirt_linux.syms: ...this new file.

	Remove storage backend symbols from version script
	* src/libvirt_private.syms: Remove virStorageBackend* symbol names.
	They're linked into qemud, not libvirt.
	Author: John Levon

Mon Jan  5 14:22:06 CET 2009 Jim Meyering <meyering@redhat.com>

	avoid xgettext warning aboug bug-reporting address
	* po/Makevars (MSGID_BUGS_ADDRESS): Set, to avoid xgettext warning.
	* po/libvirt.pot: Set bug-reporting address.

	avoid bogus descriptions due to use of gettext with the empty string
	* src/virsh.c: Use `""', not `gettext_noop("")', in numerous
	vshCmdInfo definitions.  The latter provokes a warning from gettext.

	Makefile.maint: sync from coreutils

Mon Jan  5 12:54:21 GMT 2009 Daniel P. Berrange <berrange@redhat.com>

	* src/nodeinfo.c: s/uint64_t/unsigned long/ for the
	numa_node_to_cpus() API call.

Mon Jan  5 09:11:21 CET 2009 Jim Meyering <meyering@redhat.com>

	* Makefile.maint (msg_gen_function): Add to the list.

	mark a few diagnostics for translation
	* src/xen_inotify.c (xenInotifyXendDomainsDirLookup): Mark a diagnostic.
	(xenInotifyXendDomainsDirRemoveEntry, xenInotifyOpen): Likewise.

	HACKING: mention bool and other scalar types, const-correctness

Fri Dec 26 14:22:04 CET 2008 Guido Günther <agx@sigxcpu.org>

	document vnc's keymap attribute
	* docs/formatdomain.html.in: document keymap attribute
	* docs/drvqemu.html.in: add keymap attribute to example

Tue Dec 23 14:44:41 CET 2008 Daniel Veillard <veillard@redhat.com>

	* docs/logging.html docs/logging.html.in: new page documenting
	  the logging system
	* docs/auth.html docs/deployment.html docs/remote.html
	  docs/sitemap.html docs/sitemap.html.in docs/uri.html
	  docs/windows.html: integration in the existing set

Tue Dec 23 14:38:30 CET 2008 Guido Günther <agx@sigxcpu.org>

	* .x-sc_prohibit_asprintf: new file

Tue Dec 23 13:39:48 CET 2008 Guido Günther <agx@sigxcpu.org>

	use virAsprintf instead of asprintf
	* .x-sc_prohibit_asprintf, Makefile.maint (sc_prohibit_asprintf): new
	rule
	* src/cgroup.c, src/domain_conf.c, src/driver.c, src/libvirt.c,
	src/logging.c, src/lxc_container.c, src/lxc_controller.c,
	src/lxc_driver.c, src/network_conf.c, src/network_driver.c,
	src/openvz_conf.c, src/qemu_conf.c, src/qemu_driver.c,
	src/remote_internal.c, src/stats_linux.c, src/storage_backend_iscsi.c,
	src/storage_driver.c, src/uml_conf.c, src/uml_driver.c, src/util.c,
	src/veth.c, src/virsh.c, src/xm_internal.c: use virAsprintf instead of
	asprintf

Mon Dec 22 11:33:16 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/storage_driver.c: Fix storage driver null dereference.

Mon Dec 22 11:27:52 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/virsh.c: Merge xml building for virsh pool-*-as

Mon Dec 22 17:13:42 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c qemud/test_libvirtd_qemu.aug tests/Makefile.am
	  tests/daemon-conf: fix make check with the new logging support
	  the messages now carry a timestamp which need to be removed,
	  the daemon needs to exit if the log configuration informations
	  are wrong and we also look at the LIBVIRT_DEBUG environment
	  variable

Mon Dec 22 14:07:29 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/mdns.c: fix a compilation problem in the switch

Mon Dec 22 13:56:13 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/libvirtd.aug qemud/libvirtd.conf: document the new
	  options in the config file and augment the Augeas description

Mon Dec 22 13:54:30 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/event.c qemud/mdns.c qemud/remote.c: switch other pieces
	  of the daemon to the new logging infrastructure

Mon Dec 22 13:51:48 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c qemud/qemud.h: replace the daemon old logging
	  infrastructure with the new one and parse configuration options

Mon Dec 22 11:51:29 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/uml_conf.c: another logging conversion

Mon Dec 22 11:47:44 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/node_device_devkit.c src/uml_driver.c src/virterror.c:
	  convert old logging to the new API

Mon Dec 22 11:45:07 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/libvirt.c: convert entry points to new logging

Mon Dec 22 11:43:04 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/logging.h src/logging.c: commited the more recent version
	  with function name and line number

Mon Dec 22 11:33:07 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/logging.h src/logging.c: add the infrastructure and internal
	  APIs for logging, some of those APIs should be made public later
	* src/libvirt_sym.version.in: flag the internal APIs as such

Mon Dec 22 11:31:08 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/xen_internal.h: remove tabs to fix make synatx-check
	  and fix the indentation

Sun Dec 21 19:50:16 +0100 2008 Jim Meyering <meyering@redhat.com>

	make NUMA-initialization code more portable and more robust
	qemudCapsInitNUMA and umlCapsInitNUMA were identical, so this change
	factors them into a new function, virCapsInitNUMA, and puts it in
	nodeinfo.c.

	In addition to factoring out the duplicates, this change also
	adjusts that function definition (along with its macros) so
	that it works with Fedora 9's numactl version 1, and makes it
	so the code will work even if someone builds the kernel with
	CONFIG_NR_CPUS > 4096.

	Finally, also perform this NUMA initialization for the lxc
	and openvz drivers.

	* src/nodeinfo.c: Include <stdint.h>, <numa.h> and "memory.h".
	(virCapsInitNUMA): Rename from qemudCapsInitNUMA and umlCapsInitNUMA.
	(NUMA_MAX_N_CPUS): Define depending on NUMA API version.
	(n_bits, MASK_CPU_ISSET): Define, adjust, use uint64 rather than long.
	* src/nodeinfo.h: Include "capabilities.h".
	(virCapsInitNUMA): Declare it.
	* examples/domain-events/events-c/Makefile.am:
	* src/Makefile.am: Add $(NUMACTL_CFLAGS) and $(NUMACTL_LIBS) to various
	compile/link-related variables.
	* src/qemu_conf.c: Include "nodeinfo.h".
	(qemudCapsInitNUMA): Remove duplicate code.  Adjust caller.
	* src/uml_conf.c (umlCapsInitNUMA): Likewise.
	Include "nodeinfo.h".
	* src/lxc_conf.c: Include "nodeinfo.h".
	(lxcCapsInit): Perform NUMA initialization here, too.
	* src/openvz_conf.c (openvzCapsInit): And here.
	Include "nodeinfo.h".
	* src/libvirt_sym.version.in: Add virCapsInitNUMA so that libvirtd
	can link to this function.

Sun Dec 21 19:46:35 +0100 2008 Jim Meyering <meyering@redhat.com>

	* src/node_device_hal.c: Include <config.h> before everything else.

Sun Dec 21 00:20:51 CET 2008 Guido Günther <agx@sigxcpu.org>

	avoid "make check" failures due to localized error messages
	* tests/Makefile.am (TESTS_ENVIRONMENT): set LC_ALL=C

Sat Dec 20 14:10:09 CET 2008 Guido Günther <agx@sigxcpu.org>

	save and remove kvm/qemu domain status
	* src/qemu_driver.c (qemdRemoveDomainStatus): new function
	  (qemudOpenMonitor): save monitor path
	  (qemudStartVMDaemon, qemudDomainSuspend, qemudDomainResume,
	   qemudDomainAttachDevice, qemudDomainDetachDevice): save status
	  (qemudShutdownVMDaemon): remove status

Sat Dec 20 13:53:14 CET 2008 Guido Günther <agx@sigxcpu.org>

	add XML parsing for qemu/kvm status files
	* src/domain_conf.c, src/domain_conf.h (virDomainSaveXML): new function
	* src/domain_conf.c (virDomainSaveConfig): split out XML writing into
	  virDomainSaveXML
	* src/qemu_conf.c (qemudDomainStatusParseFile): new function to parse
	  status XML
	  (qemudDomainStatusFormat): new function to format status XML
	  (qemudSaveDomainStatus): new function to write status XML, uses
	  virDomainSaveXML
	* src/libvirt_sym.version.in: add virBufferEscapeString, virDomainSaveXML,
	  virXPathNode symbols

Fri Dec 19 10:41:00 UTC 2008 Richard W.M. Jones <rjones@redhat.com>

	* docs/formatdomain.html.in: Fix documentation typo
	  (aozturk in #virt).

Thu Dec 18 17:46:06 CET 2008 Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c (qemudDomainAttachDevice): only
	  free dev on failure

Thu Dec 18 16:13:56 CET 2008 Guido Günther <agx@sigxcpu.org>

	Let qemu/kvm instances write a pid file
	* src/utilc, src/util.h (virFilePid): declare and define
	  (virFileWritePid, virFileReadPid, virFileDeletePid): use virFilePid
	* src/libvirt_symver.in: export virFilePid symbol
	* src/qemu_conf.c (qemudBuildCommandLine): pass -pidfile to qemu
	  (qemudStartup): create stateDir
	* tests/qemuxml2argvtest.c: initialize driver.stateDir
	* tests/qemuxml2argvdata/qemuxml2argv-*.args: add -pidfile argument

Thu Dec 18 12:18:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* examples/domain-events/events-c/event-test.c,
	python/types.c: Replace __FUNCTION__ with __func__ for
	better portability (John Levon)

Thu Dec 18 12:18:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix gcc-ism in python build (John Levon)
	* acinclude.m4: Add -Wno-redundant-decls check for compiler
	* python/Makefile.am: Remove hardcoded -Wno-redundant-decls

Thu Dec 18 12:11:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Don't free event after queueing it
	unless error occurred (David Lively)

Thu Dec 18 12:07:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Fix error return value
	* tests/nodeinfotest.c: Disable code compile completely on
	non-linux (John Levon)

Thu Dec 18 11:59:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/remote.c: Fix unused variable compile warning when polkit
	is disabled (John Levon)

Thu Dec 18 11:56:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Use pid_t for all PID tracking variables (John Levon)
	* src/openvz_driver.c, src/proxy_internal.h, src/remote_internal.c,
	src/storage_backend.c, src/uml_driver.c, src/util.c, src/util.h:
	s/int/pid_t/

Thu Dec 18 11:54:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/Makefile.am: Don't munge default network XML if
	uuidgen is not present (John Levon)

Thu Dec 18 11:50:58 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Misc daemon bug fixes (John Levon)
	* qemud/qemud.c: Fix conditional for node devices
	* qemud/remote.c: Remove unneccessary path.h include

Thu Dec 18 07:47:58 +0100 2008 Jim Meyering <meyering@redhat.com>

	docs/virsh.pod: typo fix

Thu Dec 18 07:44:07 +0100 2008 Jim Meyering <meyering@redhat.com>

	Makefile.maint: use $(srcdir), not $(top_srcdir)

Wed Dec 17 21:49:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Fix unreachable return statement
	(John Levon)

Wed Dec 17 21:45:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Use correct type for domain events callbacks args (John Levon)
	* src/driver.h, src/qemu_driver.c, src/remote_internal.c,
	src/xen_unified.c: s/void */virConnectDomainEventCallback/
	for domain events callbacks

Wed Dec 17 21:41:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_sym.version.in: Remove non-existant symbols
	(John Levon)

Wed Dec 17 21:35:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Portability of ELF version script to Solaris (John Levon)
	* configure.ac: Check linker flag used to set versioning
	script for ELF
	* src/Makefile.am: Use platform specific linker flag for
	version script as per configure test
	* src/libvirt_sym.version.in: Switch to '#' for comments

Wed Dec 17 21:30:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix conditional checks for Solaris platform (John Levon)
	* src/xen_internal.c, src/xen_unified.c, src/xs_internal.c:
	s/__sun__/__sun/

Wed Dec 17 21:17:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix Xen sub-drivers' 'open' method return type (John Levon)
	* src/proxy_internal.c, src/remote_internal.c, src/test.c,
	src/xen_inotify.c, src/xen_inotify.h, src/xen_internal.c,
	src/xen_internal.h, src/xen_unified.c, src/xend_internal.c,
	src/xend_internal.h, src/xm_internal.c, src/xm_internal.h,
	src/xs_internal.c, src/xs_internal.h: s/int/virDrvOpenStatus/

Wed Dec 17 21:10:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Mutex / crash fixes to openvz driver (Anton Protopopov)
	* src/openvz_driver.c: Fix crash with setting CPU value
	during define
	* src/openvz_conf.c: Initialize the domain mutex when
	loading config files

Wed Dec 17 20:53:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c, src/node_device_conf.c, src/node_device_conf.h,
	src/storage_conf.c, src/storage_conf.h: Remove trailing semi-colon
	causing empty statement compile warnings on solaris (John
	Levon).

Wed Dec 17 18:10:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Anonymous union fixes for non-GCC compilers (John Levon)
	* src/domain_conf.c, src/qemu_conf.c, src/qemu_driver.c: Remove use
	of anonymous union
	* src/domain_conf.h: Give a name to the anonymous union for
	host devices. Add 'dummy' field to avoid empty struct
	* src/remote_internal.c: Remove gcc-ism in empty "x ? : y"

Wed Dec 17 19:06:53 +0100 2008 Jim Meyering <meyering@redhat.com>

	portability: don't include <endian.h> or <byteswap.h>
	* src/storage_backend_fs.c: Don't include <endian.h> or <byteswap.h>.
	(LV_BIG_ENDIAN, LV_LITTLE_ENDIAN): Define.
	Use those instead of __BIG_ENDIAN and __LITTLE_ENDIAN.

Wed Dec 17 18:03:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, src/util.c, tests/testutils.c: Remove use
	of _PATH_DEVNULL in favour of "/dev/null" for portability
	(John Levon)

Wed Dec 17 18:10:51 +0100 2008 Jim Meyering <meyering@redhat.com>

	enforce the "include <config.h> first" rule
	* qemud/Makefile.am: Ensure that the generated remote_protocol.c
	includes <config.h> first.
	* Makefile.maint (sc_require_config_h_first): New rule, so that
	"make syntax-check" enforces this.
	* .x-sc_require_config_h_first: New file.
	* Makefile.am (.x-sc_require_config_h_first): Add it.
	* qemud/remote_protocol.x: Don't include <config.h> here.
	* qemud/remote_protocol.c: Regenerate.

Wed Dec 17 18:10:51 +0100 2008 Jim Meyering <meyering@redhat.com>

	let gcc's -Wformat do its job; avoid "make syntax-check" failure
	* src/util.c (virAsprintf): Remove trailing space.
	* src/util.h (virAsprintf): Use ATTRIBUTE_FORMAT.
	* HACKING (Printf-style functions): New section.

Wed Dec 17 16:43:39 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt.c: Add missing checks for read-only connection
	flag (CVE-2008-5086)

Wed Dec 17 17:07:39 CET 2008 Daniel Veillard <veillard@redhat.com>

	* configure.in: detect syslog.h

Wed Dec 17 09:28:15 CET 2008 Guido Günther <agx@sigxcpu.org>

	* Makefile.maint: use $(top_srcdir) for m4/ and $(VC_LIST)

Wed Dec 17 08:02:01 +0100 2008 Jim Meyering <meyering@redhat.com>

	fix numa-related (and kernel-dependent) test failures
	This change is required on some kernels due to the way a change in
	the kernel's CONFIG_NR_CPUS propagates through the numa library.
	* src/qemu_conf.c (qemudCapsInitNUMA): Pass numa_all_cpus_ptr->size/8
	as the buffer-length-in-bytes in the call to numa_node_to_cpus, since
	that's what is required on second and subseqent calls.
	* src/uml_conf.c (umlCapsInitNUMA): Likewise.

Tue Dec 16 17:26:49 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Sanitize qemu monitor reads.

Mon Dec 15 21:05:56 CET 2008 Guido Günther <agx@sigxcpu.org>

	Add virAsprintf as safer asprintf helper
	* src/util.c, src/util.h (virAsprintf): new function
	* src/libvirt_symver.in: export symbol

Mon Dec 15 16:33:25 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_driver.c: fix a segfault, patch by Miloslav TrmaC

Mon Dec 15 10:59:19 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c: Unlock domain object after fetching
	it to avoid deadlock when re-loading configs

Fri Dec 12 17:41:19 +0100 2008 Jim Meyering <meyering@redhat.com>

	remove redundant optname arguments
	This is the second part of the change mentioned here:

	  http://thread.gmane.org/gmane.comp.emulators.libvirt/10331

	It removes the essentially redundant "optname" parameter
	from each of the vshCommandOptNetworkBy and vshCommandOptDomainBy
	functions as well as the correspond macros (without "By" suffix).
	Now, instead of always passing the optname, "domain", to
	vshCommandOptDomainBy, that function requires that its command
	argument refer to an opts array containing a "domain" option.

	This normalization makes one more help-related change:
	it renames the net-start "name" argument to the more
	sensible and consistent "network".
	* src/virsh.c (VSH_BYNAME, vshCommandOptDomain)
	(cmd_has_option): New function, used in vshCommandOptDomainBy
	and vshCommandOptNetworkBy.
	(vshCommandOptDomainBy, vshCommandOptNetworkBy): Remove the optname
	parameter, it's always "domain" ("network").  Update all callers.
	Call cmd_has_option.
	(vshCommandOptNetwork, cmdAutostart, cmdConsole, cmdDomstate)
	(cmdDomblkstat, cmdDomIfstat, cmdSuspend, cmdUndefine, cmdStart)
	(cmdSave, cmdSchedinfo, cmdDump, cmdResume, cmdShutdown)
	(cmdReboot, cmdDestroy, cmdDominfo, cmdVcpuinfo, cmdVcpupin)
	(cmdSetvcpus, cmdSetmem, cmdSetmaxmem, cmdDumpXML, cmdDomname)
	(cmdDomid, cmdDomuuid, cmdMigrate, cmdNetworkAutostart)
	(cmdNetworkDestroy, cmdNetworkDumpXML, cmdNetworkName)
	(opts_network_start, cmdNetworkStart, cmdNetworkUndefine)
	(cmdNetworkUuid, cmdVNCDisplay, cmdTTYConsole, cmdAttachDevice)
	(cmdDetachDevice, cmdAttachInterface, cmdDetachInterface)
	(cmdAttachDisk, cmdDetachDisk, cmdEdit)
	* src/Makefile.am (virsh-pool-edit.c): This code is generated
	from cmdEdit, and cmdEdit uses the vshCommandOptDomain macro which
	now, with the changes above, has only 3 (was 4) arguments, yet the
	macro use is mapped to vshCommandOptPool, which still requires 4
	arguments.  So this change adjusts the sed code to reinsert the
	just-removed argument -- we're not changing pool-related code right
	now, because it's not as straight-forward.

Fri Dec 12 18:50:20 +0100 2008 Jim Meyering <meyering@redhat.com>

	syntax-check: enforce the no-cvs-keywords prohibition
	* Makefile.maint (sc_prohibit_cvs_keyword): New rule.
	Suggested by Daniel Veillard.
	The new test exposed two uses of $\Date$.
	* docs/Goals: Don't use $\Date$.
	* python/TODO: Likewise.

Fri Dec 12 17:08:08 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid a spurious test failure on non-numa systems
	* tests/daemon-conf: Ignore a spurious libnuma warning.
	Reported by Daniel Veillard.

Fri Dec 12 14:57:17 CET 2008 Daniel Veillard <veillard@redhat.com>

	* Makefile.maint: fix tabs in C source error message based on
	  Dave Allan feedback

Fri Dec 12 13:41:31 +0100 2008 Jim Meyering <meyering@redhat.com>

	remove cvs $\Id$ strings
	* po/id.po: Likewise.
	* qemud/remote_generate_stubs.pl: Likewise.
	* src/virsh.c: Likewise.
	* tests/testutils.c: Likewise.
	* tests/testutils.h: Likewise.
	* RENAMES: Likewise.

Fri Dec 12 13:16:05 +0100 2008 Jim Meyering <meyering@redhat.com>

	libvirtd: plug a nominal leak
	* qemud/qemud.c (qemudRunLoop): Free server->workers.

Fri Dec 12 12:19:56 +0100 2008 Jim Meyering <meyering@redhat.com>

	remove unused xmlrpc-related files
	* src/xmlrpc.h: Remove file.
	* src/xmlrpc.c: Likewise.
	* tests/test_xmlrpc.sh: Likewise.
	* tests/xmlrpctest.c: Likewise.
	* tests/xmlrpcserver.py: Likewise.
	* tests/Makefile.am (EXTRA_DIST): Remove xmlserver.py.
	(noinst_PROGRAMS): Remove xmlrpctest, along with associated variables.
	* po/POTFILES.in: Remove src/xmlrpc.c.
	* tests/.cvsignore: Remove xmlrpctest.

Fri Dec 12 11:37:16 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_conf.c src/uml_conf.c: fix a couple of places where
	  we were requesting 8 times the required amount of memory,
	  patch by Dave Allan

Fri Dec 12 10:45:17 CET 2008 Guido Günther <agx@sigxcpu.org>

	* docs/devhelp/Makefile.am: look for devhelp.xsl in $(srcdir)

Fri Dec 12 10:28:41 CET 2008 Guido Günther <agx@sigxcpu.org>

	Fix serial/parallel virtual devices over tcp, unix and telnet
	* src/qemu_conf.c (qemudBuildCommandLineChrDevStr): use
	"server,nowait" instead of "listen" for tcp and unix sockets. Use
	"nowait" for telnet too.
	* tests/qemuxml2argvdata/qemuxml2argv-parallel-tcp.args: adjust
	testcase accordingly.
	* tests/qemuxml2argvdata/qemuxml2argv-serial-tcp-telnet.args:
	likewise.

Fri Dec 12 08:54:40 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/qemud.c: add --version support to libvirtd, patch by
	  Dave Allan
	* AUTHORS: add Dave Allan

Fri Dec 12 08:34:47 CET 2008 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: fix a conditional bug in spec file #460510,
	  patch by Dave Allan

Fri Dec 12 08:27:44 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/util.c: retry poll() in EINTR failures, patch by Dave Allan

Thu Dec 11 19:10:46 +0100 2008 Jim Meyering <meyering@redhat.com>

	build: avoid libvirtd link failure with CFLAGS=-g
	* qemud/Makefile.am (libvirtd_LDADD): Add gnulib's libgnu.la last.
	Otherwise, building with -g (no inlining) would fail due to a use
	of c_isspace in libvirt_driver_qemu.a, which used to followed
	libgnu.a in the link command.

Thu Dec 11 16:13:08 +0100 2008 Jim Meyering <meyering@redhat.com>

	syntax-check: prohibit all new uses of gethostby* functions
	* Makefile.maint (sc_prohibit_gethostby): New rule.
	* .x-sc_prohibit_gethostby: Exempt the few existing uses.

Thu Dec 11 10:03:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Fix locking issue in test driver VolLookupByPath

Thu Dec 11 10:00:54 EST 2008 Cole Robinson <crobinso@redhat.com>

	* libvirt.spec.in: Fix rpm build by installing logrotate config

Thu Dec 11 09:58:49 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/storage_driver.c : Fix a locking issue in PoolGetAutostart

Thu Dec 11 09:55:23 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/network_driver.c src/qemu_conf.c: Fix segfault if virtual
	network does not have a bridge name.

Thu Dec 11 12:39:20 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.c src/domain_conf.h src/qemu_conf.c
	  tests/qemuxml2argvtest.c tests/qemuxml2xmltest.c
	  tests/qemuxml2argvdata/qemuxml2argv-graphics-sdl-fullscreen.args
	  tests/qemuxml2argvdata/qemuxml2argv-graphics-sdl-fullscreen.xml:
	  slightly modified patch for SDL fullscreen from Itamar Heim
	* docs/formatdomain.html docs/formatdomain.html.in docs/libvirt.rng:
	  update the schemas and docs about the sdl graphic element attributes
	* AUTHORS: add Itamar Heim

Wed Dec 10 20:18:36 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid a new "make distcheck" failure
	Distribute the new file, libvirtd.logrotate.in, and make
	distclean remove the build product, libvirtd.logrotate.
	* qemud/Makefile.am (EXTRA_DIST): Add libvirtd.logrotate.in.
	(DISTCLEANFILES): Initialize, and append libvirtd.logrotate.in.

Wed Dec 10 17:33:49 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid format string warnings
	* src/openvz_conf.c (openvzGetNodeCPUs): Add "%s" arg before _(...).
	* src/uml_driver.c (umlDomainBlockPeek): Likewise.

Tue Dec  9 2008 22:35:43 +0100 Jim Meyering <meyering@redhat.com>

	fix just-broken "virsh start" and "virsh pool-start" commands
	* src/virsh.c (cmdPoolStart, cmdStart): Change hard-coded
	vshCommandOptDomainBy string argument to match just-changed
	option name.  Cole Robinson reported that "virsh start" was
	broken and provided that part of the fix.
	Bug introduced by yesterday's "virsh.c: tweak options to produce
	more accurate help".
	* tests/start: New file.  Test for the above fix.
	* tests/Makefile.am (test_scripts): Add start.

Tue 9 Dez 2008 21:08:43 CET Guido Günther <agx@sigxcpu.org>

	logrotate qemu monitor logs
	* src/qemu_driver.c: open logfile O_APPEND instead of O_TRUNC when
	running as root
	* qemud/Makefile.am: install logrotate configuration (by Harald Sraub)
	and create logdir

Mon Dec  8 13:22:06 +0100 2008 Jim Meyering <meyering@redhat.com>

	virsh.c: tweak options to produce more accurate help
	* src/virsh.c: Adjust some vshCmdOptDef command option flags
	to improve auto-generated help command syntax.

	virsh.c: remove all "syntax" vshCmdInfo entries.
	* src/virsh.c: ... now that info is generated.

	virsh.c: add missing (yet empty) "desc" strings
	* src/virsh.c: Now, every command must have a "desc" string,
	even if it has zero length.  Mark these, so they'll be filled in.

	virsh.c: generate each "virsh help COMMAND"s synopsis
	* src/virsh.c: Also, diagnose extra arguments after --help (-h).

Mon Dec  8 12:00:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/Makefile.am: Fix mixup between _LDFLAGS & _LDADD
	variables to make compilation work in certain configs.

Mon Dec  8 11:28:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_conf.c: Workaround missing ULLONG_MAX in
	Debian etch's limits.h

Mon Dec  8 11:17:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c, src/uml_driver.c: Fix guest autostart
	to have a virConnect object available to allow query of
	virtual networks

Sun Dec  7 20:44:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Fix integer long long overflow. Fix NULL defernce

Sun Dec  7 20:20:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Remove bogus refresh call causing deadlock

Sun Dec  7 14:03:53 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Fix return value in testStoragePoolBuild

Fri Dec  5 16:03:53 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/node_device_hal.c configure.in: fix a compilation problem
	  with old dbus versions

Thu Dec  5 10:10:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c: Disable a few more functions for proxy
	build which should not be used

Thu Dec  4 22:20:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Remove unused driver argument from
	all monitor handling APIs.

Thu Dec  4 22:18:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c: Read number of threads for RPC dispatch
	from config. Allow a limit on total client connection
	count.
	* qemud/libvirtd.conf: Add max_clients and max_workers
	and min_workers config vars
	* qemud/libvirtd.aug, qemud/test_libvirtd.aug: Augeas
	support for new config params

Thu Dec  4 22:16:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Make daemon use a thread pool for handling RPC calls
	from multiple clients.
	* qemud/THREADING.txt: Describe threading rules
	* qemud/qemud.h, qemud/qemud.c, src/remote.c: Add a pool
	of threads for handling RPC call processing. Use main
	thread only for event loop
	* qemud/remote_generate_stubs.pl: Pass virConnectPtr object
	into dispatch stubs to avoid need to access client struct
	* qemud/remote_dispatch_prototypes.h: Re-generated

Thu Dec  4 22:14:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/event.c, src/event.h: Make all event handling thread
	safe and re-entrant safe, and allow poll() to be woken up
	by other threads.
	* src/qemud.c, src/qemud.h: Initialize event loop explicitly

Thu Dec  4 22:12:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, qemud/qemud.h, qemud/remote.c: Make all
	error reporting the responsibility of the RPC handler
	methods
	* qemud/remote_generate_stubs.pl: Add remote_error *
	arg to all RPC handlers
	* qemud/remote_dispatch_prototypes.h: Re-generated

Thu Dec  4 22:09:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.h, qemud/qemud.c: Change client linked list into
	an array for easier thread safety

Thu Dec  4 22:01:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/remote.c: Change from a giant switch() on RPC number
	into a simple array lookup of RPC handler function
	* qemud/Makefile.am, qemud/remote_generate_stubs.pl: Change
	generator to produce a union of data types for O(1) dispatch
	* qemud/remote_dispatch_*: Re-generate files

Thu Dec  4 21:49:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Per object locking implementation
	* src/domain_conf.c, src/domain_conf.h, src/network_conf.c,
	src/network_conf.h, src/node_device_conf.c,
	src/node_device_conf.h, src/storage_conf.c
	src/storage_conf.h: Add implementation of locking APIs,
	and make object lookup / creation methods return locked
	objects

Thu Dec  4 21:48:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_sym.version.in, src/node_device.c,
	src/node_device.h, src/node_device_conf.h,
	src/node_device_devkit.c, src/node_device_hal.c: Add
	locking for thread safety of driver APIs

Thu Dec  4 21:46:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt.c, src/datatypes.h, src/datatypes.c: Cache
	device parent string to workaround need to keep public
	virNodeDeviceGetParent API returning a const string
	* src/node_device.c: Merge all return paths from node
	device driver APIs

Thu Dec  4 21:43:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.h: Add driver lock
	* src/openvz_driver.c: Add locking for thread safety

Thu Dec  4 21:41:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_driver.c: Merge all return paths from openvz
	driver APIs

Thu Dec  4 21:40:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_conf.h: Add driver lock
	* src/storage_driver.c: Add locking for thread safety

Thu Dec  4 21:39:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_driver.c: Merge all return paths from storage
	driver APIs

Thu Dec  4 21:38:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/network_driver.c: Add locking for thread safety

Thu Dec  4 21:37:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/network_driver.c: Merge all return paths from driver APIs

Thu Dec  4 21:14:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/uml_conf.h: Add driver lock variable
	* src/uml_driver.c: Add locking for thread safety

Thu Dec  4 21:13:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* Makefile.maint: Add umlError function
	* src/uml_driver.c: Merge all return paths from driver APIs

Thu Dec  4 21:11:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_conf.h: Add driver lock variable
	* src/lxc_driver.c: Add locking for thread safety

Thu Dec  4 21:10:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/lxc_driver.c: Merge all return paths from driver APIs

Thu Dec  4 21:09:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	QEMU domain events thread safety
	* src/domain_event.c, src/domain_event.h: Add convenient
	methods for dispatching a list of events, and a single
	event to a list of callbacks. Change signature of push
	method to take a pre-allocated virDomainEventPtr object
	* src/libvirt_sym.version.in: Export new event methods
	to daemon code / drivers
	* src/qemu_conf.h, src/qemu_driver.c: Make event dispatch
	threadsafe by doing asynchronously
	* src/remote_internal.c, src/xen_inotify.c, src/xen_unified.c,
	src/xen_unified.h, src/xs_internal.c: Update for changes in
	domain event APIs

Thu Dec  4 21:05:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_conf.h: Add a driver lock variable
	* src/qemu_driver.c: Add locking for thread safety

Thu Dec  4 21:01:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c: Merge all return paths from driver APIs

Thu Dec  4 21:00:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Stub out node device APIs to avoid activating
	the daemon

Thu Dec  4 20:58:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Add locking for thread safety
	* tests/virsh-all: Set variables to allow direct invocation
	of test

Thu Dec  4 20:57:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Merge all return paths from driver APIs

Thu Dec  4 20:55:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/test.c: Remove macros for accessing internal state

Thu Dec  4 20:47:41 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Thread locking API stubs
	* src/domain_conf.c, src/domain_conf.h, src/libvirt_sym.version.in,
	 src/network_conf.c, src/network_conf.h, src/node_device_conf.c,
	 src/node_device_conf.h, src/storage_conf.c, src/storage_conf.h:
	Define API stubs for locking and unlocking objects

Thu Dec  4 16:51:41 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/libvirt_sym.version.in configure.in NEWS docs/*: release
	  of 0.5.1
	* po/*: updated and regenerated

Thu Dec  4 16:20:20 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_conf.c: fix crash and regression when defining
	  a storage volume without a format (Cole Robinson)

Thu Dec  4 09:45:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* docs/formatstorage.html.in docs/storage.html.in : Fix some
	documentation copy and paste errors.
	* src/virsh.c : Fix a typo

Thu Dec  4 09:42:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Increase timeout for initial monitor poll

Thu Dec  4 15:36:42 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/bridge.c: patch setting MTU on tap interface to be the same
	  as the value for the bridge (Eduardo Habkost)

Thu 4 Dec 2008 12:46:01 CET Guido Günther <agx@sigxcpu.org>

	Differentiate between active and inactive configs by honoring the
	VIR_DOMAIN_XML_INACTIVE flag.
	* src/domain_conf.c (virDomainDefParseXML): add and pass on flags arg
	(virDomainDefParseFile): Likewise
	(virDomainDefParseNode): Likewise
	(virDomainGraphicsDefParseXML): Likewise
	* src/domain_conf.c (virDomainDefParseXML): only restore domain id if
	!VIR_DOMAIN_XML_INACTIVE
	* src/domain_conf. (virDomainGraphicsDefParseXML): only restore vnc
	port if !VIR_DOMAIN_XML_INACTIVE
	* src/lxc_driver.c (lxcStartup): pass 0 flag since we restore life
	config
	* src/lxc_controller.c: pass VIR_DOMAIN_XML_INACTIVE
	* src/test.c: pass VIR_DOMAIN_XML_INACTIVE
	* tests/qemuxml2argvtest.c: pass VIR_DOMAIN_XML_INACTIVE

Thu 4 Dec 2008 11:41:12 CET Guido Günther <agx@sigxcpu.org>

	* src/qemu_driver.c: also look for /usr/bin/kvm

Tue 2 Dec 2008 16:58:16 +0100 Jim Meyering <meyering@redhat.com>

	fix inadequate initialization in storage and test drivers
	* src/storage_driver.c (storageListPools): Set all "names" entries to 0.
	(storageListDefinedPools, storagePoolListVolumes): Likewise.
	* src/test.c (testStoragePoolListVolumes): Likewise.

Tue Dec 2 13:45:00 CET 2008 Chris Lalancette <clalance@redhat.com>
	* configure.in, src/storage_backend.c: Older distributions (i.e.
	RHEL-5) don't have udevadm at all, but they do have udevsettle.  So
	change our tests to prefer udevadm if it exists, but to fall back to
	udevsettle if it does not.

Tue Dec 2 11:34:22 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c: Registering network, storage & nodedev drivers
	before any domain drivers, so domain autostart can rely on
	network/storage autostarted objects. Patch from Gerd von Egidy

Tue Dec 2 11:21:22 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/uml_driver.c: Fix recording of watch number to make
	inotify actually work.

Mon Dec 1 16:01:54 +0100 2008 Jim Meyering <meyering@redhat.com>

	tests: daemon-conf: accommodate numeric-valued config params
	This test would hang when failing to perturb the soon-to-be-
	added numeric (and non-boolean) valued parameters, max_clients,
	max_workers, min_workers.
	* tests/daemon-conf: Require that all commented-out settings
	in libvirtd.conf have the same form.  Before, two parameters
	were not being tested, since a space had snuck between the
	leading "#" and the "param = value" parts.
	Apply each RHS-value-perturbing transformation
	separately, not in series.
	Let VERBOSE=yes turn on debugging.
	Be more verbose by default, since this is a relatively
	long-running test.
	* qemud/libvirtd.conf: Normalize the spacing around each setting
	that is to be perturbed by tests/daemon-conf.

Mon Dec 1 10:30:10 +0100 2008 Jim Meyering <meyering@redhat.com>

	uml: don't free an uninitialized variable
	* src/uml_driver.c (umlDomainShutdown): Initialize "info".
	Patch and bug report from Ron Yorston <rmy@tigress.co.uk>.

Sun Nov 30 18:36:33 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/xen_inotify.c: Close directory handle once done
	processing files

Fri Nov 28 16:16:54 CET 2008 Guido Günther <agx@sigxcpu.org>

	Prefer xenstore driver for listDomains, since xen HV reports ghost ids
	of already shutdown domains in some xen versions
	* src/proxy_internal.c, src/proxy_internal.h: declare
	xenProxyListDomains non static
	* src/xend_internal.c, src/xend_internal.h: declare
	xenDaemonListDomains non static
	* src/xen_unified.c: prefer xenStoreListDomains over
	xenHypervisorListDomains for xenUnifiedListDomains

Fri Nov 28 11:58:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Allow generic remote://hostname/ URI for automatic probe
	of hypervisor driver.
	* docs/uri.html, docs/uri.html.in: Document remote://hostname/ style
	URI syntax
	* src/driver.h: Remove version field
	* src/libvirt.c: Directly impl virGetVersion() instead of calling out
	to individual drivers
	* src/lxc_driver.c, src/openvz_driver.c, src/qemu_driver.c,
	src/remote_internal.h, src/test.c, src/uml_driver.c,
	src/xen_unified.c, src/xen_unified.h: Remove version from
	driver tables.
	* src/remote_internal.c: Allow 'remote' as a URI scheme for
	automatically probing on remote server

Fri Nov 28 11:21:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix XM driver disk parsing with no source CDROMs
	* src/domain_conf.c: Translate "" into NULL for disk source
	path to deal with broken apps
	* src/xm_internal.c: Fix disk source parsing to work with
	no-source disk definitions (eg CDROM without media)
	* tests/xmconfigdata/test-no-source-cdrom.cfg,
	tests/xmconfigdata/test-no-source-cdrom.xml,
	tests/xmconfigtest.c: Add test case for no-src CDROM

Fri Nov 28 11:17:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* libvirt.spec.in: Add missing numa-ctl BuildRequires
	* qemud/Makefile.am: Fix libvirtd_DEPENDANCIES to include all libs
	* src/qemu_conf.c, src/qemu_driver.c, src/uml_conf.c,
	src/uml_driver.c: Define NUMA_VERSION1_COMPATIBILITY and
	fix size of array used to get node mapping

Fri Nov 28 08:40:00 CET 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_backend.c: Wait up to 5 seconds for
	/dev/disk/by-{id,path} to exist in virStorageBackendStablePath

Thu Nov 27 17:15:10 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/xen_unified.c: use preferably xend method to update
	  the maximum memory of a xen guest (Jim Fehlig)

Wed Nov 26 15:46:07 CET 2008 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: cleanups and missing dep for hal

Tue Nov 25 16:29:09 CET 2008 Daniel Veillard <veillard@redhat.com>

	* configure.in docs/* NEWS: release of 0.5.0
	* po/*: updated from the translators and merged
	* docs/apibuild.py src/libvirt.c: avoid some warnings at doc
	  generation time

Tue Nov 25 16:34:10 +0100 2008 Jim Meyering <meyering@redhat.com>

	* configure.in: avoid the following diagnostic when running ../configure
	cp: cannot stat `COPYING.LIB': No such file or directory

	don't silently skip a test
	* tests/Makefile.am (EXTRA_DIST): Distribute domainschemadata/.
	* tests/domainschematest: Fail the test if find invocation fails.

Tue Nov 25 11:27:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* mingw32-libvirt.spec.in: Disable UML driver for mingw build

Tue Nov 25 11:17:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/xm_internal.c: Add missing _(...) calls to diagnostics

Tue Nov 25 10:49:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.am: Remove unneccessary $(builddir) usage which
	breaks on older automake. Remove duplicate CFLAGS from merge
	error
	* src/xen_unified.c: Wire up XM driver for autostart
	* src/xm_internal.h, src/xm_internal.c: Implement domain
	autostart functions for /etc/xen/auto

Tue Nov 25 10:43:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	Xen domain lifecycle events (Ben Guthro & Daniel Berrange)
	* configure.in: Probe for inotify availability
	* examples/domain-events/events-c/event-test.c: Default to NULL
	connection URI to allow probing
	* include/libvirt/virterror.h, src/virterror.c: Add error code
	for xen inotify driver
	* po/POTFILES.in: Add xen_inotify.c
	* python/libvir.c: Add bogus const cast for python2.4 brokeness
	* src/Makefile.am: Add xen_inotify.c
	* src/util.c: Fix file descriptor leak in virRun
	* src/xen_inotify.c, src/xen_inotify.h: Monitor /etc/xen and
	/var/lib/xen/domains for new/old configs
	* src/xen_unified.c, src/xen_unified.h: Wire in inotify driver
	for events
	* src/xm_internal.c, src/xm_internal.h: Refactor to allow inotify
	monitoring of config files
	* src/xs_internal.c, src/xs_internal.h: Use xenstore watch to
	check for domain start/destroy events

Tue Nov 25 10:36:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/node_device_conf.c, src/node_device_conf.h,
	src/node_device_devkit.c, src/node_device_hal.c: Change
	'interface' to 'ifname' in struct to avoid clash with
	symbols in MinGW/Win32 headers

Tue Nov 25 11:29:19 +0100 2008 Jim Meyering <meyering@redhat.com>

	* src/virterror.c (virReportErrorHelper): Sync doc to code.

	libvirt.c: document the virState* functions
	* src/libvirt.c (virStateActive, virStateCleanup, virStateReload):
	(virStateActive): Add per-function comments.

Mon Nov 24 19:32:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c, src/openvz_conf.h, src/openvz_driver.c:
	Default vCPUs to equal host pCPU count if not set in config
	(patch from Evgeniy Sokolov)

Mon Nov 24 19:27:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* examples/domain-events/events-python/event-test.py,
	python/libvir.c, python/libvir.py, python/libvirt_wrap.h,
	python/types.c, python/virConnect.py: Fixes to python
	bindings for changes in public event API (David Lively)

Mon Nov 24 19:22:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* tests/Makefile.am, tests/sexpr2xmltest.c,
	tests/testutilsxen.c, tests/xencapstest.c,
	tests/xmconfigtest.c, tests/xml2sexprtest.c: Disable all
	Xen tests when Xen driver build is disabled. Remove unneccessary
	WITH_XEN conditionals from source, since the entire build
	is disabled in Makefile.am

Mon Nov 24 16:49:40 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* autobuild.sh: Disable UML driver on mingw32 biuld

Mon Nov 24 16:01:40 CET 2008 Guido Günther <agx@sigxcpu.org>

	* src/Makefile.am: look for libvirt_sym.version in builddir

Mon Nov 24 08:10:49 +0100 2008 Jim Meyering <meyering@redhat.com>

	tests: new test: virsh-synopsis
	* tests/virsh-synopsis: new file
	* tests/Makefile.am (test_scripts): Add virsh-synopsis.
	* src/virsh.c: Correct help SYNOPSIS for each of seven commands.

	tests: virsh-all: new script
	* tests/virsh-all: New script.
	* tests/Makefile.am (test_scripts): Add virsh-all.

	Move the expected output data from virshdata/*.txt into virshtest.c.
	* tests/virshtest.c: Embed literal, expected output here, rather than
	using virshdata/*.txt file names.
	Factor out some common constructs.
	(testCompareOutputLit): New function.
	(testCompareOutput): #ifdef-out, not that it's unused.
	* tests/Makefile.am (SUBDIRS): Remove virshdata/ and all files in it.
	* docs/testnode.xml: Fix typo in a comment.
	* configure.in (AC_OUTPUT): Remove tests/virshdata/Makefile.

Fri Nov 21 23:51:19 +0100 2008 Jim Meyering <meyering@redhat.com>

	* gnulib/tests/test-EOVERFLOW: Remove.
	* gnulib/tests/.cvsignore: Add test-EOVERFLOW, then...
	Run "make sync-vcs-ignore-files" to Update .gitignore files.

Fri Nov 21 12:54:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* docs/*.html: Re-generate website docs for sitemap change
	with UML driver. Fix syntax error in HTML for news.html.in

Fri Nov 21 12:51:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* libvirt-api.xml, libvirt-refs.xml, html/libvirt-libvirt.html,
	html/libvirt-virterror.html: Regenerate for new APIs

Fri Nov 21 12:46:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Misc tweaks to node device impl
	* src/libvirt.c: Log registration of new node device driver impls
	* src/node_device_conf.h, src/node_device.c: Merge block capability
	into storage. Print vendor/product IDs in hex
	* src/node_device_devkit.c: Change block to storage
	* src/node_device_hal.c: Merge block cap into storage. Skip
	devices without any capabilities listed
	* src/virsh.c: Sort device list alphabetically

Fri Nov 21 12:40:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Python binding for node device APIs (David Lively)
	* python/generator.py, python/libvir.c, python/libvirt-python-api.xml,
	python/libvirt_wrap.h, python/types.c: Bindings for node device APis

Fri Nov 21 12:38:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Node device support in virsh (David Lively)
	* src/virsh.c: Add nodedev-list and nodedev-dumpxml commands

Fri Nov 21 12:30:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Remote protocol support for node devices (David Lively)
	* src/remote_internal.c: driver impl for node device APIs
	* qemud/remote_protocol.x: Define wire protocol for node device
	APIs
	* qemud/remote_dispatch*, qemud/remote_protocol.{c,h}: Update
	for new APIs
	* qemud/remote.c: server dispatch functions for node device
	APIs

Fri Nov 21 12:23:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Primary internal driver for node devices with HAL (default)
	and DeviceKit (optional, unfinished) (David Lively)
	* configure.in: Probe for HAL & DeviceKit libraries
	* po/POTFILES.in: Add new source files
	* qemud/Makefile.am: Link to node device driver
	* qemud/qemud.c: Load node device driver implementation
	* src/Makefile.am: Buid node device drivers
	* src/libvirt_sym.version.in: Export internal symbols needed
	by node device driver
	* src/node_device.c, src/node_device.h: Common driver
	routines
	* src/node_device_hal.c: HAL specific device routines
	* src/node_device_devkit.c: DeviceKit specific routines
	* src/node_device_conf.h: Add dbusWatch handle field

Fri Nov 21 12:20:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.am, src/node_device_conf.c, src/node_device_conf.h:
	Internal APIs for handling node device XML configuration
	(David Lively)

Fri Nov 21 12:19:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Public API for node device enumeration (David Lively)
	* include/libvirt/libvirt.h.in, include/libvirt/virterror.h:
	New public APIs for node device enumeration
	* src/datatypes.c, src/datatypes.h: Internal impl of public
	data types for node devices
	* src/driver.h, src/libvirt.c: Stubs for node device APIs
	* src/libvirt_sym.version.in: Export new node device API
	symbols
	* src/virterror.c: Error codes for node device drivers

Fri Nov 21 12:03:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Optional (disabled by default) dlopen support
	* configure.in: Probe for dlopen
	* qemud/Makefile.am: Don't link to drivers when dlopen is used
	* qemud/qemud.c: Load external driver modules at startup
	* src/Makefile.am: Don't link to drivers when dlopen is used
	* src/driver.c, src/driver.h: Add API for dlopen'ing modules
	* src/libvirt.c: Load external driver modules at startup
	* src/libvirt_sym.version.in: Export more internal symbols
	needed for external driver modules
	* src/qemud_driver.c, src/qemu_driver.h, src/xen_unified.c,
	src/xen_unified.h: Sanitize driver registration methodname
	to match module name
	* tests/Makefile.am: Set LIBVIRT_DRIVER_DIR when running
	tests with dlopen enabled. Link to driver modules in Xen
	test cases
	* tests/testutils.c: Set LIBVIRT_DRIVER_DIR when running
	external programs
	* tests/xmconfigtest.c: Don't open test driver during xen
	tests.

Fri Nov 21 11:43:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/libvirt_sym.version.in: Add export of domain event
	API virDomainEventCallbackListRemoveConn missed from earlier
	commit

Fri Nov 21 11:37:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c: Fix two memory leaks in virDomainLoadConfig
	* src/lxc_driver.c: Fix leak of capabilities object in driver
	shutdown code

Fri Nov 21 10:20:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/remote_internal.c: Return VIR_NO_SUPPORT if requested
	to register event callbacks when no eventloop is present.
	Deal with failure to register handles/timers correctly.
	(David Lively)

Fri Nov 21 10:14:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix crash due to failure to unregister event callbacks on
	connection close (David Lively)
	* src/domain_event.c, src/domain_event.h: Helper for unregistering
	all callbacks
	* src/qemu_driver.c: Unregister all callbacks on connection close

Fri Nov 21 10:10:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/Makefile.am: Include Xen compile flags for libvirt_driver.la
	build for stats_linux.c code.

Fri Nov 21 10:07:14 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* libvirt.spec.in: Add conditional to allow UML driver to be
	disabled (Ben Guthro)

Fri Nov 21 11:05:14 CET 2008 Daniel Veillard <veillard@redhat.com>

	* po/POTFILES.in src/uml_conf.h src/uml_driver.c: fixes syntax
	  check errors, reported by Ben Guthro

Thu Nov 20 14:31:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* src/remote_internal.c: Avoid crash on NULL URI scheme

Wed Nov 19 16:51:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Add User Mode Linux driver
	* src/uml_driver.c, src/uml_driver.h, src/uml_conf.c,
	src/uml_conf.h: Core UML driver code
	* src/domain_conf.c, src/domain_conf.h: Add UML disk
	bus type. Fix paravirt console handling for non-HVM domains
	* src/driver.h: Add UML driver number
	* src/virterror.h: Add error code for UML driver
	* src/qemu_conf.c: Add disk bus enum entry for UML
	* src/Makefile.am: Build UML driver
	* qemud/qemud.c: Initialize UML driver
	* qemud/Makefile.am: Link to UML driver library
	* docs/drvuml.html.in: Basic docs for the UML driver
	* configure.in: Flag for enabling UML driver
	* include/libvirt/virterror.h: Add constant for UML driver

Wed Nov 19 16:22:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Add virFreeCallback to event loop APIs.
	* include/libvirt/libvirt.h.in: Add a virFreeCallback arg
	to the virEventAddHandle and virEventAddTimeout methods.
	* qemud/event.c: Invoke the virFreeCallback when releasing
	a handle/timer event
	* qemud/event.h, qemud/qemud.c, qemud/mdns.c,
	src/event.h, src/event.c, src/lxc_driver.c,
	src/qemu_driver.c, src/remote_internal.c: Update to pass
	around the virFreeCallback where needed

Wed Nov 19 16:15:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* include/libvirt/libvirt.h.in: Change semantics of AddHandle
	to allow for same FD to be registered more than once with
	varying flags.
	* qemud/event.c, qemud/event.h, qemud/mdns.c, qemud/qemud.c,
	qemud/qemud.h, src/domain_conf.h, src/event.c, src/event.h,
	src/lxc_driver.c, src/qemu_driver.c, src/remote_internal.c:
	Update to track file handle events via the watch number
	as per new public API contract

Wed Nov 19 15:25:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Add a callback for freeing the user data for callbacks
	(patch from David Lively)
	* include/libvirt/libvirt.h.in: Add a virFreeCallback type
	and add it to virDomainEventRegister
	* qemud/remote.c, src/domain_event.h, src/domain_event.c,
	src/driver.h, src/qemu_driver.c, src/remote_internal.c,
	python/libvirt.c: Update to call the virFreeCallback where
	needed
	* examples/domain-events/events-c/event-test.c: use the
	virFreeCallback for releasing data

Mon Nov 18 12:24:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* src/Makefile.am: Fix build on MinGW where linker flags
	must be listed in LDFLAGS variable
	* tests/Makefile.am: Fix build when QEMU is disabled, by
	skipping QEMU tests

Mon Nov 17 16:45:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Generate domain events for QEMU driver config files
	* src/qemu_driver.c: Generate events when config is defined
	and undefined
	* src/domain_conf.c, src/domain_conf.h: Add a callback for
	notifications of each loaded config file
	* src/lxc_driver.c: Pass NULL for config file notification
	callback parameter

Mon Nov 17 16:42:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Include an event 'detail' field providing the cause of
	each emitted domain event.
	* docs/ Re-generate API refernece
	* examples/domain-events/events-c/event-test.c: Print out
	event detail info
	* include/libvirt/libvirt.h.in: Rename ADDED/REMOVED events
	to DEFINED/UNDEFINED. Remove SAVED/RESTORED events replaced
	by event detail info. Add enums providing details for each
	domain event type.
	* python/libvir.c: Pass through event detail to python layer
	* qemud/remote_protocol.x: Add event detail field for domain
	events.
	* qemud/remote_protocol.c, qemud/remote_protocol.h: Regenerate
	* qemud/remote.c: Pass event detail value onto the wire
	* src/domain_event.h, src/domain_event.c: Store event detail
	* src/remote_internal.c: De-serialize event detail off the
	wire
	* src/qemu_driver.c: Generate event detail information, and
	fix migration API to honour VIR_MIGRATE_LIVE flag, pausing
	the VM if it isn't set

Mon Nov 17 11:57:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Push stateful driver code into daemon binary
	* src/Makefile.am: Don't build QEMU, LXC, Network & Storage
	drivers into libvirt.so
	* src/libvirt.c: Don't call into QEMU, LXC, network & storage
	driver register methods
	* src/libvirt_sym.version.in: Export a bunch of internal
	symbols to libvirtd for use by drivers
	* tests/Makefile.am: Link to driver modules which are not
	in libvirt.so
	* qemud/Makefile.am: Directly link to QEMU, LXC, network
	and storage drivers
	* qemud/qemud.c: Initialize QEMU, LXC, network & storage
	drivers at startup

Mon Nov 17 11:40:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Push URI probing down into individual drivers' open methods
	* qemud/remote.c: Implement virConnectGetURI dispatcher
	* qemud/remote_protocol.x: Add API definition for virConnectGetURI
	* qemud/remote_dispatch_localvars.h, qemud/remote_dispatch_proc_switch.h,
	qemud/remote_dispatch_prototypes.h, qemud/remote_protocol.c,
	qemud/remote_protocol.h: Re-generate from protocol definition
	* src/datatypes.c, src/datatypes.h: Store connection name as a
	xmlURIPtr object instead of char *
	* src/driver.h: Remove explicit URI parameter to open function
	* src/libvirt.c: Delegrate URI probing into drivers
	* src/lxc_driver.c, src/network_driver.c, src/openvz_driver.c,
	src/proxy_internal.c, src/qemu_driver.c, src/remote_internal.c,
	src/storage_driver.c, src/test.c, src/xen_internal.c,
	src/xen_internal.h, src/xen_unified.c, src/xend_internal.c,
	src/xend_internal.h, src/xm_internal.c, src/xm_internal.h,
	src/xs_internal.c, src/xs_internal.h: Refactor open driver
	methods to deal with automatic URI probing as required
	* proxy/libvirt_proxy.c: Remove extra args to xs/xen driver
	open calls

Mon Nov 17 11:19:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Refactor storage backend to remove dependancy from
	storage config parser.
	* src/Makefile.am: Build storage_backend as part of storage
	driver instead of general config
	* src/storage_backend.c, src/storage_backend.h,
	src/storage_backend_disk.c, src/storage_backend_fs.c,
	src/storage_backend_iscsi.c, src/storage_backend_logical.c,
	src/storage_conf.c, src/storage_conf.h, src/storage_driver.c:
	Move per-pool type parser options & format enums into the
	main storage_conf.c file, so parser is independant of the
	backend impl code.

Mon Nov 17 10:50:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	Switch to fully versioned linker script for exported ABI
	* configure.in: Generate src/libvirt_sym.version
	* qemud/Makefile.am: Remove use of util-lib.c
	* qemud/remote.c: Remove underscore in migrate API calls
	* src/.cvsignore: Ignore generated libvirt_sym.version
	* src/Makefile.am: Remove util-lib.c and util-lib.h
	* src/buf.c, src/buf.h, src/conf.c, src/conf.h, src/console.c,
	src/datatypes.c, src/datatypes.h, src/driver.h, src/libvirt.c,
	src/libvirt_internal.h, src/memory.c, src/memory.h, src/virsh.c:
	Remove use of __ prefix on all exported methods
	* src/util.c, src/util.h: Re-add saferead/write APIs
	* src/util-lib.c, src/util-lib.h: Remove obsolete files
	* src/libvirt_sym.version: Remove obsolete file
	* src/libvirt_sym.version.in: Master template for symbol
	versioning data

Mon Nov 17 10:43:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* src/Makefile.am: Build drivers as libtool convenience libs

Mon Nov 17 10:23:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* docs/libvirt-api.xml: Re-generate
	* include/libvirt/libvirt.h.in: Set explicit values for
	domain events enums to avoid API generator bug
	* python/libvir.c: Add missing python thread safety calls
	to domain events APIs

Mon Nov 17 09:55:00 GMT 2008 Daniel Berrange <berrange@redhat.com>

	* src/openvz_conf.c: Fix updating of config file params
	(Evgeniy Sokolov)

Fri Nov 14 09:40:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/storage_backend_logical.c: Use different separator for lvs
	command to unbreak parsing for encrypted devices.

Fri Nov 14 13:22:36 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid format string warnings
	* src/openvz_driver.c (ADD_ARG_LIT): Add "%s" arg before _(...).
	* src/qemu_driver.c (PCI_ATTACH_OK_MSG): Likewise.
	* src/util.c (virExec, virRun): Likewise.

Fri Nov 14 09:38:22 CET 2008 Daniel Veillard <veillard@redhat.com>

	* qemud/remote.c qemud/remote_dispatch_localvars.h
	  qemud/remote_dispatch_proc_switch.h qemud/remote_dispatch_prototypes.h
	  qemud/remote_protocol.c qemud/remote_protocol.h
	  qemud/remote_protocol.x src/driver.h src/libvirt.c
	  src/libvirt_internal.h src/libvirt_sym.version src/lxc_driver.c
	  src/openvz_driver.c src/qemu_conf.h src/qemu_driver.c
	  src/remote_internal.c src/test.c src/virsh.c: large patch to
	  add migration support for KVM/QEmu, based on the work of Rich Jones
	  and Chris Lalancette. This introduce a new version of the prepare
	  and finish steps of the migration, so changes the driver API and
	  a lot of code.

Wed Nov 12 16:33:42 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* docs/drvopenvz.html, docs/drvopenvz.html.in: Introductory
	docs for openvz driver
	* src/openvz_conf.c, src/openvz_conf.h, src/openvz_driver.c:
	Support bridged network configuration for containers

Wed Nov 12 16:13:42 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_backend.c, src/storage_backend.h, src/storage_driver.c:
	Revert previous patch which breaks "test" driver's storage APIs.

Tue Nov 11 15:51:42 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_backend.c, src/storage_backend.h, src/storage_driver.c:
	Decouple backend impls from generic backend code, by making driver
	register backends at startup

Mon Nov 10 12:05:42 GMT 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c: Read filesytem template name from config
	files. Increase buffer size when parsing vzctl version number

Thu Nov  6 20:45:42 CET 2008 Jim Meyering <meyering@redhat.com>

	tweak lstat.c to avoid mingw link failure
	* gnulib/lib/lstat.c: Include <sys/stat.h> *before* the use of stat in
	orig_stat.  Otherwise, on mingw (which lacks lstat), any program using
	the lstat module would not get the redefinition-to-stat provided by
	gnulib's sys/stat.h.  Reported by Daniel P. Berrange.

	mark a few diagnostics for translation
	* src/lxc_conf.c (lxcLoadDriverConfig): Mark a diagnostic.
	* src/lxc_driver.c (lxcDomainStart): Likewise.
	* po/POTFILES.in: Add src/lxc_conf.c.
	* Makefile.maint (msg_gen_function): Add virReportErrorHelper
	and lxcError.

	always compile iptables.c
	Avoid a build error when configuring --without-xen --without-qemu.
	* src/iptables.c [WITH_QEMU]: Don't #ifdef-out.
	* src/iptables.h [WITH_QEMU]: Don't #ifdef-out.
	* src/util.c (virRun) [__MINGW32__]: Define a stub that always fails.

Thu Nov  6 17:33:34 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/logging.c src/logging.h proxy/Makefile.am proxy/libvirt_proxy.c
	  src/Makefile.am src/cgroup.c src/datatypes.c src/domain_event.c
	  src/internal.h src/libvirt.c src/lxc_container.c src/lxc_controller.c
	  src/lxc_driver.c src/proxy_internal.c src/qemu_driver.c
	  src/remote_internal.c src/storage_backend_disk.c src/util.c
	  src/veth.c src/xen_internal.c src/xen_unified.c src/xend_internal.c:
	  add new logging module, and move existing definitions there

Wed Nov  5 13:56:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/util.c: Log stdout and stderr in virRun

Wed Nov  5 13:39:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/util.c: Log the argv passed to virExec and virRun

Wed Nov  5 13:19:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/iptables.c, src/util.c, src/util.h: Move local argvToString to
	virArgvToString.

Wed Nov  5 15:22:12 CET 2008 Jim Meyering <meyering@redhat.com>

	plug two leaks and fix a diagnostic
	* src/qemu_conf.c (qemudLoadDriverConfig): Don't leak ->vncListen.
	Fix an erroneous copy-and-pasted diagnostic.
	* src/qemu_driver.c (qemudShutdown): Don't leak another ->vncListen.

Wed Nov  5 12:41:00 CET 2008 Chris Lalancette <clalance@redhat.com>

	* configure.in, src/storage_backend_logical.c: Call vgscan before
	attempting to scan logical volumes.  This makes sure we've "touched"
	any logical volumes, so they appear in the subsequent "pvs" call.

Tue Nov  4 23:33:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	* configure.in: Set WITH_XXXX conditionals for drivers in
	config.h instead of compiler args, and auto-disable stateful
	drivers if daemon is disabled
	* src/libvirt.c: Remove now redundant WITH_LIBVIRTD condition
	* tests/Makefile.am, src/Makefile.am, qemud/Makefile.am: Remove
	LIBVIRT_FEATURES args, now set via config.h instead. Add
	explicit XEN_LIBS/CFLAGS instead of relying on setting via
	global flags.

Tue Nov  4 23:33:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	Move domain events helpers into domain_events.c
	* qemud/event.c: Remove __ prefix on poll event
	convertors
	* qemud/event.h: Add virEventHandleTypeToPollEvent and
	virPollEventToEventHandleType declarations
	* src/Makefile.am, src/domain_event.c, src/domain_event.h:
	Add dedicated file for internal domain events helpers
	* src/internal.h, src/libvirt.c: Remove domain events
	helpers
	* src/qemu_conf.h, src/remote_internal.c: Add includs
	of domain_event.h

Tue Nov  4 23:08:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	Move internal API declarations from generic internal.h file
	* src/Makefile.am, src/datatypes.c, src/datatypes.h: Add
	internal struct definitions for public objects, and helper
	methods.
	* src/hash.c: Remove helper methods for public objects
	* src/libvirt_internal.h: Add definition of semi-secret
	public APIs for migration & stateful drivers.
	* src/internal.h: Remove internal API declarations for
	migration & stateful drivers.
	* po/POTFILES.in, proxy/libvirt_proxy.c, qemud/qemud.c,
	qemud/remote.c, src/domain_conf.c, src/domain_conf.h,
	src/driver.h, src/libvirt.c, src/lxc_driver.c,
	src/network_conf.c, src/network_conf.h, src/network_driver.c,
	src/openvz_driver.c, src/proxy_internal.c,
	src/proxy_internal.h, src/qemu_driver.c, src/qparams.c,
	src/remote_internal.c, src/stats_linux.c, src/storage_conf.c,
	src/storage_conf.h, src/storage_driver.c, src/test.c,
	src/uuid.c, src/veth.c, src/virterror.c, src/xen_internal.c,
	src/xen_internal.h, src/xen_unified.c, src/xen_unified.h,
	src/xend_internal.c, src/xend_internal.h, src/xm_internal.c,
	src/xs_internal.c, tests/xmconfigtest.c: Add includes for
	libvirt_internal.h and datatypes.h where required

Tue Nov  4 22:52:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/qemud.c, src/driver.h, src/internal.h, src/libvirt.c
	src/network_driver.c: Remove unused virStateSigDispatcher()
	internal API

Tue Nov  4 22:20:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	Move internal error API declarations into their own file
	* src/Makefile.am, src/virterror_internal.h: Add file for
	internal error reporting APIs.
	* src/internal.c: Remove virRaiseError/virReportError API
	declarations
	* src/conf.c, src/domain_conf.c, src/hash.c,
	src/libvirt.c, src/lxc_conf.c, src/lxc_conf.h,
	src/lxc_container.c, src/lxc_controller.c, src/lxc_driver.c,
	src/network_conf.c, src/network_driver.c, src/nodeinfo.c,
	src/openvz_conf.c, src/openvz_conf.h, src/openvz_driver.c,
	src/proxy_internal.c, src/qemu_conf.c, src/qemu_conf.h,
	src/qemu_driver.c, src/qparams.c, src/remote_internal.c,
	src/sexpr.c, src/stats_linux.c, src/storage_backend.c,
	src/storage_backend_disk.c, src/storage_backend_fs.c,
	src/storage_backend_iscsi.c, src/storage_backend_logical.c,
	src/storage_conf.c, src/storage_conf.h, src/storage_driver.c,
	src/test.c, src/util.c, src/virterror.c, src/xen_internal.c,
	src/xen_unified.c, src/xend_internal.c, src/xm_internal.c,
	src/xml.c, src/xmlrpc.c, src/xs_internal.c: Add includes
	of new virterror_internal.h file where required, and remove
	leading __ from virRaiseError api calls

Tue Nov  4 22:14:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	Support passing UUID and ID to qemu/xenner
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Detect
	availability of -uuid and -domid args in QEMU, and use them if
	available
	* tests/qemuxml2argvtest.c,
	tests/qemuxml2argvdata/qemuxml2argv-misc-uuid.args,
	tests/qemuxml2argvdata/qemuxml2argv-misc-uuid.xml: Add test
	case for -uuid and -domid args

Tue Nov  4 21:50:31 UTC 2008 Daniel P. Berrange <berrange@redhat.com>

	Remove use of virStringList
	* src/internal.h, src/libvirt.c: Remove virStringList code
	* src/storage_backend_fs.c: Replace use of virStringList
	with virStoragePoolSourceList
	* src/storage_backend_logical.c: Set format to LVM2 and
	source type to LOGICAL
	* src/storage_conf.c: Refactor pool source XML formating
	into virStoragePoolSourceFormat and make both users call
	the common code
	* src/storage_conf.h:  Include pool source type in
	virStoragePoolSourceList struct

Tue Nov  4 14:58:31 CET 2008 Jim Meyering <meyering@redhat.com>

	don't print an uninitialized integer in a diagnostic
	* src/virterror.c (__virErrorMsg) [VIR_ERR_XEN_CALL]:
	Use a format with only one % directive.

Tue Nov  4 14:58:30 CET 2008 Jim Meyering <meyering@redhat.com>

	add a test for today's fix
	* tests/cpuset: New script.  Test for today's fix.
	* tests/Makefile.am (test_scripts): Add cpuset.

Mon Nov  3 17:12:21 CET 2008 Daniel Veillard <veillard@redhat.com>

	* AUTHORS: added Guido Günther as new commiter, Dan Smith was missing
	  too

Mon Nov  3 16:54:39 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_conf.c: switch off cache if disk is shared and not read-only
	  patch by Charles Duffy

Mon Nov  3 16:52:12 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: oops trailing blanks

Mon Nov 03 12:37:00 CET 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_backend.c src/storage_backend.h
	src/storage_backend_disk.c src/storage_backend_iscsi.c
	src/storage_driver.c: Give iSCSI and disk storage backend drivers the
	ability to resolve any kind of volume path to the pool target volume
	path.  For instance, if the pool was defined with a
	<target><path>/dev/disk/by-id</path></target> section, and one of the
	volumes is /dev/disk/by-id/scsi-S_beaf11, then you would be able to
	call virStorageVolLookupByPath("/dev/sdc"), and get the correct volume
	back.

Fri Oct 31 14:55:46 CET 2008 Daniel Veillard <veillard@redhat.com>

	* python/virConnect.py: needed for events from the python bindings
	  by Ben Guthro

Fri Oct 31 14:04:52 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/xm_internal.c: add minimum domain memory size check for Xen
	  patch by Shigeki Sakamoto
	* AUTHORS: add Shigeki Sakamoto

Fri Oct 31 11:11:30 CET 2008 Daniel Veillard <veillard@redhat.com>

	* python/Makefile.am python/generator.py python/libvir.c
	  python/libvir.py python/libvirt_wrap.h python/types.c:
	  adds support for events from the python bindings, also
	  improves the generator allowing to embbed per function
	  definition files, patch by Ben Guthro
	* examples/domain-events/events-python/event-test.py: also
	  adds a programming example

Thu Oct 30 13:39:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/test.c: Add a test storage driver.

Wed Oct 29 16:33:16 CET 2008 Daniel Veillard <veillard@redhat.com>

	* docs/relatedlinks.html docs/relatedlinks.html.in: add link
	  for AMQP/QPid bindings

Wed Oct 29 15:25:28 CET 2008 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.h src/qemu_driver.c: patch adding hor removal of
	  scsi/virtio disks for KVM, patch by Guido Günther

Tue Oct 28 19:17:20 +0100 2008 Jim Meyering <meyering@redhat.com>

	remove src/socketcompat.h;  no longer needed
	* src/socketcompat.h: Remove file.
	* src/remote_internal.c: Don't include socketcompat.h.
	* qemud/qemud.h: Likewise.
	* qemud/remote_protocol.x: Likewise, but do include <arpa/inet.h>
	for htonl.
	* src/remote_internal.c: Likewise, but do include <errno.h>.
	* qemud/remote_protocol.c: Regenererate.
	* qemud/remote_protocol.h: Regenererate.
	* src/Makefile.am (REMOTE_DRIVER_SOURCES): Remove socketcompat.h.

Tue Oct 28 13:46:50 +0100 2008 Jim Meyering <meyering@redhat.com>

	make generated qemud/*.[ch] files read-only
	* qemud/Makefile.am (.x.c): Rewrite not to write directly to $@,
	and to make generated files read-only.
	(.x.h): Likewise.

Tue Oct 28 13:29:14 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid compiler warning when all storage backends are disabled
	* src/storage_backend.c (backends): Add a NULL terminator.
	(virStorageBackendForType): Use NULL terminator rather than
	warning-provoking (possibly 0) array size.

Tue Oct 28 13:29:14 +0100 2008 Jim Meyering <meyering@redhat.com>

	avoid many mingw-specific warnings
	* tests/virshtest.c (mymain): Use only one definition of this function.
	[WIN32]: Call exit(77) to skip the test.
	* tests/nodeinfotest.c: Likewise.

Tue Oct 28 13:29:14 +0100 2008 Jim Meyering <meyering@redhat.com>

	cvsignore mingw build artifacts: *.exe

Tue Oct 28 13:29:14 +0100 2008 Jim Meyering <meyering@redhat.com>

	include netinet etc #ifndef HAVE_WINSOCK2_H

Tue Oct 28 13:29:13 +0100 2008 Jim Meyering <meyering@redhat.com>

	* src/remote_internal.c (remoteFindDaemonPath) [!WIN32]: Don't compile.

Tue Oct 28 13:29:05 +0100 2008 Jim Meyering <meyering@redhat.com>

	use errno, not socket_errno()
	* remote_internal.c: s/socket_errno()/errno/, now that gnulib's
	socket module ensures errno is useful in those cases.

Tue Oct 28 12:12:41 +0100 2008 Jim Meyering <meyering@redhat.com>

	socketcompat.h: simplify, to match latest gnulib
	Now, sys/socket.h is always available, and errno works.

Tue Oct 28 12:07:46 +0100 2008 Jim Meyering <meyering@redhat.com>

	updates from gnulib

Tue Oct 28 10:22:45 +0100 2008 Jim Meyering <meyering@redhat.com>

	use more gnulib modules
	* bootstrap: use more gnulib modules: close, connect, perror, recv,
	send, socket setsockopt, gethostname.

Tue Oct 28 10:22:44 +0100 2008 Jim Meyering <meyering@redhat.com>

	adapt to API change in gnulib
	* qemud/qemud.c: Include <netdb.h>, not "getaddrinfo.h"
	* src/remote_internal.c: Likewise.

Tue Oct 28 10:22:22 +0100 2008 Jim Meyering <meyering@redhat.com>

	* src/network_conf.c: Include <string.h> for declaration of memcmp.

Mon Oct 27 17:14:56 +0100 2008 Jim Meyering <meyering@redhat.com>

	use ARRAY_CARDINALITY more
	* tests/nodeinfotest.c: Include "util.h".
	* src/xen_internal.c: Likewise.
	* src/qemu_conf.c (qemudCapsInit): Use ARRAY_CARDINALITY.
	* src/storage_backend.c (virStorageBackendForType): Likewise.
	* src/storage_backend_fs.c (virStorageBackendProbeFile): Likewise.
	* src/xen_internal.c (xenHypervisorMakeCapabilitiesInternal): Likewise.
	* src/xend_internal.c (xenDaemonParseSxpr): Likewise.
	* tests/nodeinfotest.c (mymain): Likewise.
	* tests/qparamtest.c (DO_TEST): Likewise.

Mon Oct 27 17:14:56 +0100 2008 Jim Meyering <meyering@redhat.com>

	exempt gnulib from write-avoidance syntax check

Mon Oct 27 11:17:32 +0100 2008 Jim Meyering <meyering@redhat.com>

	exempt gnulib from ctype-macros prohibition

Fri Oct 24 14:09:23 BST Daniel P. Berrange <berrange@redhat.com>

	* configure.in: Add check for sys/poll.h
	* examples/domain-events/events-c/event-test.c: Stub out
	no-op main() on platforms without sys/poll.h
	* src/libvirt.c, src/remote_internal.c: Remove redundant
	include of sys/poll.h breaking mingw

Fri Oct 24 13:04:23 BST Daniel P. Berrange <berrange@redhat.com>

	* src/storage_conf.c: Remove <tab> character
	* include/libvirt/libvirt.h.in: Remove trailing whitespace

Fri Oct 24 12:32:23 BST Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c, src/openvz_conf.h: Extract version
	info from vzctl tool
	* src/openvz_driver.c: Implement the getVersion API call.

Fri Oct 24 12:30:23 BST Daniel P. Berrange <berrange@redhat.com>

	Fix mingw build
	* src/Makefile.am: Add windows icon files to EXTRA_DIST

Fri Oct 24 12:17:23 BST Daniel P. Berrange <berrange@redhat.com>

	* src/capabilities.c, src/capabilities.h: Record MAC address
	prefix info for hypervisor
	* src/domain_conf.c, src/domain_conf.h: Use capabilities to
	find MAC address prefix when generating MAC addrs
	* src/lxc_conf.c, src/lxc_driver.c, src/openvz_conf.c,
	src/qemu_conf.c, src/qemu_driver.c, src/xen_internal.c,
	src/xend_internal.c, src/xm_internal.c: Provide vendor
	MAC address prefix to capabilities
	* src/util.c, src/util.h: Generic method for generating
	mac addresses.

Fri Oct 24 10:54:23 CEST Jim Meyering <meyering@redhat.com>

	fix mingw compilation warning
	* src/libvirt.c (winsock_init) [HAVE_WINSOCK2_H]: Always return a value.

Thu Oct 23 15:20:00 CEST 2008 Chris Lalancete <clalance@redhat.com>
	* src/storage_conf.c: brown paper bag bug.  I didn't preserve the
	<sources> tags properly, and I didn't put the <source> tag into the
	proper place, so I totally changed the output of the discovery XML.
	Fix this up to do the right thing.

Thu Oct 23 15:11:03 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* include/libvirt/libvirt.h include/libvirt/libvirt.h.in
	  src/libvirt.c src/libvirt_sym.version: new libvirt event entry
	  points, big patch provided by Ben Guthro
	* Makefile.am configure.in src/driver.h src/event.c src/event.h
	  src/internal.h src/libvirt.c src/libvirt_sym.version src/lxc_driver.c
	  src/openvz_driver.c src/qemu_conf.h src/qemu_driver.c
	  src/remote_internal.c src/storage_backend_fs.c src/test.c
	  qemud/event.c qemud/event.h qemud/mdns.c qemud/qemud.c
	  qemud/qemud.h qemud/remote.c qemud/remote_dispatch_localvars.h
	  qemud/remote_dispatch_proc_switch.h qemud/remote_dispatch_prototypes.h
	  qemud/remote_protocol.c qemud/remote_protocol.h
	  qemud/remote_protocol.x proxy/Makefile.am python/generator.py:
	  Not much is left untouched by the patch adding the events support
	* docs/libvirt-api.xml docs/libvirt-refs.xml
	  docs/html/libvirt-libvirt.html: regenerated the docs
	* examples/domain-events/events-c/Makefile.am
	  examples/domain-events/events-c/event-test.c: a test example
	* AUTHORS: added Ben Guthro

Thu Oct 23 13:41:49 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* docs/apps.html docs/apps.html.in: update monitoring apps section

Thu Oct 23 13:38:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_backend_logical.c src/storage_conf.c
	src/storage_conf.h: Add <device> tags to the XML returned by
	virConnectFindPoolSources for storage_backend_logical.

Thu Oct 23 13:31:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_backend.h src/storage_backend_disk.c
	src/storage_backend_fs.c src/storage_backend_logical.c
	src/storage_conf.c: Fix up a regression caused by the transition of
	the storage backends to VIR_ENUM_IMPL.  Before, we would accept
	no format type, which would then use whatever the default for the pool
	was.  But the conversion caused this to instead cause a SEGFAULT,
	which isn't good.  Introduce a .defaultFormat parameter so that we
	restore the previous behavior, although in a more generic format.

Wed Oct 22 09:53:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* configure.in: Fix syntax error which was breaking RPM builds.

Tue Oct 21 19:22:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_conf.c: Make logical pool dumpXML more idempotent with
	  defineXML by outputting <device name='/dev/sdb' /> when we are
	  dumping XML.  We only use the longer <device
	  name='/dev/sdb'>foo</device> when a pool has .nfreeExtent defined.

Tue Oct 21 19:18:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* src/storage_conf.c: Make sure to set errors on paths where
	  ->formatToString() or ->formatFromString() fail.

Tue Oct 21 19:13:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* src/qemu_driver.c src/storage_conf.c src/network_driver.c
	  src/storage_driver.c: Shore up the uses of virGetLastError() so that
	  if a path forgets to set a virError, we don't crash while trying
	  to dereference the NULL pointer to print out.

Tue Oct 21 09:19:24 PDT 2008 Dan Smith <danms@us.ibm.com>
	* src/cgroup.c src/cgroup.h: Add function to allow major device range
	* src/lxc_container.h src/controller.c: Fix cgroup initialization
	  order and fix /dev/pts cgroup permission

Tue Oct 21 16:25:22 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* HACKING: update with some rules for commiters
	* docs/apps.html docs/apps.html.in: add a section on monitoring
	  support

Tue Oct 21 15:08:02 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: cleanup patch for usb masstorage hotadd
	  by Guido Günther

Mon Oct 20 09:45:42 CEST Jim Meyering <meyering@redhat.com>

	ALL_LINGUAS: set unconditionally, using $srcdir/po
	* configure.in: Remove hard-coded list altogether.

Sun Oct 19 11:40:49 CEST Jim Meyering <meyering@redhat.com>

	ALL_LINGUAS: remove "no", now that it's superseded by np.po
	* configure.in: Remove "no" from hard-coded list.

Fri Oct 17 14:30:48 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: add scsi/virtio hotplug support for KVM
	  patch by Guido Günther

Fri Oct 17 11:58:31 +0200 Jim Meyering <meyering@redhat.com>

	Makefile.maint (sync-vcs-ignore-files): avoid risk of abuse
	* Makefile.maint (sync-vcs-ignore-files): Rewrite rule so that
	it won't misbehave even with maliciously-named sub-directories.

	generate .gitignore files from .cvsignore ones
	* Makefile.maint (sync-vcs-ignore-files): New target.
	Prompted by a patch from James Morris.
	http://thread.gmane.org/gmane.comp.emulators.libvirt/8619/focus=8773
	Add all (now-generated) .gitignore files.
	* .gitignore: New file.
	* build-aux/.gitignore: New file.
	* docs/.gitignore: New file.
	* docs/devhelp/.gitignore: New file.
	* docs/examples/.gitignore: New file.
	* docs/examples/python/.gitignore: New file.
	* gnulib/lib/.gitignore: New file.
	* gnulib/lib/arpa/.gitignore: New file.
	* gnulib/lib/netinet/.gitignore: New file.
	* gnulib/lib/sys/.gitignore: New file.
	* gnulib/tests/.gitignore: New file.
	* include/.gitignore: New file.
	* include/libvirt/.gitignore: New file.
	* po/.gitignore: New file.
	* proxy/.gitignore: New file.
	* python/.gitignore: New file.
	* python/tests/.gitignore: New file.
	* qemud/.gitignore: New file.
	* src/.gitignore: New file.
	* tests/.gitignore: New file.
	* tests/confdata/.gitignore: New file.
	* tests/sexpr2xmldata/.gitignore: New file.
	* tests/virshdata/.gitignore: New file.
	* tests/xencapsdata/.gitignore: New file.
	* tests/xmconfigdata/.gitignore: New file.
	* tests/xml2sexprdata/.gitignore: New file.

Fri Oct 17 11:25:43 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: use qemudDiskDeviceName to determine the block
	  device name in qemudDomainBlockStats(), patch by Guido Günther

Fri Oct 17 11:20:48 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: fix qemudDiskDeviceName to handle disk devices
	  too, patch by Guido Günther

Fri Oct 17 11:16:30 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.c: fix virDiskNameToBusDeviceIndex() to allow 0
	  patch by Guido Günther

Thu Oct 16 19:17:25 +0200 Jim Meyering <meyering@redhat.com>

	build: when po-check fails, say why and suggest a fix
	* Makefile.maint (po-check): Before, when this check failed, it just
	spat out a diff mentioning two temporary files.  Now, it tells you
	what's wrong and suggests a fix with a patch using the name of the
	affected file (rather than temporary file names) in the diff output.

Thu Oct 16 17:02:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* Add support for detecting the partition table type when scanning
	iSCSI volumes.  This is implemented in the
	virStorageBackendUpdateVolInfoFD function, so all future callers will
	automatically benefit.  This is a somewhat large patch because the
	conversion of the virStorageBackendPartTableTypeToString necessitated
	a change to the formatToString and formatFromString function pointers,
	which caused fallout in other places in the storage stuff.  The good
	news is that most of these callers are now converted over to the
	VIR_ENUM_IMPL, which means a lot of redundant code is now gone.

Thu Oct 16 15:41:00 CEST 2008 Chris Lalancette <clalance@redhat.com>
	* Compiling with -Werror showed a possible use before initialization
	in src/qemu_driver.c.  Make sure to initialize the origdisk ptr to
	NULL.

Thu Oct 16 15:04:36 +0200 Jim Meyering <meyering@redhat.com>

	build: exempt *.ico files from the trailing blank check
	* .x-sc_trailing_blank: Add \.ico$ to the list.

Wed Oct 16 14:03:00 CEST 2008 Chris Lalancette <clalance@redhat.com>

	* "make syntax-check" was complaining that network_driver.c was
	missing from POTFILES.in.  Add it, and then fix up one warning about
	included c-ctypes.h that wasn't being used.

Wed Oct 15 19:38:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* configure.in, src/Makefile.am, src/virsh_win_icon.rc:
	Add a Windows icon resource.

Wed Oct 15 11:28:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/libvirt.c: Register the remote driver even when we are
	configured --without-libvirtd.  Also adds debugging of
	registration events.

Mon Oct 13 18:45:43 CEST 2008 Jim Meyering <meyering@redhat.com>

	avoid many format string warnings

	Building with --disable-nls exposed many new warnings like these:
	virsh.c:4952: warning: format not a string literal and no format ...
	util.c:163: warning: format not a string literal and no format arguments
	All but one of the following changes add a "%s" argument before
	the offending _(...) argument.

	This was the only manual change:
	* src/lxc_driver.c (lxcVersion): Use %s and strerror(errno)
	rather than %m, to avoid a warning from gcc -Wformat-security.

	Add "%s" before each warned about format-string-with-no-%-directive:
	* src/domain_conf.c (virDomainHostdevSubsysUsbDefParseXML)
	(virDomainDefParseString, virDomainDefParseFile):
	* src/hash.c (virGetConnect, __virGetDomain, virReleaseDomain)
	(__virGetNetwork, virReleaseNetwork, __virGetStoragePool)
	(virReleaseStoragePool, __virGetStorageVol, virReleaseStorageVol):
	* src/lxc_container.c (lxcContainerChild):
	* src/lxc_driver.c (lxcDomainDefine, lxcDomainUndefine)
	(lxcDomainGetInfo, lxcGetOSType, lxcDomainDumpXML)
	(lxcSetupInterfaces, lxcDomainStart, lxcDomainCreateAndStart)
	(lxcVersion, lxcGetSchedulerParameters):
	* src/network_conf.c (virNetworkDefParseString)
	(virNetworkDefParseFile):
	* src/openvz_conf.c (openvzReadNetworkConf, openvzLoadDomains):
	* src/openvz_driver.c (openvzDomainDefineCmd)
	(openvzDomainGetInfo, openvzDomainDumpXML, openvzDomainShutdown)
	(openvzDomainReboot, ADD_ARG_LIT, openvzDomainDefineXML)
	(openvzDomainCreateXML, openvzDomainCreate, openvzDomainUndefine)
	(openvzDomainSetAutostart, openvzDomainGetAutostart)
	(openvzDomainSetVcpus):
	* src/qemu_driver.c (qemudDomainBlockPeek, qemudDomainMemoryPeek):
	* src/remote_internal.c (remoteDomainBlockPeek)
	(remoteDomainMemoryPeek, remoteAuthPolkit):
	* src/sexpr.c (sexpr_new, _string2sexpr):
	* src/storage_backend_disk.c (virStorageBackendDiskMakeDataVol)
	(virStorageBackendDiskCreateVol):
	* src/storage_backend_fs.c
	(virStorageBackendFileSystemNetFindPoolSources):
	* src/storage_backend_logical.c (virStorageBackendLogicalFindLVs)
	(virStorageBackendLogicalFindPoolSources):
	* src/test.c (testOpenDefault, testOpenFromFile, testOpen)
	(testGetDomainInfo, testDomainRestore)
	(testNodeGetCellsFreeMemory):
	* src/util.c (virExec):
	* src/virsh.c (cmdAttachDevice, cmdDetachDevice)
	(cmdAttachInterface, cmdDetachInterface, cmdAttachDisk)
	(cmdDetachDisk, cmdEdit):
	* src/xend_internal.c (do_connect, wr_sync, xend_op_ext)
	(urlencode, xenDaemonDomainCreateXML)
	(xenDaemonDomainLookupByName_ids, xenDaemonDomainLookupByID)
	(xenDaemonParseSxprOS, xend_parse_sexp_desc_char)
	(xenDaemonParseSxprChar, xenDaemonParseSxprDisks)
	(xenDaemonParseSxpr, sexpr_to_xend_topology, sexpr_to_domain)
	(xenDaemonDomainFetch, xenDaemonDomainGetAutostart)
	(xenDaemonDomainSetAutostart, xenDaemonDomainMigratePerform)
	(xenDaemonDomainDefineXML, xenDaemonGetSchedulerType)
	(xenDaemonGetSchedulerParameters)
	(xenDaemonSetSchedulerParameters, xenDaemonDomainBlockPeek)
	(xenDaemonFormatSxprChr, virDomainXMLDevID):
	* src/xm_internal.c (xenXMConfigCacheRefresh, xenXMDomainPinVcpu)
	(xenXMDomainCreate, xenXMDomainDefineXML)
	(xenXMDomainAttachDevice, xenXMDomainDetachDevice):
	* src/xml.c (virXPathString, virXPathNumber, virXPathLong)
	(virXPathULong, virXPathBoolean, virXPathNode, virXPathNodeSet):
	* src/xs_internal.c (xenStoreOpen):

Mon Oct 13 16:24:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	Documentation for NIC model selection.
	* docs/formatdomain.html.in, docs/formatdomain.html: Add the
	documentation for NIC model selection.

Mon Oct 13 16:22:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	Build failure fixed.
	* src/domain_conf.c: Fix build failure of the Xen proxy.

Sat Oct 11 09:23:18 CEST 2008 Jim Meyering <meyering@redhat.com>

	testError format strings: explicitly include domain and network names
	This repairs the "make check" failure of tests/undefine.
	* src/test.c (testResumeDomain, testPauseDomain): Likewise.
	(testShutdownDomain, testGetDomainInfo, ): Likewise.
	(testSetMemory, testSetVcpus, testDomainCreate, testDomainUndefine)
	(testDomainGetSchedulerType, testDomainGetSchedulerParams): Likewise.
	(testDomainSetSchedulerParams, testNetworkUndefine): Likewise.
	(testNetworkStart, testNetworkGetBridgeName): Likewise.
	(testDomainCoreDump, testDomainSave): Likewise, and...
	Name the file upon failed open or write.
	Use strerror(errno) in diagnostics.
	* tests/undefine: Adjust expected output.

	test.c (testError): Remove now-ignored dom and net parameters.
	This is a sytnax-only change: removing the two unused parameters
	and updating all callers:
	* src/test.c (GET_DOMAIN, GET_NETWORK, testError)
	(testBuildCapabilities, testOpenDefault, testOpenFromFile)
	(testOpen, testGetHostname, testGetURI, testGetCapabilities)
	(testLookupDomainByID, testLookupDomainByUUID)
	(testLookupDomainByName, testResumeDomain, testPauseDomain)
	(testShutdownDomain, testGetDomainInfo, testDomainSave)
	(testDomainRestore, testDomainCoreDump, testGetOSType)
	(testSetMemory, testSetVcpus, testListDefinedDomains)
	(testNodeGetCellsFreeMemory, testDomainCreate)
	(testDomainUndefine, testDomainGetSchedulerType)
	(testDomainGetSchedulerParams, testDomainSetSchedulerParams)
	(testLookupNetworkByUUID, testLookupNetworkByName)
	(testListNetworks, testListDefinedNetworks, testNetworkUndefine)
	(testNetworkStart, testNetworkGetBridgeName): Update callers.

Fri Oct 10 19:16:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/memory.c: If size*count== 0, then virRelloc must not
	return a failure, it is same as virFree.

Fri Oct 10 17:51:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* docs/libvirt.rng: Document SDL attributes in schema
	* src/qemu_conf.c, src/qemu_conf.h, src/qemu_driver.c: Support
	SDL display configuration
	* tests/qemuxml2argvtest.c: Set predictable env vars for SDL
	tests.
	* tests/qemuxml2argvdata/*.args: Add new env vars now set
	explicitly

Fri Oct 10 17:03:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c, src/domain_conf.h, src/lxc_container.c,
	src/lxc_controller.c, src/lxc_driver.c, src/openvz_conf.c,
	src/openvz_driver.c, src/qemu_conf.c, src/qemu_driver.c,
	src/xend_internal.c, src/xend_internal.h, src/xminternal.c:
	Switch to using arrays instead of linked lists for devices
	* tests/sexpr2xmldata/sexpr2xml-fv-v2.xml: Fix device ordering

Fri Oct 10 15:39:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/storage_conf.c, src/storage_conf.h, src/storage_driver.c,
	src/storage_backend_disk.c, src/storage_backend_fs.c,
	src/storage_backend_iscsi.c, src/storage_backend_logical.c:
	Switch storage objects to array instead of linked list

Fri Oct 10 15:39:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/network_conf.c, src/network_conf.h, src/network_driver.c,
	src/test.c: Switch to using array instead of linked list for
	network objects

Fri Oct 10 15:19:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/domain_conf.c, src/domain_conf.h: Switch to using
	array instead of linked list for domain objects
	* src/lxc_conf.h, src/lxc_driver.c, src/openvz_conf.c,
	src/openvz_conf.h, src/openvz_driver.c, src/qemu_conf.h,
	src/qemu_driver.c test.c: Update to manage domain objects
	in array instead of linked list

Fri Oct 10 14:56:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* configure.in: option to enable/disable network driver
	* src/Makefile.am: Add network_driver.c/.h files
	* src/libvirt.c: Import network_driver.h file
	* src/qemu_conf.c, src/qemu-conf.h, src/qemu_driver.c: Remove
	all network driver support
	* src/network_driver.c, src/network_driver.h: Add standalone
	network driver

Fri Oct 10 13:30:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/xml.c, src/xen_internal.c: Cast some args to unsigned
	long to avoid printf format specifier warnings on 32-bit

Fri Oct 10 12:30:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	Updated MinGW spec file.
	* .cvsignore, Makefile.am, autobuild.sh, configure.in,
	  mingw32-libvirt.spec.in: Import the latest MinGW libvirt spec
	  file.  Note that the file has been renamed to conform to
	  new Fedora packaging guidelines.
	* autobuild.sh: Fix a bug in the generation of the $EXTRA_RELEASE
	  field when autobuilding.

Fri Oct 10 11:17:59 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* include/libvirt/libvirt.h[.in] include/libvirt/virterror.h
	  qemud/remote* src/driver.h src/libvirt.c src/libvirt_sym.version
	  src/lxc_driver.c src/openvz_driver.c src/proxy_internal.c
	  src/qemu_driver.c src/remote_internal.c src/test.c src/virsh.c
	  src/xen_internal.c src/xen_unified.c src/xen_unified.h
	  src/xend_internal.c src/xend_internal.h src/xm_internal.c
	  src/xs_internal.c docs/*: cleanup virDomainCreateLinux into
	  virDomainDefineXML, and a few additional cleanups

Fri Oct 10 10:33:29 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/domain_conf.c src/util.c: fix index creation for disks >
	  {sd,hd,xvd,vd}z (Sanjay Rao and Chris Wright)

Thu Oct  9 11:30:00 EST Cole Robinson <crobinso@redhat.com>

	* src/domain_conf.c src/hash.c src/internal.h src/lxc_conf.c
	  src/lxc_conf.h src/network_conf.c src/openvz_conf.c src/openvz_conf.h
	  src/proxy_internal.c src/qemu_conf.c src/qemu_conf.h src/qparams.c
	  src/sexpr.c src/storage_conf.c src/storage_conf.h src/test.c
	  src/util.c src/virterror.c src/xen_internal.c src/xen_unified.c
	  src/xend_internal.c src/xm_internal.c src/xml.c src/xs_internal.c:
	  Centralize majority of error reporting logic.

Thu Oct  9 15:49:25 BST Daniel P Berrange <berrange@redhat.com>

	* src/lxc_driver.c: Annotate unused parameter
	* src/virsh.c: Fix scanf format specifier

Wed Oct  8 08:29:25 PDT 2008 Dan Smith <danms@us.ibm.com>
	* src/cgroup.c src/cgroup.h: Add cpu shares manipulation
	* src/lxc_driver.c: Add scheduler parameters interface for cpu shares
	* src/virsh.c: Add generic scheduler parameter interface

Wed Oct  8 15:42:44 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/cgroup.c: use safewrite()
	* src/qemu_driver.c: missing VIR_FREE pojnted out by Eduardo Habkost

Tue Oct  7 23:08:51 CEST 2008 Jim Meyering <meyering@redhat.com>

	avoid "make syntax-check" failure
	* src/cgroup.c (virCgroupSetValueStr): Use safe_write, not write.

Tue Oct  7 18:33:39 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: another OOM handling cleanup (Guido Günther)

Tue Oct  7 17:59:59 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: don't print and extra OOM error on top of
	  getpwuid error (Guido Günther)

Mon Oct  6 15:47:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* qemud/remote.c src/hash.c src/internal.h src/lxc_conf.c
	  src/lxc_container.c src/lxc_controller.c src/lxc_driver.c
	  src/remote_internal.c src/storage_backend_disk.c src/veth.c
	  src/xen_internal.c src/xen_unified.c src/xend_internal.c:
	  Move DEBUG and DEBUG0 macros to central location.

Mon Oct  6 15:32:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/qemu_conf.c: Fix possible segfault if starting a qemu guest with
	  with an inactive virtual network.

Mon Oct  6 15:23:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* tests/domainschematest: Slim down schema test result output

Mon Oct  6 17:39:12 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/lxc_driver.c src/qemu_driver.c src/remote_internal.c
	  src/storage_driver.c: use C99 initializers for virState (Guido
	  Gunther)

Mon Oct  6 11:23:40 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/Makefile.am: Fix VPATH build (Guido Gunther)

Mon Oct  6 12:08:40 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* po/no.po: removed it's obsoleted by np.po, fixes #335211

Thu Oct  3 09:32:42 PDT 2008 Dan Smith <danms@us.ibm.com>
	* src/lxc_container.h src/lxc_container.c
	  src/lxc_controller.c src/lxc_driver.c: Use internal cgroup
	  API to manipulate cgroups for LXC resource control

Thu Oct  3 09:32:42 PDT 2008 Dan Smith <danms@us.ibm.com>
	* src/cgroup.c src/cgroup.h: Add internal cgroup manipulation API

Thu Oct  2 17:01:32 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* libvirt.spec.in: fix bug #465274 to build on RHEL

Thu Oct  2 10:06:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/qemu_driver.c: Fix startup timeout with multiple pty devices.

Wed Oct  1 17:28:47 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/xend_internal.c: fix ordering when parsing multiple Xen
	  interfaces, patch by Jim Fehlig
	* python/Makefile.am: fix parallel build

Thu Sep 25 13:37:42 IST 2008 Mark McLoughlin <markmc@redhat.com>

	* docs/virsh.pod: fixup some minor issues - e.g. bogus
	references to "xm"

Tue Sep 23 22:45:47 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in NEWS docs/*: release of libvirt-0.4.6
	* src/storage_backend_logical.c: re-add the -f flag to vgremove
	* po/*: rebuilt

Tue Sep 23 12:17:22 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* po/pt_BR.po: updated brazilian translation

Mon Sep 22 22:18:16 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_logical.c: enable stop pool in logical backend
	  improve portability when deleting a pool and also call pvremove
	  patch by Chris Lalancette

Mon Sep 22 21:55:55 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_conf.c: fixes parsing to allow no sources for a pool
	  fix by Dan and Chris Lalancette

Mon Sep 22 18:00:39 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/remote_internal.c src/storage_driver.c: structure init fixes
	  by Chris Lalancette

Mon Sep 22 17:14:25 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/openvz_conf.c: patch from Evgeniy Sokolov to read
	  network config in OpenVZ driver.

Thu Sep 18 11:19:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* libvirt.spec.in: Remove commands which were deleting
	development files mistakenly

Thu Sep 18 09:55:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	Documentation cleanups.
	* docs/bindings.html.in: Clean up the bindings page, and add
	  C# and Java.
	* docs/windows.html.in: Remove old bogus information and add
	  placeholder.

Thu Sep 18 09:52:00 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/qemu_driver.c, configure.in, libvirt.spec.in: Remove
	trailing whitespace & fix diagnostic string translation.

Wed Sep 17 17:02:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/openvz_driver.c: Fix segfault in OpenVZ driver
	  (Evgeniy Sokolov).

Wed Sep 17 16:38:00 BST 2008 Daniel P berrange <berrange@redhat.com>

	* tests/xmconfigdata/test-paravirt-new-pvfb-vncdisplay.xml,
	 tests/xmconfigdata/test-paravirt-old-pvfb-vncdisplay.xml,
	 tests/xml2sexprdata/xml2sexpr-pv-vfb-new-auto.sexpr: Remove
	redundant emulator tags which broke test cases.

Wed Sep 17 15:26:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/storage_backend_disk.c: Missing include file.

Wed Sep 17 15:18:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/qemu_driver.c: Remove some deadcode (Nguyen Anh Quynh).

Wed Sep 17 15:14:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/virsh.c: Change name of "blocked" state to "idle" (John Levon).

Wed Sep 17 15:10:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* include/libvirt/libvirt.h.in, src/libvirt.c: Fix comments
	  which incorrectly referred to non-existent 'virDomainFlags'
	  type (Anton Protopopov).

Wed Sep 17 15:08:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* src/conf.c: Improved error messages in XM conf module.

Wed Sep 17 15:03:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* libvirt.spec.in: Specfile enhancements for minimal
	  "client only" build (Ben Guthro).

Wed Sep 17 15:03:00 BST 2008 Richard W.M. Jones <rjones@redhat.com>

	* configure.in, src/qemu_driver.h, src/qemu_driver.c: KVM
	  can determine max VCPUs at runtime (Guido Günther).

Tue Sep 16 12:43:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/storack_backend_disk.c: Implement disk volume delete

Tue Sep  9 09:50:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/xend_internal.c: fix reading vncdisplay from xend domain
	* tests/sexpr2xmldata/sexpr2xml-pv-vfb-new-vncdisplay.sexpr
	  tests/sexpr2xmldata/sexpr2xml-pv-vfb-new-vncdisplay.xml,
	  tests/xmconfigdata/test-paravirt-new-pvfb-vncdisplay.cfg,
	  tests/xmconfigdata/test-paravirt-new-pvfb-vncdisplay.xml,
	  tests/xmconfigdata/test-paravirt-old-pvfb-vncdisplay.cfg,
	  tests/xmconfigdata/test-paravirt-old-pvfb-vncdisplay.xml,
	  tests/xml2sexprdata/xml2sexpr-pv-vfb-new-auto.sexpr,
	  tests/xml2sexprdata/xml2sexpr-pv-vfb-new-auto.xml:
	  Add tests for various xen vnc cases.

Tue Sep  9 09:42:00 EST 2008 Cole Robinson <crobinso@redhat.com>

	* src/qemu_conf.c : fix a segfault if no qemu emulator is passed
	  when defining a domain.

Mon Sep  8 16:28:30 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* configure.in libvirt.spec.in docs/*: preparing release of
	  libvirt-0.4.5
	* po/*: rebuilt and updated de.po

Mon Sep  8 14:42:23 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/network_conf.c src/network_conf.h src/qemu_driver.c: add
	  support for a domain name in network configurations, patch by
	  JJ Reynolds with bugfix raised by Dan
	* src/openvz_conf.c: fix to small bug in openvzReadConfigParam
	  by Evgeniy Sokolov

Mon Sep  8 13:14:17 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_driver.c: Fix potential NULL dereference

Mon Sep  8 09:18:17 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_logical.c: finish applying initialization
	  from Jim Fehlig patch for logical storage backend

Fri Sep  5 15:59:26 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c, src/openvz_driver.c: Fix trailing
	whitespace mistakes

Fri Sep  5 15:09:26 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/openvz_conf.c, src/openvz_conf.h, src/openvz_driver.c,
	src/openvz_driver.h: Convert to generic domain XML apis

Fri Sep  5 13:02:26 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Fully support mingw builds
	* .cvsignore: Ignore mingw-libvirt.spec
	* autobuild.sh: Perform mingw build if toolchain is available
	* Makefile.am: Add mingw-libvirt.spec to EXTRA_DIST
	* configure.in: Add check for getuid/getgit. Add gettext()
	check against libintl. Disable storage drivers if libvirtd
	is disabled
	* mingw-libvirt.spec.in: Specfile for mingw cross compile
	* qemud/remote_protocol.{c,x,h}: Add socketcompat.h include
	for htons() methods
	* src/Makefile.am: Don't wrap storage driver conditionals in
	a  libvirtd conditional
	* src/storage_backend.c: Add no-op implementations of
	virStorageBackendRunProgRegex and virStorageBackendRunProgNul
	functions for mingw
	* src/storage_conf.c: Fix typo in getgid() call. Avoid
	not-literal in format string.
	* src/util.c: Fix signature of virExec() for mingw build
	* src/util.h: Add stub impl of getuid/getgid calls

Fri Sep  5 12:50:26 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Fix starting of Xen domains without PVFB console, by not
	setting emulator path in SEXPR unless asked for
	* src/domain_conf.c, src/domain_conf.h, src/xm_internal.c: Don't
	set emulator path with a default value
	* src/lxc_driver.c, src/qemu_conf.c, src/qemu_driver.c: Find a
	default emulator path if no explicit path is provided in config
	* tests/xmconfigdata/test-paravirt-net-e1000.xml,
	tests/xmconfigdata/test-paravirt-new-pvfb.xml,
	tests/xmconfigdata/test-paravirt-old-pvfb.xml,
	tests/xml2sexprdata/xml2sexpr-fv-kernel.xml: Remove default
	emulator path
	* tests/xml2sexprdata/xml2sexpr-pv-vfb-new.sexpr: Remove
	emulator path

Fri Sep  5 12:33:26 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* src/xen_unified.c, src/xen_internal.c, src/xen_internal.h,
	tests/xencapstest.c: Pass connection object into capabilities
	constructor since it needs to talk to XenD

Thu Sep  4 15:33:26 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_fs.c: fix a signed/unsigned issue breaking
	  virStorageBackendProbeFile(), patch by Cole Robinson

Thu Sep  4 15:18:00 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/qemu_driver.c: fix an error message, patch by Nguyen Anh Quynh

Thu Sep  4 14:16:20 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	* qemud/Makefile.am: Fix make check when augparse is not
	available

Thu Sep  4 15:05:34 CEST 2008 Daniel Veillard <veillard@redhat.com>

	* src/storage_backend_logical.c: fix a miscalculation of command line
	  size for vgcreate, patch from Jim Fehlig

Thu Sep  4 11:43:20 BST 2008 Daniel P. Berrange <berrange@redhat.com>

	Augeas config file support
	* configure.in: Check for augparse tool for test suite
	* libvirt.spec.in, qemud/Makefile.am, qemud/libvirtd.aug,
	qemud/libvirtd_qemu.aug, qemud/test_libvirtd.aug,
	qemud/test_libvirtd_qemu.aug: Augeas lens for processing
